--------------------------------------------------------------------------
-- localization.lua
--------------------------------------------------------------------------

AM_TYP_EXTERIORS			= "Exteriors";

-- the wmData and amData allow the positioning of Player/Party/Raid dots on the map and relate GetPlayerCoordinates to frame coordinates on the map

AM_ALPHAMAP_EXTERIORS_LIST = {

		{	name = "Dire Maul"..AM_EXTERIOR,		-- Dire Maul Exterior
			type = AM_TYP_EXTERIORS,
			displayname = AM_EXTERIOR.." - Dire Maul",
			displayshort = "DM",
			filename = "Interface\\AddOns\\AlphaMap_Exteriors\\Maps\\DireMaulExt",
			location = "Feralas (59, 44)",
			levels = "",
			players = "",
			prereq = "",
			general = "",
			area = "Kalimdor",
			wmData = { minX = 0.4268, maxX = 0.441, minY =  0.6648, maxY = 0.696 },
			amData = { minX = 0.29, maxX = 0.97, minY = 0.025, maxY = 0.98 },
			dtl1  = { text = "Entrance", colour = AM_GREEN, coords = { {32, 97}  }, symbol = { "X" },
					tooltiptxt = "", toMap = "Dire Maul", leaveGap = 1 },
			dtl2  = { text = "Eldereth Row", colour = AM_BLUE, coords = { {57, 73} }, symbol = { "1" },
					tooltiptxt = "" },
			dtl3  = { text = "Broken Commons", colour = AM_BLUE, coords = { {62, 50} }, symbol = { "2" },
					tooltiptxt = "" },
			dtl4  = { text = "Skarr the Unbreakable", colour = AM_RED, coords = { {62, 33} }, symbol = { "3" },
					tooltiptxt = "Lvl58 Elite Humanoid" },
			dtl5  = { text = "The Maul", colour = AM_RED, coords = { {62, 26} }, symbol = { "4" },
					tooltiptxt = "PvP Area" },
			dtl6  = { text = "Path to The Maul", colour = AM_BLUE, coords = { {44, 47}, {58, 33} }, symbol = { "P" },
					tooltiptxt = "Sleeping Hyena Guards" },
			dtl7  = { text = "Chamber with roof Exit from DM East", colour = AM_BLUE, coords = { {85, 19.4} }, symbol = { "5" },
					tooltiptxt = "", leaveGap = 1 },
			dtl8  = { text = "Dire Maul East", colour = AM_GREEN, coords = { {84, 32}, {96, 62} }, symbol = { "E" },
					tooltiptxt = "Click to Open Dire Maul East Map", toMap = "Dire Maul East" },
			dtl9  = { text = "Dire Maul North", colour = AM_GREEN, coords = { {62, 4} }, symbol = { "N" },
					tooltiptxt = "Click to Open Dire Maul North Map", toMap = "Dire Maul North" },
			dtl10 = { text = "Dire Maul West", colour = AM_GREEN, coords = { {42, 40} }, symbol = { "W" },
					tooltiptxt = "Click to Open Dire Maul West Map", toMap = "Dire Maul West", leaveGap = 1 }
		},

		{	name = "Gnomeregan"..AM_EXTERIOR,			-- Gnomeregan
			type = AM_TYP_EXTERIORS,
			displayname = AM_EXTERIOR.." - Gnomeregan Instance",
			filename = "Interface\\AddOns\\AlphaMap_Exteriors\\Maps\\GnomereganExt",
			location = "Dun Morogh (25, 41)",
			levels = "",
			players = "",
			prereq = "",
			general = "Horde access via Teleporter in Booty Bay.\nInitial Quest from Orgrimmar Engineer.",
			wmData = { minX = 0.423202, maxX = 0.430997, minY = 0.590355, maxY = 0.602768 },
			amData = { minX = 0.198, maxX = 0.92, minY = 0.21, maxY = 0.926 },
			dtl1  = { text = "Outside", colour = AM_GREEN, coords = { {91.0, 92.5} }, symbol = { "O" },
					tooltiptxt = "" },
			dtl2  = { text = "Elevator", colour = AM_GREEN, coords = { {81.59, 87.65} }, symbol = { "L" },
					tooltiptxt = "" },
			dtl3  = { text = "Transpolyporter", colour = AM_GREEN, coords = { {60.95, 72.95} }, symbol = { "P" },
					tooltiptxt = "From Booty Bay" },
			dtl4  = { text = "Sprok", colour = AM_BLUE, coords = { {60.95, 72.95} }, symbol = { " " },
					tooltiptxt = "Away Team", leaveGap = 1 },
			dtl5  = { text = "Matrix Punchograh 3005-A", colour = AM_PURPLE, coords = { {67.29, 42.22}, {61.43, 41.78}, {64.00, 26.52}, {69.46, 26.75} }, symbol = { "A" },
					tooltiptxt = "Card Upgrade" },
			dtl6  = { text = "Techbot", colour = AM_RED, coords = { {44.0, 36.53} }, symbol = { "1" },
					tooltiptxt = "Lvl26 Elite Mechanical", leaveGap = 1 },
			dtl7  = { text = "Main Instance Entrance", colour = AM_ORANGE, coords = { {18.89, 88.0} }, symbol = { "I" },
					tooltiptxt = "", toMap = "Gnomeregan" },
			dtl8  = { text = "Workshop Instance Entrance", colour = AM_ORANGE, coords = { {62.46, 22.75} }, symbol = { "W" },
					tooltiptxt = "Requires Workshop Key", toMap = "Gnomeregan", leaveGap = 1  }
		},

		{	name = "Maraudon"..AM_EXTERIOR,		-- Maraudon Exterior
			type = AM_TYP_EXTERIORS,
			displayname = AM_EXTERIOR.." - Maraudon",
			displayshort = "",
			filename = "Interface\\AddOns\\AlphaMap_Exteriors\\Maps\\MaraudonExt",
			location = "Desolace (29, 62)",
			levels = "40-49",
			players = "",
			prereq = "",
			general = "",
			area = "Kalimdor",
			wmData = { minX = 0.3807325, maxX = 0.393785, minY =  0.5679875, maxY = 0.58772 },
			amData = { minX = 0.02, maxX = 0.92, minY = 0.01, maxY = 0.98 },
			dtl1  = { text = "Entrance", colour = AM_GREEN, coords = { {23, 59}  }, symbol = { "X" },
					tooltiptxt = "", leaveGap = 1 },
			dtl2  = { text = "First Khan", colour = AM_RED, coords = { {31, 45} }, symbol = { "1" },
					tooltiptxt = "" },
			dtl3  = { text = "Second Khan", colour = AM_RED, coords = { {24, 29} }, symbol = { "2" },
					tooltiptxt = "Mid level between pools" },
			dtl4  = { text = "Third Khan", colour = AM_RED, coords = { {80, 46} }, symbol = { "3" },
					tooltiptxt = "" },
			dtl5  = { text = "Cavindra", colour = AM_GREEN, coords = { {48, 64} }, symbol = { "4" },
					tooltiptxt = "Quest Giver", leaveGap = 1 },
			dtl6  = { text = "Maraudon Portal", colour = AM_BLUE, coords = { {24, 47} }, symbol = { "P" },
					tooltiptxt = "Requires Scepter of Celebras" },
			dtl7  = { text = "Maraudon (Orange)", colour = AM_ORANGE, coords = { {84, 71} }, symbol = { "X1" },
					tooltiptxt = "Click to Open Maraudon Instance Map", toMap = "Maraudon" },
			dtl8  = { text = "Maraudon (Purple)", colour = AM_PURPLE, coords = { {39, 12.4} }, symbol = { "X2" },
					tooltiptxt = "Click to Open Maraudon Instance Map", toMap = "Maraudon" }
		},

		{	name = "Uldaman"..AM_EXTERIOR,		-- Uldaman Exterior
			type = AM_TYP_EXTERIORS,
			displayname = AM_EXTERIOR.." - Uldaman",
			filename = "Interface\\AddOns\\AlphaMap_Exteriors\\Maps\\UldamanExt",
			location = "The Badlands (44, 12)",
			levels = "",
			players = "",
			prereq = "",
			general = "",
			area = "Azeroth",
			wmData = { minX = 0.516604, maxX = 0.524006, minY =  0.6347, maxY = 0.643648 },
			amData = { minX = 0.075, maxX = 0.95, minY = 0.205, maxY = 0.955 },
			dtl1  = { text = AM_INSTANCE_ENTRANCES, colour = AM_GREEN, coords = { {95, 33}  }, symbol = { "X" },
					tooltiptxt = "", leaveGap = 1 },
			dtl2  = { text = AM_INSTANCE_CHESTS, colour = AM_BLUE, coords = { {23, 64}, {33, 88} }, symbol = { AM_CHEST_SYMBOL },
					tooltiptxt = "Quest Related", leaveGap = 1 },
			dtl3  = { text = "Uldaman", colour = AM_ORANGE, coords = { {30.5, 23} }, symbol = { "U" },
					tooltiptxt = "Click to Open Uldaman Instance Map", toMap = "Uldaman", leaveGap = 1 }
		},

		{	name = "Wailing Caverns"..AM_EXTERIOR,		-- Wailing Caverns Exterior
			type = AM_TYP_EXTERIORS,
			displayname = AM_EXTERIOR.." - Wailing Caverns",
			filename = "Interface\\AddOns\\AlphaMap_Exteriors\\Maps\\WailingCavernsExt",
			location = "The Barrens (46, 36)",
			levels = "",
			players = "",
			prereq = "",
			general = "",
			area = "Kalimdor",
			wmData = { minX = 0.5178145, maxX = 0.529001, minY =  0.543372, maxY = 0.555871 },
			amData = { minX = 0.05, maxX = 0.97, minY = 0.15, maxY = 0.80 },
			dtl1  = { text = AM_INSTANCE_ENTRANCES, colour = AM_BLUE, coords = { {14.2, 81.5}  }, symbol = { "X" },
					tooltiptxt = "", leaveGap = 1 },
			dtl2  = { text = "Wailing Caverns", colour = AM_ORANGE, coords = { {55.1, 62.2} }, symbol = { "W" },
					tooltiptxt = "Click to Open Wailing Caverns Instance Map", toMap = "Wailing Caverns", leaveGap = 1 }
		},

		{	name = "Blackrock Mountain"..AM_EXTERIOR,			-- Blackrock Mountain
			type = AM_TYP_EXTERIORS,
			displayname = AM_EXTERIOR.." - Blackrock Mountain",
			filename = "Interface\\AddOns\\AlphaMap_Exteriors\\Maps\\BRMExt",
			location = "Burning Steppes/Searing Gorge",
			levels = "",
			players = "",
			prereq = "",
			general = "Access to Blackrock Depths, Molten Core, LBRS/UBRS/BWL",
			wmData = { minX = 0.46707, maxX = 0.47864, minY = 0.67602, maxY = 0.69818 },
			amData = { minX = 0.14, maxX = 0.85, minY = 0.09, maxY = 0.985 },
			dtl1  = { text = "Burning Steppes", colour = AM_BLUE, coords = { {50.0, 38.0} }, symbol = { AM_ENTRANCE_SYMBOL },
					tooltiptxt = "" },
			dtl2  = { text = "Searing Gorge", colour = AM_BLUE, coords = { {53.2, 98.2} }, symbol = { AM_ENTRANCE_SYMBOL },
					tooltiptxt = "", leaveGap = 1 },
			dtl3  = { text = "LBRS/UBRS/BWL", colour = AM_ORANGE, coords = { {71, 59.4} }, symbol = { AM_ENTRANCE_SYMBOL },
					tooltiptxt = "", toMap = "Blackrock Spire", leaveGap = 1 },
			dtl4  = { text = "Lothos Riftwalker", colour = AM_BLUE, coords = { {40, 57} }, symbol = { "1" },
					tooltiptxt = "Attunement to Core\nTeleport to Molten Core", toMap = "Molten Core", leaveGap = 1 },
			dtl5  = { text = "Overmaster Pyron", colour = AM_RED, coords = { {21.1, 15.0} }, symbol = { "2" },
					tooltiptxt = "Lvl52 Elite Elemental", special = AM_WANDERS, leaveGap = 1 },
			dtl6  = { text = "BRD/MC", colour = AM_ORANGE, coords = { {25, 9} }, symbol = { AM_ENTRANCE_SYMBOL },
					tooltiptxt = "", toMap = "Blackrock Depths", leaveGap = 1 }
		},

		{	name = "Caverns of Time"..AM_EXTERIOR,			-- CoT
			type = AM_TYP_EXTERIORS,
			displayname = AM_EXTERIOR.." - Caverns of Time",
			displayshort = "CoT",
			filename = "Interface\\AddOns\\AlphaMap_Exteriors\\Maps\\CoTExt",
			location = "Tanaris",
			levels = "",
			players = "",
			prereq = "",
			area = "Tanaris",
			general = "Access to Old Hilsbrad, Black Morass, Battle for Mount Hyjal",
			wmData = { minX = 0.5521, maxX = 0.68239, minY =  0.47247, maxY = 0.63367 },
			amData = { minX = 0.09, maxX = 0.99, minY = 0.15, maxY = 0.86 },
			dtl1  = { text = AM_INSTANCE_ENTRANCES, colour = AM_BLUE, coords = { {81.6, 26.2} }, symbol = { AM_ENTRANCE_SYMBOL },
					tooltiptxt = "", leaveGap = 1 },
			dtl2  = { text = "Old Hilsbrad", colour = AM_ORANGE, coords = { {1.5, 41.2} }, symbol = { "A" },
					tooltiptxt = "", toMap = "Old Hillsbrad Foothills" },
			dtl3  = { text = "Black Morass", colour = AM_ORANGE, coords = { {18.00, 86.22} }, symbol = { "B" },
					tooltiptxt = "", toMap = "Black Morass" },
			dtl4  = { text = "Mount Hyjal", colour = AM_ORANGE, coords = { {22, 23} }, symbol = { "C" },
					tooltiptxt = "", toMap = "Battle for Mount Hyjal", leaveGap = 1 },
			dtl5  = { text = "Steward of Time", colour = AM_GREEN, coords = { {81.6, 26.2} }, symbol = { " " },
					tooltiptxt = "" },
			dtl6  = { text = "Alexston Chrome", colour = AM_GREEN, coords = { {92, 25} }, symbol = { "1" },
					tooltiptxt = "" },
			dtl7  = { text = "GraveYard", colour = AM_GREEN, coords = { {68, 23} }, symbol = { "2" },
					tooltiptxt = "" },
			dtl8  = { text = "Yarley", colour = AM_GREEN, coords = { {67.87, 56.0} }, symbol = { "3" },
					tooltiptxt = "" },
			dtl9  = { text = "Bortega", colour = AM_GREEN, coords = { {67, 61} }, symbol = { "4" },
					tooltiptxt = "" },
			dtl10 = { text = "Galgrom", colour = AM_GREEN, coords = { {67, 61} }, symbol = { " " },
					tooltiptxt = "" },
			dtl11 = { text = "Alurmi", colour = AM_GREEN, coords = { {67, 61} }, symbol = { " " },
					tooltiptxt = "" },
			dtl12 = { text = "Zaladormu", colour = AM_GREEN, coords = { {37, 56} }, symbol = { "5" },
					tooltiptxt = "" },
			dtl13 = { text = "Soridormi", colour = AM_GREEN, coords = { {37, 56} }, symbol = { " " },
					tooltiptxt = "", special = AM_WANDERS },
			dtl14 = { text = "Arazmodu", colour = AM_GREEN, coords = { {37, 56} }, symbol = { " " },
					tooltiptxt = "", special = AM_WANDERS },
			dtl15 = { text = "MoonWell", colour = AM_GREEN, coords = { {37, 33} }, symbol = { "6" },
					tooltiptxt = "" },
			dtl16 = { text = "Andormu", colour = AM_GREEN, coords = { {31, 45} }, symbol = { "7" },
					tooltiptxt = "", special = "(Child)" },
			dtl17 = { text = "Nozari", colour = AM_GREEN, coords = { {31, 45} }, symbol = { " " },
					tooltiptxt = "", special = "(Child)" },
			dtl18 = { text = "Andormu", colour = AM_GREEN, coords = { {25, 67} }, symbol = { "8" },
					tooltiptxt = "", special = "(Adult)" },
			dtl19 = { text = "Nozari", colour = AM_GREEN, coords = { {25, 67} }, symbol = { " " },
					tooltiptxt = "", special = "(Adult)" },
		},

		{	name = "Coilfang Reservoir"..AM_EXTERIOR,			-- Coilfang
			type = AM_TYP_EXTERIORS,
			displayname = AM_EXTERIOR.." - Coilfang Reservoir",
			displayshort = "CR",
			filename = "Interface\\AddOns\\AlphaMap_Exteriors\\Maps\\CoilfangExt",
			location = "Zangarmarsh",
			levels = "",
			players = "",
			prereq = "",
			general = "",
			area = "Zangarmarsh",
			wmData = { minX = 0.48742, maxX = 0.54289, minY =  0.33097, maxY = 0.38282 },
			amData = { minX = 0.14, maxX = 0.73, minY = 0.43, maxY = 0.80 },
			dtl1  = { text = AM_INSTANCE_ENTRANCES, colour = AM_BLUE, coords = { {48.24, 77.34} }, symbol = { AM_ENTRANCE_SYMBOL },
					tooltiptxt = "(Underwater)", leaveGap = 1 },
			dtl2  = { text = "The Slave Pens", colour = AM_ORANGE, coords = { {16.41, 62.89} }, symbol = { "A" },
					tooltiptxt = "", toMap = "The Slave Pens" },
			dtl3  = { text = "The Steamvault", colour = AM_ORANGE, coords = { {31.05, 45.70} }, symbol = { "B" },
					tooltiptxt = "", toMap = "The Steamvault" },
			dtl4  = { text = "Serpentshrine Cavern", colour = AM_ORANGE, coords = { {48.05, 46.48} }, symbol = { "C" },
					tooltiptxt = "", toMap = "Serpentshrine Cavern" },
			dtl5  = { text = "The Underbog", colour = AM_ORANGE, coords = { {68.95, 59.375} }, symbol = { "D" },
					tooltiptxt = "", toMap = "The Underbog", leaveGap = 1 },
			dtl6  = { text = "Watcher Jhang", colour = AM_GREEN, coords = { {49.8, 64.26} }, symbol = { "1" },
					tooltiptxt = "", special = "Meeting Stone" },
			dtl7  = { text = "Mortog Steamhead", colour = AM_GREEN, coords = { {44.14, 59.96} }, symbol = { "2" },
					tooltiptxt = "" },
		},

		{	name = "Auchindoun"..AM_EXTERIOR,			-- Auchindoun
			type = AM_TYP_EXTERIORS,
			displayname = AM_EXTERIOR.." - Auchindoun",
			displayshort = "Auch",
			filename = "Interface\\AddOns\\AlphaMap_Exteriors\\Maps\\AuchindounExt",
			location = "Terokkar Forest",
			levels = "",
			players = "",
			prereq = "",
			general = "",
			area = "TerokkarForest",
			wmData = { minX = 0.34323, maxX = 0.44944, minY =  0.57638, maxY = 0.73592 },
			amData = { minX = 0.11, maxX = 0.89, minY = 0.10, maxY = 0.88 },
			dtl1  = { text = AM_INSTANCE_ENTRANCES, colour = AM_BLUE, coords = { {21, 20}, {81, 20}, {21, 78}, {81, 78} }, symbol = { AM_ENTRANCE_SYMBOL },
					tooltiptxt = "", leaveGap = 1 },
			dtl2  = { text = "Auchenai Crypts", colour = AM_ORANGE, coords = { {8, 49.5} }, symbol = { "A" },
					tooltiptxt = "", toMap = "Auchenai Crypts" },
			dtl3  = { text = "Mana-Tombs", colour = AM_ORANGE, coords = { {50, 7} }, symbol = { "B" },
					tooltiptxt = "", toMap = "Mana-Tombs" },
			dtl4  = { text = "Sethekk Halls", colour = AM_ORANGE, coords = { {92, 49.5} }, symbol = { "C" },
					tooltiptxt = "", toMap = "Sethekk Halls" },
			dtl5  = { text = "Shadow Labyrinth", colour = AM_ORANGE, coords = { {50, 92} }, symbol = { "D" },
					tooltiptxt = "", toMap = "Shadow Labyrinth", leaveGap = 1 },
			dtl6  = { text = "Meeting Stone", colour = AM_GREEN, coords = { {50, 44} }, symbol = { "1" },
					tooltiptxt = "", leaveGap = 1 },
			dtl7  = { text = "Ha'Lei", colour = AM_GREEN, coords = { {18, 49.5} }, symbol = { "2" },
					tooltiptxt = "" },
			dtl8  = { text = "Greatfather Aldrimus", colour = AM_GREEN, coords = { {18, 49.5} }, symbol = { " " },
					tooltiptxt = "" },
			dtl9  = { text = "Clarissa", colour = AM_GREEN, coords = { {18, 49.5} }, symbol = { " " },
					tooltiptxt = "" },
			dtl10 = { text = "Ramdor the Mad", colour = AM_GREEN, coords = { {18, 49.5} }, symbol = { " " },
					tooltiptxt = "" },
			dtl11 = { text = "Horvon the Armorer", colour = AM_GREEN, coords = { {18, 49.5} }, symbol = { " " },
					tooltiptxt = "" },
			dtl12 = { text = "Nexus-Prince Haramad", colour = AM_GREEN, coords = { {50, 16} }, symbol = { "3" },
					tooltiptxt = "" },
			dtl13 = { text = "Artificer Morphalius", colour = AM_GREEN, coords = { {50, 16} }, symbol = { " " },
					tooltiptxt = "" },
			dtl14 = { text = "Mamdy the \"Ologist\"", colour = AM_GREEN, coords = { {50, 16} }, symbol = { " " },
					tooltiptxt = "" },
			dtl15 = { text = "\"Slim\"", colour = AM_GREEN, coords = { {50, 16} }, symbol = { " " },
					tooltiptxt = "" },
			dtl16 = { text = "\"Captain\" Kaftiz", colour = AM_GREEN, coords = { {50, 16} }, symbol = { " " },
					tooltiptxt = "" },
			dtl17 = { text = "Isfar", colour = AM_GREEN, coords = { {83, 49.5} }, symbol = { "4" },
					tooltiptxt = "" },
			dtl18 = { text = "Field Commander Mahfuun", colour = AM_GREEN, coords = { {50, 80} }, symbol = { "5" },
					tooltiptxt = "" },
			dtl19 = { text = "Spy Grik'tha", colour = AM_GREEN, coords = { {50, 80} }, symbol = { " " },
					tooltiptxt = "" },
			dtl20 = { text = "Provisioner Tsaalt", colour = AM_GREEN, coords = { {50, 80} }, symbol = { " " },
					tooltiptxt = "" },
			dtl21 = { text = "Dealer Tariq", colour = AM_GREEN, coords = { {50, 80} }, symbol = { " " },
					tooltiptxt = "" },
		},

		{	name = "Scarlet Monastery"..AM_EXTERIOR,			-- Scarlet Monastery
			type = AM_TYP_EXTERIORS,
			displayname = AM_EXTERIOR.." - Scarlet Monastery",
			displayshort = "SM",
			filename = "Interface\\AddOns\\AlphaMap_Exteriors\\Maps\\SMExt",
			location = "Tirisfal Glades",
			levels = "",
			players = "",
			prereq = "",
			general = "",
			wmData = { minX = 0.462834, maxX = 0.466359, minY =  0.30418, maxY = 0.30718 },
			amData = { minX = 0.02, maxX = 0.91, minY = 0.26, maxY = 0.695 },
			dtl1  = { text = AM_INSTANCE_ENTRANCES, colour = AM_BLUE, coords = { {5, 59}, {9, 71} }, symbol = { AM_ENTRANCE_SYMBOL },
					tooltiptxt = "", leaveGap = 1 },
			dtl2  = { text = "Graveyard", colour = AM_ORANGE, coords = { {76, 23} }, symbol = { "1" },
					tooltiptxt = "", toMap = "Scarlet Monastery" },
			dtl3  = { text = "Cathedral", colour = AM_ORANGE, coords = { {89, 29} }, symbol = { "2" },
					tooltiptxt = "", toMap = "Scarlet Monastery" },
			dtl4  = { text = "Armory", colour = AM_ORANGE, coords = { {93, 43} }, symbol = { "3" },
					tooltiptxt = "", toMap = "Scarlet Monastery" },
			dtl5  = { text = "Library", colour = AM_ORANGE, coords = { {87, 55} }, symbol = { "4" },
					tooltiptxt = "", toMap = "Scarlet Monastery" },
			-- toMap = "Scarlet Monastery", "Das scharlachrote Kloster", "Monast\195\168re \195\169carlate"
		},

		{	name = "The Temple of Atal'Hakkar"..AM_EXTERIOR,			-- Sunken Temple
			type = AM_TYP_EXTERIORS,
			displayname = AM_EXTERIOR.." - Sunken Temple",
			displayshort = "ST",
			filename = "Interface\\AddOns\\AlphaMap_Exteriors\\Maps\\SunkenTempleExt",
			location = "Swamp of Sorrows",
			levels = "",
			players = "",
			prereq = "",
			general = "",
			area = "Swamp of Sorrows",
			wmData = { minX = 0.53955, maxX = 0.54659, minY =  0.78631, maxY = 0.79619 },
			amData = { minX = 0.08, maxX = 0.815, minY = 0.23, maxY = 0.91 },
			dtl1  = { text = AM_INSTANCE_ENTRANCES, colour = AM_BLUE, coords = { {12, 89} }, symbol = { AM_ENTRANCE_SYMBOL },
					tooltiptxt = "", special = "(Jade - Rare)", leaveGap = 1 },
			dtl2  = { text = "Kazkaz the Unholy", colour = AM_RED, coords = { {46, 70} }, symbol = { "1" },
					tooltiptxt = "", special = "(Upper)" },
			dtl3 = { text = "Zekkis", colour = AM_RED, coords = { {58, 38} }, symbol = { "2" },
					tooltiptxt = "", special = AM_RARE },
			dtl4 = { text = "Veyzhak the Cannibal", colour = AM_RED, coords = { {0, 0} }, symbol = { " " },
					tooltiptxt = "", special = "(?) (Rare)", leaveGap = 1 },
			dtl5 = { text = "Sunken Temple", colour = AM_ORANGE, coords = { {57, 21} }, symbol = { AM_ENTRANCE_SYMBOL },
					tooltiptxt = "", toMap = "The Temple of Atal'Hakkar", leaveGap = 1 },
			-- toMap = "The Temple of Atal'Hakkar", "Der versunkene Tempel", "Le temple d'Atal'Hakkar"
		},

		{	name = "Blackfathom Deeps"..AM_EXTERIOR,			-- Blackfathom Deeps
			type = AM_TYP_EXTERIORS,
			displayname = AM_EXTERIOR.." - Blackfathom Deeps",
			displayshort = "BFD",
			filename = "Interface\\AddOns\\AlphaMap_Exteriors\\Maps\\BlackfathomDeepsExt",
			location = "Ashenvale",
			levels = "",
			players = "",
			prereq = "",
			general = "",
			wmData = { minX = 0.4366733, maxX = 0.44610637, minY =  0.34415522, maxY = 0.35412708 },
			amData = { minX = 0.045, maxX = 0.975, minY = 0.14, maxY = 0.81 },
			dtl1  = { text = AM_INSTANCE_ENTRANCES, colour = AM_BLUE, coords = { {35, 80} }, symbol = { AM_ENTRANCE_SYMBOL },
					tooltiptxt = "", leaveGap = 1 },
			dtl2  = { text = "Blackfathom Deeps", colour = AM_ORANGE, coords = { {70, 43.8} }, symbol = { AM_ENTRANCE_SYMBOL },
					tooltiptxt = "", toMap = "Blackfathom Deeps", leaveGap = 1 },
			-- toMap = "Blackfathom Deeps", "Blackfathom-Tiefenl", "Profondeurs de Brassenoire"
		},

		{	name = "The Deadmines"..AM_EXTERIOR,			-- The Deadmines
			type = AM_TYP_EXTERIORS,
			displayname = AM_EXTERIOR.." - The Deadmines",
			displayshort = "BFD",
			filename = "Interface\\AddOns\\AlphaMap_Exteriors\\Maps\\TheDeadminesExt",
			location = "Westfall",
			levels = "",
			players = "",
			prereq = "",
			general = "",
			wmData = { minX = 0.404836, maxX = 0.410194, minY =  0.819415, maxY = 0.82981 },
			amData = { minX = 0.15, maxX = 0.89, minY = 0.01, maxY = 0.965 },
			dtl1  = { text = AM_INSTANCE_ENTRANCES, colour = AM_BLUE, coords = { {68, 1} }, symbol = { AM_ENTRANCE_SYMBOL },
					tooltiptxt = "", leaveGap = 1 },
			dtl2  = { text = "Marisa du'Paige", colour = AM_RED, coords = { {62, 63}, {86, 39} }, symbol = { "1" },
					tooltiptxt = "", special = "(Varies)" },
			dtl3  = { text = "Brainwashed Noble", colour = AM_RED, coords = { { 70, 71 } }, symbol = { "2" },
					tooltiptxt = "", special = AM_RARE },
			dtl4  = { text = "Foreman Thistlenettle", colour = AM_RED, coords = { {60, 86.8} }, symbol = { "3" },
					tooltiptxt = "", leaveGap = 1 },
			dtl5  = { text = "The Deadmines", colour = AM_ORANGE, coords = { {15, 48} }, symbol = { AM_ENTRANCE_SYMBOL },
					tooltiptxt = "", toMap = "The Deadmines", leaveGap = 1 },
			-- toMap = "The Deadmines", "Die Todesminen", "Les Mortemines"
		},

		{	name = "Karazhan"..AM_EXTERIOR,			-- Karazhan
			type = AM_TYP_EXTERIORS,
			displayname = AM_EXTERIOR.." - Karazhan",
			displayshort = "",
			filename = "Interface\\AddOns\\AlphaMap_Exteriors\\Maps\\KarazhanExt",
			location = "Deadwind Pass",
			levels = "",
			players = "",
			prereq = "",
			general = "",
			area = "DeadwindPass",
			wmData = { minX = 0.41501, maxX = 0.5179492, minY =  0.6651555, maxY = 0.822 },	--8172344
			amData = { minX = 0.02, maxX = 1.0, minY = 0.0, maxY = 0.98 },
			dtl1  = { text = AM_INSTANCE_ENTRANCES, colour = AM_ORANGE, coords = { {53, 50} }, symbol = { AM_ENTRANCE_SYMBOL },
					tooltiptxt = "", toMap = "Karazhan", special = "(Front)" },
			dtl2  = { text = AM_INSTANCE_ENTRANCES, colour = AM_ORANGE, coords = { {73, 8} }, symbol = { AM_ENTRANCE_SYMBOL },
					tooltiptxt = "", toMap = "Karazhan", special = "(Back)", leaveGap = 1 },
			dtl3  = { text = "Meeting Stone", colour = AM_BLUE, coords = { {44, 57} }, symbol = { "A" },
					tooltiptxt = "" },
			dtl4  = { text = "Graveyard & Crypt", colour = AM_BLUE, coords = { {0, 62} }, symbol = { "B" },
					tooltiptxt = "", leaveGap = 1 },
			dtl5  = { text = "Archmage Leryda", colour = AM_GREEN, coords = { {58, 51} }, symbol = { "1" },
					tooltiptxt = "" },
			dtl6  = { text = "Apprentice Darius", colour = AM_GREEN, coords = { {53, 56} }, symbol = { "2" },
					tooltiptxt = "" },
			dtl7  = { text = "Archmage Alturus", colour = AM_GREEN, coords = { {54, 61} }, symbol = { "3" },
					tooltiptxt = "" },
			dtl8  = { text = "Stairs to Underground Pond", colour = AM_GREEN, coords = { {59, 75} }, symbol = { "4" },
					tooltiptxt = "" },
			dtl9  = { text = "Stairs to Underground Well", colour = AM_GREEN, coords = { {72, 77} }, symbol = { "5" },
					tooltiptxt = "" },
			dtl10 = { text = "Charred Bone Fragment", colour = AM_GREEN, coords = { {31, 76} }, symbol = { "6" },
					tooltiptxt = "" },
			-- toMap = "The Deadmines", "Die Todesminen", "Les Mortemines"
		},

};


