local L = wsGetLocaleVariable

BINDING_HEADER_AUTOPROFIT_TRH = L("WS_AUTOREPAIR_BINGHEADER_TITLE");
BINDING_NAME_AUTOPROFIT_TRIGGER = L("WS_AUTOREPAIR_BINGNAME_TRIGGER");
BINDING_NAME_AUTOPROFIT_FINDLOWEST = L("WS_AUTOREPAIR_BINGNAME_FINDLOWEST");
autoProfitExceptions = { };
autoSell = 1;
autoSilent = 1;
totalProfit = 0;
rotation = 0;
rotrate = 0;
AUTOPROFIT_VERSION = "v4.5";

function AutoProfit_Print(arg1, arg2)
  local caption;
  local message;

  if (arg2) then 
    caption = arg1; 
    message = arg2;
  else 
    caption = "\124Tinterface\\icons\\Spell_Nature_NatureGuardian:16|t".."|c00bfffff"..L("WS_AUTOREPAIR_BINGHEADER_TITLE")..": ";
    message = arg1;
  end
  DEFAULT_CHAT_FRAME:AddMessage("|c00bfffff" .. caption .. "|r: " .. message,
    0.0, .8, 1)
end

function AutoProfit_ForAllJunk(action, message)
  local total_value = 0;

  for bag = 0, 4 do
    if GetContainerNumSlots(bag) > 0 then
      for slot = 0, GetContainerNumSlots(bag) do
        local texture, itemCount, locked, quality = 
          GetContainerItemInfo(bag, slot);

        if (quality ~= nil) then
          local linkcolor = 
            AutoSeller_ProcessLink(GetContainerItemLink(bag, slot));

          if (linkcolor == 1) then
            if (autoSilent == 0 and message ~= nil) then
              AutoProfit_Print(message(bag, slot))
            end
            total_value = total_value + action(bag, slot)
          end
        end
      end
    end
  end

  return total_value;
end

function SellJunk()
  AutoProfit_ForAllJunk(
  function(bag, slot) 
    PickupContainerItem(bag, slot); 
    MerchantItemButton_OnClick("LeftButton");
    return 0;
  end,
  function(bag, slot) 
    return L("WS_AUTOREPAIR_SOLD") .. GetContainerItemLink(bag, slot) 
  end)
end

function AutoProfit_DestroyJunk()
  AutoProfit_ForAllJunk(
  function(bag, slot) 
    PickupContainerItem(bag, slot);
    if (CursorHasItem()) then
      DeleteCursorItem()
    end
    return 0
  end,
  function(bag, slot) 
    return L("WS_AUTOREPAIR_DESTROYED").. GetContainerItemLink(bag, slot) 
  end)
end

function MI2Calculate()
  return AutoProfit_ForAllJunk(
  function (bag, slot)
    local link = GetContainerItemLink(bag, slot)
    local found, _, idstr = string.find(link, "^|c%x+|Hitem:(%d+):.*|h%[.+%]")
    if (found) then
      local val = MI2_FindItemValue(tonumber(idstr))
      if (val == 0) then
        AutoProfit_Print("无法找到此物品 " .. link)
      end
      return val;
    else
      AutoProfit_Print("BUG - 分析物品链接错误");
      return 0;
    end
  end)
end

function AutoProfit_OnEvent()
  if (event=="PLAYER_LOGIN" and MI2_FindItemValue) then
    local d = StaticPopupDialogs["AUTOPROFIT_DESTROY"];
    d.hasMoneyFrame = 1;
    d.OnShow = function () 
      value = MI2Calculate()
      MoneyFrame_Update(this:GetName().."MoneyFrame", value)
    end
    AutoProfit_Print("Found MobInfo2 - Adding destroy vendor prices.")
  end
end

function AutoProfit_OnLoad()
  SLASH_AUTOPROFIT1 = "/autoprofit";
  SLASH_AUTOPROFIT2 = "/ap";
  SlashCmdList["AUTOPROFIT"] = AutoProfit_SlashCmd;
  StaticPopupDialogs["AUTOPROFIT_DESTROY"] = {
    text = "是否摧毁此物品?",
    button1 = TEXT(YES),
    button2 = TEXT(NO),
    OnAccept = AutoProfit_DestroyJunk,
    timeout = 0,
    whileDead = 0,
    hideOnEscape = 1,
  }
  this:SetScript("OnEvent", AutoProfit_OnEvent);
  this:RegisterEvent("PLAYER_LOGIN");
end

function AutoProfit_Calculate()
  AutoProfit_ForAllJunk(
  function(bag, slot)
    AutoProfit_Tooltip:SetBagItem(bag, slot);
    return 0
  end)
end

function AutoProfit_AddCoin()
  if (arg1) then
    totalProfit = totalProfit + arg1;
  end
end

function AutoProfit_RotateModel(elapsed)
  if (rotrate > 0) then 
    rotation = rotation + (elapsed * rotrate); 
  end
  TreasureModel:SetRotation(rotation);
end

function AutoProfit_Usage()
  p = AutoProfit_Print;
  p(AUTOPROFIT_VERSION .. L("WS_AUTOPROFIT_INFO"));
  p(L("WS_AUTOPROFIT_ITEMLINK"));
  p(L("WS_AUTOPROFIT_LIST"));
  p(L("WS_AUTOPROFIT_NUMBER"));
  p(L("WS_AUTOPROFIT_PURGE"));
  p(L("WS_AUTOPROFIT_SILEN"));
  p(L("WS_AUTOPROFIT_AUTO"));
  --DEFAULT_CHAT_FRAME:AddMessage("For the latest version and advanced usage " .."visit |c00bfffffwww.gameguidesonline.com|r " .."(Under the World of Warcraft mods menu.)", 0.0, .80, 1);
end

--No switch statement in Lua? Use a jump table instead!--
AutoProfit_SlashCmd_switches = {
  [""] = AutoProfit_Usage,
  ["destroy"] = function () StaticPopup_Show("AUTOPROFIT_DESTROY") end,
  ["purge"] = function () 
                autoProfitExceptions = { };
                AutoProfit_Print(L("WS_AUTOPROFIT_PURGE1"));
              end,
  ["auto"] = function ()
               local s = "on"
               if (autoSell == 0) then
                 autoSell = 1;
               else
                 autoSell = 0;
                 s = "off"
                 AutosellButton:Show();
                 TreasureModel:Show();
               end
               AutoProfit_Print(L("WS_AUTOPROFIT_AUTOSELL") .. s);
             end,
  ["silent"] = function ()
                 local s = "off"
                 if (autoSilent == 0) then
                   autoSilent = 1;
                 else
                   autoSilent = 0;
                   s = "on"
                 end
                 AutoProfit_Print(L("WS_AUTOPROFIT_SILEN1") .. s)
               end,
  ["list"] = function ()
               if (table.getn(autoProfitExceptions) > 0) then
                 AutoProfit_Print(L("WS_AUTOPROFIT_LIST1"), "")
                 for i=1, table.getn(autoProfitExceptions) do
                   AutoProfit_Print(i, autoProfitExceptions[i])
                 end
               else
                 AutoProfit_Print(L("WS_AUTOPROFIT_LIST2"))
               end
             end,
}

function AutoProfit_SlashCmd(msg)
  local s = AutoProfit_SlashCmd_switches;
  if (type(s[msg])=="function") then
    s[msg]();
  else
    if (string.len(msg) < 6) then
      local n = tonumber(msg);
      if (n == nil) then return; end
      if (n > table.getn(autoProfitExceptions)) then return; end
      AutoProfit_Print(L("WS_AUTOPROFIT_REMOVED") .. autoProfitExceptions[n] ..
                       L("WS_AUTOPROFIT_EXCLIST"));
      table.remove(autoProfitExceptions, n)
    else
      if (string.find(msg, "Hitem:") == nil) then return; end
      local removed = 0;
      if (table.getn(autoProfitExceptions) > 0) then
        for i=1, table.getn(autoProfitExceptions) do
          if (msg == autoProfitExceptions[i]) then
            AutoProfit_Print(L("WS_AUTOPROFIT_REMOVED") .. autoProfitExceptions[i] ..
                              L("WS_AUTOPROFIT_EXCLIST"));
            table.remove(autoProfitExceptions, i);
            removed = 1;
          end
        end
      end
      if (removed == 0) then
        table.insert(autoProfitExceptions, msg)
        AutoProfit_Print(L("WS_AUTOPROFIT_ADDED") .. msg .. L("WS_AUTOPROFIT_TOEX"))
      end
    end
  end
end

function AutoSeller_ProcessLink(link)

  local color;
  local item;
  local name;

  for color, item, name in string.gmatch(link, "|c(%x+)|Hitem:(%d+:%d+:%d+:%d+:%d+:%d+:%d+:.%d+)|h%[(.-)%]|h|r") do


    if (color == "ff9d9d9d") then
      for i=1,table.getn(autoProfitExceptions) do

        if (link == autoProfitExceptions[i]) then
          return 0;
        end
      end


      return 1;
    end

    if (color == "ffffffff") then
      for i=1,table.getn(autoProfitExceptions) do

        if (link == autoProfitExceptions[i]) then

          return 1;
        end
      end

      return 0;
    end

    return 0;
  end

end
