UIPanelWindows["wsBagOpenConfigFrame"] = { area = "left",	pushable = 1 };

WS_BagOpen={};

local default_BagOpen={
					Merchant="1",
					AH="1",
					Bank="1",
					Guild = "1",
					KeepOpenedBag="1"
				};

local old_updateContainerFrameAnchors = nil;
function wsBagOpenConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
	this:RegisterEvent("AUCTION_HOUSE_SHOW");
	this:RegisterEvent("AUCTION_HOUSE_CLOSED");
	this:RegisterEvent("BANKFRAME_OPENED");
	this:RegisterEvent("BANKFRAME_CLOSED");
	this:RegisterEvent("GUILDBANKFRAME_CLOSED")
	this:RegisterEvent("GUILDBANKFRAME_OPENED")
end

function wsBagOpenConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if(wsGetWSVar("BagOpen")) then
			WS_BagOpen=wsGetWSVar("BagOpen");
		else
			WS_BagOpen=default_BagOpen;
		end

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"Item",
		wsGetLocaleVariable("WS_BAGOPEN_TITLE"),
		wsGetLocaleVariable("WS_BAGOPEN_DESCRIPTION"),
		wsGetLocaleVariable("WS_BAGOPEN_TOOLTIP"),
		"Interface\\Icons\\INV_Misc_Bag_16",
		function()
			ShowUIPanel(wsBagOpenConfigFrame);
		end
	);

		wsToggleMerchantBagOpen(WS_BagOpen.Merchant);
		wsToggleAHBagOpen(WS_BagOpen.AH);
		wsToggleBankBagOpen(WS_BagOpen.Bank);
		wsToggleGuildOpen(WS_BagOpen.Guild)

		old_updateContainerFrameAnchors = updateContainerFrameAnchors;
		updateContainerFrameAnchors = ws_updateContainerFrameAnchors;
	end

	if(event == "AUCTION_HOUSE_SHOW") then
--		if(AllInOneInventory_DoToggle_ReplaceBags) then
--			AllInOneInventory_DoToggle_ReplaceBags(0, false);
--		end
		if(WS_BagOpen and WS_BagOpen.AH and WS_BagOpen.AH == "1") then
			WS_SaveOpenedBag();
			OpenAllBags(1);
		end
		return;
	end
	if(event == "AUCTION_HOUSE_CLOSED") then
		if(WS_BagOpen and WS_BagOpen.AH and WS_BagOpen.AH == "1") then
			WS_CloseAllBags();
			WS_OpenSaveBag();
		end

		if(wsAIOI_CheckConfig) then
			wsAIOI_CheckConfig();
		end
		return;
	end
	if(event == "BANKFRAME_OPENED") then
--		if(AllInOneInventory_DoToggle_ReplaceBags) then
--			AllInOneInventory_DoToggle_ReplaceBags(0, false);
--		end
		if(WS_BagOpen and WS_BagOpen.Bank and WS_BagOpen.Bank == "1") then
			WS_SaveOpenedBag();
			OpenAllBags(1);
		end
		return;
	end
	if(event == "BANKFRAME_CLOSED") then
		if(WS_BagOpen and WS_BagOpen.Bank and WS_BagOpen.Bank == "1") then
			WS_CloseAllBags();
			WS_OpenSaveBag();
		end

		if(wsAIOI_CheckConfig) then
			wsAIOI_CheckConfig();
		end
		return;
	end

	if (event == "GUILDBANKFRAME_OPENED") then
		if (WS_BagOpen and WS_BagOpen.Guild and WS_BagOpen.Guild == "1") then
			WS_SaveOpenedBag();
			OpenAllBags(1);
		end
		return
	end

	if (event == "GUILDBANKFRAME_CLOSED") then
		if (WS_BagOpen and WS_BagOpen.Guild and WS_BagOpen.Guild == "1") then
			WS_CloseAllBags();
			WS_OpenSaveBag();
		end

		if (wsAIOI_CheckConfig) then
			wsAIOI_CheckConfig();
		end
		return
	end


end

function ws_updateContainerFrameAnchors()
	if(AllInOneInventoryFrame and AllInOneInventoryFrame:IsVisible()) then
			local shrinkFrames, frame;
			local xOffset = CONTAINER_OFFSET_X;
			local yOffset = CONTAINER_OFFSET_Y;
			local uiScale = 1;
			local screenHeight = GetScreenHeight();
			local containerScale = CONTAINER_SCALE;
			if ( GetCVar("useUiScale") == "1" ) then
				uiScale = GetCVar("uiscale") + 0;
				if ( uiScale < containerScale ) then
					containerScale = uiScale * CONTAINER_SCALE;
				end
			end
			local freeScreenHeight = screenHeight - yOffset;
			local index = 1;
			local column = 0;
			while ContainerFrame1.bags[index] do
				frame = getglobal(ContainerFrame1.bags[index]);
				frame:SetScale(1);
				-- freeScreenHeight determines when to start a new column of bags
				if ( index == 1 ) then
					-- First bag
					frame:SetPoint("BOTTOMRIGHT", AllInOneInventoryFrame, "BOTTOMLEFT", -xOffset, 5 );
				elseif ( freeScreenHeight < frame:GetHeight() ) then
					-- Start a new column
					column = column + 1;
					freeScreenHeight = screenHeight - yOffset;
					frame:SetPoint("BOTTOMRIGHT", AllInOneInventoryFrame, "BOTTOMLEFT", -(column * CONTAINER_WIDTH) - xOffset, 5 );
					if ( BankFrame:IsShown() ) then
						if ( frame:GetLeft() < ( BankFrame:GetRight() - 45 ) ) then
							shrinkFrames = 1;
							break;
						end
					end
				else
					-- Anchor to the previous bag
					frame:SetPoint("BOTTOMRIGHT", ContainerFrame1.bags[index - 1], "TOPRIGHT", 0, CONTAINER_SPACING);
				end
				freeScreenHeight = freeScreenHeight - frame:GetHeight() - VISIBLE_CONTAINER_SPACING;
				index = index + 1;
			end

			if ( shrinkFrames ) then
				screenHeight = screenHeight / containerScale;
				xOffset = xOffset / containerScale;
				yOffset = yOffset / containerScale;
				freeScreenHeight = screenHeight - yOffset;
				index = 1;
				column = 0;
				while ContainerFrame1.bags[index] do
					frame = getglobal(ContainerFrame1.bags[index]);
					frame:SetScale(containerScale);
					if ( index == 1 ) then
						-- First bag
						frame:SetPoint("BOTTOMRIGHT", AllInOneInventoryFrame, "BOTTOMLEFT", -xOffset, 5 );
					elseif ( freeScreenHeight < frame:GetHeight() ) then
						-- Start a new column
						column = column + 1;
						freeScreenHeight = screenHeight - yOffset;
						frame:SetPoint("BOTTOMRIGHT", AllInOneInventoryFrame, "BOTTOMLEFT", -(column * CONTAINER_WIDTH) - xOffset, 5 );
					else
						-- Anchor to the previous bag
						frame:SetPoint("BOTTOMRIGHT", ContainerFrame1.bags[index - 1], "TOPRIGHT", 0, CONTAINER_SPACING);
					end
					freeScreenHeight = freeScreenHeight - frame:GetHeight() - VISIBLE_CONTAINER_SPACING;
					index = index + 1;
				end
			end
		return;
	end
	old_updateContainerFrameAnchors();
end

function wsBagOpenConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_BAGOPEN_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_BAGOPEN_ENABLE_BAGOPEN_MERCHANT"));

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_BAGOPEN_ENABLE_BAGOPEN_AH"));

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	checkButton3:Show();
	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(wsGetLocaleVariable("WS_BAGOPEN_ENABLE_BAGOPEN_BANK"));

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	checkButton4:Show();
	local checkButton4Text = getglobal(this:GetName().."CheckButton4Text");
	checkButton4Text:SetText(wsGetLocaleVariable("WS_BAGOPEN_KEEP_OPENED_BAGS"));

	local checkButton5 = getglobal(this:GetName().."CheckButton5");
	checkButton5:Show();
	local checkButton5Text = getglobal(this:GetName().."CheckButton5Text")
	checkButton5Text:SetText(wsGetLocaleVariable("WS_BAGOPEN_ENABLE_BAGOPEN_GUILD"));

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	local checkButton5 = getglobal(this:GetName().."CheckButton5");
	if (WS_BagOpen.Merchant == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	if (WS_BagOpen.AH == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	if (WS_BagOpen.Bank == "1") then
		checkButton3:SetChecked(1);
	else
		checkButton3:SetChecked(nil);
	end

	if (WS_BagOpen.KeepOpenedBag == "1") then
		checkButton4:SetChecked(1);
	else
		checkButton4:SetChecked(nil);
	end

	if (WS_BagOpen.Guild == "1") then
		checkButton5:SetChecked(1)
	else
		checkButton5:SetChecked(nil);
	end
end

function wsBagOpenConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	local checkButton5 = getglobal(parent:GetName().."CheckButton5");

	checkButton1:SetChecked(1);
	checkButton2:SetChecked(1);
	checkButton3:SetChecked(1);
	checkButton4:SetChecked(1);
	checkButton5:SetChecked(1);
end

function wsBagOpenConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	local checkButton5 = getglobal(parent:GetName().."CheckButton5");

	if (checkButton1:GetChecked()) then
		WS_BagOpen.Merchant = "1";
	else
		WS_BagOpen.Merchant = "0";
	end

	if (checkButton2:GetChecked()) then
		WS_BagOpen.AH = "1";
	else
		WS_BagOpen.AH = "0";
	end

	if (checkButton3:GetChecked()) then
		WS_BagOpen.Bank = "1";
	else
		WS_BagOpen.Bank = "0";
	end

	if (checkButton4:GetChecked()) then
		WS_BagOpen.KeepOpenedBag = "1";
	else
		WS_BagOpen.KeepOpenedBag = "0";
	end

	if (checkButton5:GetChecked()) then
		WS_BagOpen.Guild = "1";
	else
		WS_BagOpen.Guild = "0";
	end

	wsToggleMerchantBagOpen(WS_BagOpen.Merchant);
	wsToggleAHBagOpen(WS_BagOpen.AH);
	wsToggleBankBagOpen(WS_BagOpen.Bank);

	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("BagOpen", WS_BagOpen);

end