local BS_NumSlots = { 0 , 0 , 0 , 0 , 0 };
local BS_UsedSlots = { 0 , 0 , 0 , 0 , 0 };
local wsPlayerEnterWorld = nil;
local BS_AMMO = wsGetGameLocaleVariable("BS_AMMO");
local BS_Tooltip = wsGetGameLocaleVariable("WS_BAGSTATUSBAR_TOOLTIP");

function wsBagStatusFrame_OnLoad()
--	this:RegisterEvent("VARIABLES_LOADED");
	this:RegisterEvent("BAG_UPDATE");
	this:RegisterEvent("PLAYER_ENTERING_WORLD");
end

function wsBagStatusFrame_OnEvent(event)
	if(event == "PLAYER_ENTERING_WORLD") then
		wsPlayerEnterWorld = 1;
		if(WS_BagStatus.BagStatus_Enable == "1") then
			wsBagStatus_Update();
		end
		if(WS_BagStatus.BagStatusBar_Enable == "1") then
			wsBagTotalStatus_Update();	
		end
		wsToggleBagStatus(WS_BagStatus.BagStatus_Enable);
		wsToggleBagStatusBar(WS_BagStatus.BagStatusBar_Enable);
	end	
	if(wsPlayerEnterWorld and event == "BAG_UPDATE") then
		if(WS_BagStatus.BagStatus_Enable == "0" and WS_BagStatus.BagStatusBar_Enable == "0") then
			return;
		else
			wsBagStatus_Update();
			wsBagTotalStatus_Update();	
		end
		wsToggleBagStatus(WS_BagStatus.BagStatus_Enable);
--		ToggleBagStatusBar(WS_BagStatus.BagStatusBar_Enable);
	end
end

function BagTotalStatusFrame_OnEnter()
	GameTooltip:SetOwner(this, "ANCHOR_TOPRIGHT");
	GameTooltip:AddLine(BS_Tooltip, 1.0, 1.0, 1.0);
	GameTooltip:Show();
end

function wsBagStatus_Update()
	for bag = 0, 4, 1 do
		local statusBar = getglobal("BS_StatusBar"..bag);
		local numSlots = BS_GetNumSlots(bag);
		if(numSlots) then
			BS_NumSlots[bag+1] = numSlots;					
			BS_UsedSlots[bag+1] = 0;
			for slot = 1, numSlots, 1 do
				if (GetContainerItemInfo(bag, slot)) then
					BS_UsedSlots[bag+1] = BS_UsedSlots[bag+1] + 1;
				end
			end
			local statusBarText = getglobal("BS_StatusBar"..bag.."Text");
			statusBarText:SetText(BS_UsedSlots[bag+1].."/"..numSlots);
			statusBar:SetMinMaxValues(0, BS_NumSlots[bag+1]);
			statusBar:SetValue(BS_UsedSlots[bag+1]);

			local Percent = BS_UsedSlots[bag+1]/BS_NumSlots[bag+1];
			if(Percent >= 0.5 and Percent <= 1) then
				local b = 1-(Percent-0.5)*2;
				if(b>=0 and b <= 1) then
					statusBar:SetStatusBarColor(1,b,0);
				end
			elseif(Percent >= 0) then
				statusBar:SetStatusBarColor(Percent,1,0);
			end
		else
			BS_NumSlots[bag+1] = 0;
			BS_UsedSlots[bag+1] = 0;
		end
	end
end

function BS_GetNumSlots(bag)
	local num = GetContainerNumSlots(bag);
	if ( not GetBagName(bag) ) then
		return nil;
	else
		for i = 1, table.getn( BS_AMMO ), 1 do
			if ( string.find( GetBagName(bag), BS_AMMO[i] ) ) then
				return nil;
			end
		end
	end
	if(not num or num == 0) then
		return nil;
	end
	return num;
end

function BagTotalStatusFrame_OnShow()
	wsBagStatus_Update();
	wsBagTotalStatus_Update();
end

function wsBagTotalStatus_Update()
	local numSlots = 0;
	local usedSlots = 0;
	for bag = 0 , 4 , 1 do
		if(BS_NumSlots[bag + 1]) then
			numSlots = numSlots + BS_NumSlots[bag + 1];
		end
		if(BS_UsedSlots[bag + 1]) then
			usedSlots = usedSlots +BS_UsedSlots[bag + 1];
		end
	end

	local BSTText = getglobal("BagTotalStatusFrameStatusBarText");
	BSTText:SetText(usedSlots.."/"..numSlots);

	local statusBar = getglobal("BagTotalStatusFrameStatusBar");
	statusBar:SetMinMaxValues(0, numSlots);
	statusBar:SetValue(usedSlots);

	local percent = usedSlots/numSlots;
	if(percent >= 0.5 and percent <= 1) then
		local b = 1-(percent-0.5)*2;
		if(b>=0 and b <= 1) then
			statusBar:SetStatusBarColor(1,b,0);
		end
	elseif(percent >= 0) then
		statusBar:SetStatusBarColor(percent,1,0);
	end
end

function wsToggleBagStatusBar(flag)
	local frame = getglobal("BagTotalStatusFrame");
	if(flag == "0") then		
		frame:Hide();
	else	
		frame:Show();
	end
end

function wsToggleBagStatus(flag)
	if(flag == "0") then
		for bag = 0, 4, 1 do
			local statusBar = getglobal("BS_StatusBar"..bag);
			statusBar:Hide();
		end
	else	
		for bag = 0, 4, 1 do
			local statusBar = getglobal("BS_StatusBar"..bag);
			local numSlots = BS_GetNumSlots(bag);
			if(numSlots) then
				statusBar:Show();
			else
				statusBar:Hide();
			end
		end
		wsBagStatus_Update();
	end
end

function wsToggleBagStatusAlpha(alpha)
	for bag = 0, 4, 1 do
		local statusBar = getglobal("BS_StatusBar"..bag);
		statusBar:SetAlpha(alpha/100);
	end
end