UIPanelWindows["wsBagStatusConfigFrame"] =		{ area = "left",	pushable = 1 };

local default_BagStatus = {
	BagStatus_Enable="1" , 
	BagStatusBar_Enable = "1" , 
	Alpha = 80, 
	BagStatusCount_Enable="1"};

function wsBagStatusConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsBagStatusConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if (wsGetWSVar("BagStatus")) then
			WS_BagStatus = wsGetWSVar("BagStatus");
		else
			WS_BagStatus = default_BagStatus;
			--wsAddMessage(WS_BagStatus)
		end

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"Item",
		wsGetLocaleVariable("WS_BAGSTATUS_TITLE"),
		wsGetLocaleVariable("WS_BAGSTATUS_DESCRIPTION"),
		wsGetLocaleVariable("WS_BAGSTATUS_TOOLTIP"),
		"Interface\\Icons\\INV_Misc_Bag_14",
		function()
			ShowUIPanel(wsBagStatusConfigFrame);
		end
	);

		wsToggleBagStatus(WS_BagStatus.BagStatus_Enable);
		wsToggleBagStatusBar(WS_BagStatus.BagStatusBar_Enable);
		wsToggleBagStatusAlpha(WS_BagStatus.Alpha);
		wsToggleBagStatusCount(WS_BagStatus.BagStatusCount_Enable);
	end
end

function wsBagStatusConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_BAGSTATUS_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_BAGSTATUS_ENABLE_BAGSTATUS"));

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_BAGSTATUS_BAGSTATUSBAR_ENABLE"));

--3
	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	checkButton3:Show();
	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(wsGetLocaleVariable("WS_BAGSTATUS_ITEMCOUNT"));
	--end

	local slider1Text = getglobal(this:GetName().."Slider1Text");
	slider1Text:SetText(wsGetLocaleVariable("WS_BAGSTATUS_ALPHA"));

	local slider1 = getglobal(this:GetName().."Slider1");
	slider1:SetMinMaxValues(0, 100)
	slider1:SetValueStep(10);
	slider1:SetValue(WS_BagStatus.Alpha);
	---------------

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (WS_BagStatus.BagStatus_Enable == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	if (WS_BagStatus.BagStatusBar_Enable == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	if (WS_BagStatus.BagStatusCount_Enable == "1") then
		checkButton3:SetChecked(1);
	else
		checkButton3:SetChecked(nil);
	end
end

function wsBagStatusConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");

	checkButton1:SetChecked(1);
	checkButton2:SetChecked(1);
	checkButton3:SetChecked(1);

	local slider1 = getglobal(parent:GetName().."Slider1");
	slider1:SetValue(default_BagStatus.Alpha);
end

function wsBagStatusConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");

	if (checkButton1:GetChecked()) then
		WS_BagStatus.BagStatus_Enable = "1";
	else
		WS_BagStatus.BagStatus_Enable = "0";
	end

	if (checkButton2:GetChecked()) then
		WS_BagStatus.BagStatusBar_Enable = "1";
	else
		WS_BagStatus.BagStatusBar_Enable = "0";
	end

	if (checkButton3:GetChecked()) then
		WS_BagStatus.BagStatusCount_Enable = "1";
	else
		WS_BagStatus.BagStatusCount_Enable = "0";
	end

	local slider1 = getglobal(parent:GetName().."Slider1");
	WS_BagStatus.Alpha = slider1:GetValue();

	wsToggleBagStatus(WS_BagStatus.BagStatus_Enable);
	wsToggleBagStatusBar(WS_BagStatus.BagStatusBar_Enable);
	wsToggleBagStatusAlpha(WS_BagStatus.Alpha);
	wsToggleBagStatusCount(WS_BagStatus.BagStatusCount_Enable);
	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("BagStatus", WS_BagStatus);

end

function wsBagStatusConfigButton_OnEnter(id)
	if(GetLocale() ~= "zhCN") then
		return;
	end
	if(not id) then
		return;
	end
	local tip = "WS_BAGSTATUS_CONFIGTIP"..id;
	GameTooltip:SetOwner(this, "ANCHOR_TOPLEFT");
	wsFormatConfigTip(wsGetGameLocaleVariable(tip));
	GameTooltip:Show();
end

function BetterItemCount_SetItemButtonCount(button, count)
	-- orig by Miyke
	if ( not button ) then return end
	if ( not count ) then
		count = 0
	end

	button.count = count
	local countText = getglobal(button:GetName().."Count")
	if count > 1 or (button.isBag and count > 0) then
		if count > 999 then 
			local fixedCount = count+50
			count = floor((fixedCount)/1000).."."..floor(((mod(fixedCount, 1000))/100)).."k"
		end 
		countText:SetText(count)
		countText:Show()
	else
		countText:Hide()
	end
end

function wsToggleBagStatusCount(flag)
	if (flag == "1") then
		hooksecurefunc("SetItemButtonCount", BetterItemCount_SetItemButtonCount)
	else
		hooksecurefunc("SetItemButtonCount", SetItemButtonCount)
	end
end