function BT_OnLoad()
	this:RegisterEvent("CRAFT_SHOW");
	this:RegisterEvent("CRAFT_UPDATE");
	this:RegisterEvent("UNIT_PET");
	this:RegisterEvent("GUILD_ROSTER_UPDATE");
	this:RegisterEvent("UNIT_PET_TRAINING_POINTS");
	this:RegisterEvent("CHAT_MSG_ADDON");
	this:RegisterEvent("PARTY_MEMBERS_CHANGED");

	SetItemButtonTexture(BT_Talent1, "Interface\\Icons\\Spell_Nature_StarFall");
	SetItemButtonTexture(BT_Talent2, "Interface\\Icons\\Spell_Fire_FireArmor");
	SetItemButtonTexture(BT_Talent3, "Interface\\Icons\\Spell_Frost_FrostWard");
	SetItemButtonTexture(BT_Talent4, "Interface\\Icons\\Spell_Nature_ResistNature");
	SetItemButtonTexture(BT_Talent5, "Interface\\Icons\\Spell_Shadow_AntiShadow");

	SetItemButtonTexture(BT_Talent6, "Interface\\Icons\\Spell_Nature_UnyeildingStamina");
	SetItemButtonTexture(BT_Talent7, "Interface\\Icons\\Spell_Nature_SpiritArmor");
	SetItemButtonTexture(BT_Talent8, "Interface\\Icons\\Spell_Magic_LesserInvisibilty");
	SetItemButtonTexture(BT_Talent9, "Interface\\Icons\\Spell_Nature_GuardianWard");

	SetItemButtonTexture(BT_Talent10, "Interface\\Icons\\Ability_Druid_Dash");
	SetItemButtonTexture(BT_Talent11, "Interface\\Icons\\Spell_Shadow_BurningSpirit");
	SetItemButtonTexture(BT_Talent12, "Interface\\Icons\\Ability_Druid_Cower");
	SetItemButtonTexture(BT_Talent13, "Interface\\Icons\\Ability_Physical_Taunt");
	SetItemButtonTexture(BT_Talent14, "Interface\\Icons\\Ability_Racial_Cannibalize");

	SetItemButtonTexture(BT_Talent15, "Interface\\Icons\\Ability_Hunter_Pet_Boar");
	SetItemButtonTexture(BT_Talent16, "Interface\\Icons\\Ability_Druid_Rake");
	SetItemButtonTexture(BT_Talent17, "Interface\\Icons\\Spell_Fire_Burnout");
	SetItemButtonTexture(BT_Talent18, "Interface\\Icons\\Ability_Hunter_Pet_Wolf");

	SetItemButtonTexture(BT_Talent19, "Interface\\Icons\\INV_Weapon_Shortblade_28");
	SetItemButtonTexture(BT_Talent20, "Interface\\Icons\\Spell_Nature_Lightning");
	SetItemButtonTexture(BT_Talent21, "Interface\\Icons\\Spell_Nature_CorrosiveBreath");
	SetItemButtonTexture(BT_Talent22, "Interface\\Icons\\Ability_Druid_SupriseAttack"); -- note typo
	SetItemButtonTexture(BT_Talent23, "Interface\\Icons\\Ability_PoisonSting");

	SetItemButtonTexture(BT_Talent24, "Interface\\Icons\\Ability_Hunter_Pet_Bat");
	SetItemButtonTexture(BT_Talent25, "Interface\\Icons\\Ability_Hunter_Pet_Turtle");
	SetItemButtonTexture(BT_Talent26, "Interface\\Icons\\Ability_Hunter_Pet_Gorilla");
	SetItemButtonTexture(BT_Talent27, "Interface\\Icons\\Spell_Arcane_Arcane04");

	for i=1, 27, 1 do
		BT_GrayOutIcon(i);
	end

	old_CloseCraft = CloseCraft;
	CloseCraft = BT_hookHide;
end

function BT_hookHide()
	old_CloseCraft();
	BeastTrainingFrame:Hide();
end

function BT_SetRank(name, text)
	local icon = BT[name].icon;
	getglobal("BT_Talent"..icon.."Rank"):SetText(text);
	local petCanLearn = false;
	for i=1, BT[name].maxRank, 1 do
		if ( BT[name][BT_RANK..i].player == BT_GREEN and BT[name][BT_RANK..i].lvl > 0 ) then
			petCanLearn = true;
			break;
		end
	end
	if ( BT[name].currentRank == BT[name].maxRank ) then
		BT_SetOrangeIcon(icon);
	elseif ( BT[name].currentRank < BT[name].maxRank and petCanLearn ) then
		BT_SetGreenIcon(icon);
	else
		BT_GrayOutIcon(icon);
	end
end

function BT_GrayOutIcon(icon)
	SetItemButtonDesaturated(getglobal("BT_Talent"..icon), 1, 0.65, 0.65, 0.65);
	getglobal("BT_Talent"..icon.."Slot"):SetVertexColor(0.65, 0.65, 0.65);
	getglobal("BT_Talent"..icon.."RankBorder"):Hide();
	getglobal("BT_Talent"..icon.."Rank"):Hide();
end

function BT_SetGreenIcon(icon)
	SetItemButtonDesaturated(getglobal("BT_Talent"..icon), nil);
	getglobal("BT_Talent"..icon.."Slot"):SetVertexColor(GREEN_FONT_COLOR.r, GREEN_FONT_COLOR.g, GREEN_FONT_COLOR.b);
	getglobal("BT_Talent"..icon.."Rank"):SetTextColor(GREEN_FONT_COLOR.r, GREEN_FONT_COLOR.g, GREEN_FONT_COLOR.b);
	getglobal("BT_Talent"..icon.."RankBorder"):Show();
	getglobal("BT_Talent"..icon.."Rank"):Show();
end

function BT_SetOrangeIcon(icon)
	SetItemButtonDesaturated(getglobal("BT_Talent"..icon), nil);
	getglobal("BT_Talent"..icon.."Slot"):SetVertexColor(NORMAL_FONT_COLOR.r, NORMAL_FONT_COLOR.g, NORMAL_FONT_COLOR.b);
	getglobal("BT_Talent"..icon.."Rank"):SetTextColor(NORMAL_FONT_COLOR.r, NORMAL_FONT_COLOR.g, NORMAL_FONT_COLOR.b);	
	getglobal("BT_Talent"..icon.."RankBorder"):Show();
	getglobal("BT_Talent"..icon.."Rank"):Show();
end

function BT_OnEvent()

	BT_Frame_Update();

	if ( ( event == "CRAFT_SHOW" or event == "CRAFT_UPDATE" or event == "UNIT_PET_TRAINING_POINTS" ) and CraftIsPetTraining() ) then
		local totalPoints, spent = GetPetTrainingPoints();
		local remainingPoints = totalPoints - spent;
		for i=1, GetNumCrafts(), 1 do
			local craftName, craftSubSpellName, craftType, numAvailable, isExpanded, trainingPointCost, requiredLevel = GetCraftInfo(i);
			if ( craftSubSpellName == "" ) then -- Only "" works, not nil.
				craftSubSpellName = BT_RANK.."1";
			end
			if ( craftType == "used" ) then
				BT[craftName][craftSubSpellName].pet = BT_GREEN;
			else
				BT[craftName][craftSubSpellName].pet = BT_RED;
			end
			BT[craftName][craftSubSpellName].desc = GetCraftDescription(i);
			BT[craftName][craftSubSpellName].player = BT_GREEN;
			BT[craftName][craftSubSpellName].index = i;
			BT[craftName][craftSubSpellName].lvl = requiredLevel;
			BT[craftName][craftSubSpellName].tp = trainingPointCost;
			BT[craftName].currentRank = 0;
			for i=1, BT[craftName].maxRank, 1 do
				if ( BT[craftName][BT_RANK..i].pet == BT_GREEN and i > BT[craftName].currentRank ) then
					BT[craftName].currentRank = i;
				end
			end
			BT_SetRank(craftName, BT[craftName].currentRank);
			BT[craftName].nextRank = 0;
			if ( BT[craftName].currentRank < BT[craftName].maxRank ) then
				for i=BT[craftName].currentRank + 1, BT[craftName].maxRank, 1 do
					if ( BT[craftName][BT_RANK..i].player == BT_GREEN and i <= BT[craftName].maxRank ) then
						BT[craftName].nextRank = i;
						break;
					end
				end
			end
			BT[craftName].maxTrainableRank = 0;
			if ( BT[craftName].nextRank > BT[craftName].currentRank ) then
				for i=BT[craftName].maxRank, BT[craftName].currentRank + 1, -1 do
					if ( BT[craftName][BT_RANK..i].player == BT_GREEN and i <= BT[craftName].maxRank ) then
						if ( BT[craftName].currentRank > 0 ) then
							if ( ( BT[craftName][BT_RANK..i].tp - BT[craftName][BT_RANK..BT[craftName].currentRank].tp <= remainingPoints ) or ( craftName == BT_GROWL ) ) then
								if ( BT[craftName][BT_RANK..i].lvl <= UnitLevel("pet") ) then
									BT[craftName].maxTrainableRank = i;
									break;
								end
							end
						else
							if ( BT[craftName][BT_RANK..i].tp <= remainingPoints or craftName == BT_GROWL ) then
								if ( BT[craftName][BT_RANK..i].lvl <= UnitLevel("pet") ) then
									BT[craftName].maxTrainableRank = i;
									break;
								end
							end
						end
					end
				end
			end
		end
		if ( event == "CRAFT_SHOW" ) then
			BeastTrainingFrame:Show();
		end
		if ( event == "CRAFT_UPDATE" ) then
			BT_ToolTip(BT_currentToolTip);
		end
	end

	if (event == "CRAFT_SHOW" and not CraftIsPetTraining() ) then
		BeastTrainingFrame:Hide();
	end

	if ( event == "UNIT_PET" and arg1 == "player" and CraftIsPetTraining() ) then
		HideUIPanel(CraftFrame);
	end

	if ( event == "GUILD_ROSTER_UPDATE" ) then
		if ( arg1 or not BT_TellGuild ) then
			return;
		end
		SendAddonMessage( "BeastTraining", BT_Version, "GUILD" );
		BT_TellGuild = false;
	end

	if ( event == "PARTY_MEMBERS_CHANGED" ) then
		local bt_party = GetNumPartyMembers();
		local bt_raid = GetNumRaidMembers();
		if ( bt_raid == 0 ) then
			BT_RaidMembers = 0;
			if ( bt_party == 0 ) then
				BT_PartyMembers = 0;
			elseif ( bt_party ~= BT_PartyMembers ) then
				if ( bt_party > BT_PartyMembers ) then
					SendAddonMessage( "BeastTraining", BT_Version, "RAID" );
				end
				BT_PartyMembers = bt_party;
			end
		elseif ( bt_raid ~= BT_RaidMembers ) then
			if ( bt_raid > BT_RaidMembers ) then
				SendAddonMessage( "BeastTraining", BT_Version, "RAID" );
			end
			BT_RaidMembers = bt_raid;
		end
	end

	if ( event == "CHAT_MSG_ADDON" and arg1 == "BeastTraining" ) then
		if ( tonumber(arg2) == nil ) then
			return;
		end
		if ( tonumber(arg2) > tonumber(BT_Version) and tonumber(BT_Version) > tonumber(BT_OutOfDate) ) then
			-- out of date
			StaticPopupDialogs["BT_Version"] = {
				text = BT_OutOfDate_1..arg4..BT_OutOfDate_2..arg2..BT_OutOfDate_3..BT_Version..BT_OutOfDate_4,
				button1 = BT_OK,
				button2 = BT_CANCEL,
				OnAccept = function()
					BT_OutOfDate = BT_Version;
				end,
				timeout = 0,
				whileDead = 1,
				hideOnEscape = 1
			};

			StaticPopup_Show ("BT_Version");
		elseif ( tonumber(arg2) < tonumber(BT_Version) and not BT_CoolDown ) then
			-- Someone else is out of date - let them know.
			SendAddonMessage( "BeastTraining", BT_Version, arg3 );
			BT_CoolDown = true;
		end
	end
end

function BT_OnUpdateCoolDown(arg1)
	if ( BT_CoolDown ) then
		BT_Elapsed = BT_Elapsed + arg1;
		if ( BT_Elapsed > 5 ) then
			BT_CoolDown = false;
			BT_Elapsed = 0;
		end
	end
end

function BT_OnUpdate()
	BeastTrainingFrame:Raise();
	BeastTrainingFrame:SetPoint("TOPLEFT",CraftFrame,"TOPLEFT",0,0);
end

function BT_Frame_Update()
	BT_VersionText:SetText("v"..BT_Version);
	if ( BT_Version == BT_OutOfDate ) then
		BT_VersionText:SetTextColor(RED_FONT_COLOR.r, RED_FONT_COLOR.g, RED_FONT_COLOR.b);
	else
		BT_VersionText:SetTextColor(GREEN_FONT_COLOR.r, GREEN_FONT_COLOR.g, GREEN_FONT_COLOR.b);
	end
	if ( UnitCreatureFamily("pet") ) then
		BT_PetLevelText:SetText(format(UNIT_LEVEL_TEMPLATE,UnitLevel("pet")).." "..UnitCreatureFamily("pet"));
		SetPortraitTexture(BT_FramePortrait, "pet");
		BT_PetNameText:SetText(UnitName("pet"));
		BT_PetLoyaltyText:SetText(GetPetLoyalty());
		local totalPoints, spent = GetPetTrainingPoints();
		BT_PetTrainingPointText:SetText(totalPoints - spent .. " / " .. totalPoints);
	else
		BT_PetLevelText:SetText();
		SetPortraitTexture(BT_FramePortrait, "player");
		BT_PetNameText:SetText(BT_NO_PET);
		BT_PetLoyaltyText:SetText();
		BT_PetTrainingPointText:SetText("0");
	end
end

function BT_ToolTip(name)
	if ( name == "" or name == nil or not BeastTrainingFrame:IsShown() ) then
		return;
	end
	GameTooltip:SetText(name, 1, 1, 1);
	GameTooltip:AddLine(BT_CAN_BE_LEARNED_BY..BT_learnedBy, nil, nil, nil, 1, 1);

	GameTooltip:AddLine(" ");

	GameTooltip:AddLine(BT_RANKS_YOU_HAVE, 1, 1, 1);
	local temp = "";
	for i=1, BT[name].maxRank, 1 do
		temp = temp..BT[name][BT_RANK..i].player..i;
		if ( i ~= BT[name].maxRank ) then
			temp = temp..", ";
		end
	end
	GameTooltip:AddLine(temp, 1, 1, 1 );

	GameTooltip:AddLine(" ");

	GameTooltip:AddLine(BT_CURRENT_RANK..BT[name].currentRank.."/"..BT[name].maxRank, 1, 1, 1);
	if ( BT[name].currentRank > 0 ) then
		GameTooltip:AddLine(BT[name][BT_RANK..BT[name].currentRank].desc, nil, nil, nil, 1, 1);
		GameTooltip:AddLine(BT_TP_SPENT..BT[name][BT_RANK..BT[name].currentRank].tp, 1, 1, 1);
	end

	GameTooltip:AddLine(" ");

	if ( BT[name].nextRank > 0 ) then -- Don't combine these ifs, it will cause LUA errors.
		if ( BT[name][BT_RANK..BT[name].nextRank].lvl > 0 ) then
			GameTooltip:AddLine(BT_NEXT_RANK..BT[name].nextRank.."/"..BT[name].maxRank, 1, 1, 1);
			GameTooltip:AddLine(BT[name][BT_RANK..BT[name].nextRank].desc, nil, nil, nil, 1, 1);
			GameTooltip:AddLine(BT_REQUIRES, 1, 1, 1);
			local diff = 0;
			if ( BT[name].currentRank == 0 ) then
				diff = BT[name][BT_RANK..BT[name].nextRank].tp;
			else
				diff = BT[name][BT_RANK..BT[name].nextRank].tp - BT[name][BT_RANK..BT[name].currentRank].tp;
			end
			local totalPoints, spent = GetPetTrainingPoints();
			if ( diff <= totalPoints - spent or BT[name][BT_RANK..BT[name].nextRank].tp == 0 ) then
				GameTooltip:AddLine(diff..BT_MORE_TP, 1, 1, 1);
			else
				GameTooltip:AddLine(diff..BT_MORE_TP, 1, 0, 0);
			end
			if ( BT[name][BT_RANK..BT[name].nextRank].lvl <= UnitLevel("pet") ) then
				GameTooltip:AddLine(BT_LEVEL..BT[name][BT_RANK..BT[name].nextRank].lvl, 1, 1, 1);
			else
				GameTooltip:AddLine(BT_LEVEL..BT[name][BT_RANK..BT[name].nextRank].lvl, 1, 0, 0);
			end
			if ( ( diff <= totalPoints - spent ) and ( BT[name][BT_RANK..BT[name].nextRank].lvl <= UnitLevel("pet") ) ) then
				GameTooltip:AddLine(BT_LEFT_CLICK_TO_LEARN, GREEN_FONT_COLOR.r, GREEN_FONT_COLOR.g, GREEN_FONT_COLOR.b);
			end

			if ( BT[name].maxTrainableRank > BT[name].nextRank ) then
				GameTooltip:AddLine(" ");

				GameTooltip:AddLine(BT_MAX_TRAINABLE_RANK..BT[name].maxTrainableRank.."/"..BT[name].maxRank, 1, 1, 1);
				GameTooltip:AddLine(BT[name][BT_RANK..BT[name].maxTrainableRank].desc, nil, nil, nil, 1, 1);
				GameTooltip:AddLine(BT_REQUIRES, 1, 1, 1);
				diff = 0;
				if ( BT[name].currentRank == 0 ) then
					diff = BT[name][BT_RANK..BT[name].maxTrainableRank].tp;
				else
					diff = BT[name][BT_RANK..BT[name].maxTrainableRank].tp - BT[name][BT_RANK..BT[name].currentRank].tp;
				end
				GameTooltip:AddLine(diff..BT_MORE_TP, 1, 1, 1);
				GameTooltip:AddLine(BT_LEVEL..BT[name][BT_RANK..BT[name].maxTrainableRank].lvl, 1, 1, 1);
				GameTooltip:AddLine(BT_RIGHT_CLICK_TO_LEARN, GREEN_FONT_COLOR.r, GREEN_FONT_COLOR.g, GREEN_FONT_COLOR.b);
			end
		else
			GameTooltip:AddLine(BT_CANT_TEACH, 1, 0, 0);
		end
	else
		GameTooltip:AddLine(BT_CANT_TEACH, 1, 0, 0);
	end

	GameTooltip:Show()
end