UIPanelWindows["wsClockConfigFrame"] =		{ area = "left",	pushable = 1 };

local default_Clock = { MiniClock_Enable="1" , 
				TimeMod = "24" , 
				HourOffset = 0 , 
				MinuteOffset = 0 , 
				Alarm_Enable = "0" ,
				AlarmHour = 0,
				AlarmMin = 0,
				};

function wsClockConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsClockConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if (wsGetWSVar("Clock")) then
			WS_Clock = wsGetWSVar("Clock");
		else
			WS_Clock = default_Clock;
		end

	------------
	if(not WS_Clock.Alarm_Enable) then
		WS_Clock.Alarm_Enable = default_Clock.Alarm_Enable;
		WS_Clock.AlarmHour = default_Clock.AlarmHour;
		WS_Clock.AlarmMin = default_Clock.AlarmMin;
	end
	------------

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"Others",
		wsGetLocaleVariable("WS_MINICLOCK_TITLE"),
		wsGetLocaleVariable("WS_MINICLOCK_DESCRIPTION"),
		wsGetLocaleVariable("WS_MINICLOCK_TOOLTIP"),
		"Interface\\Icons\\INV_Gizmo_01",
		function()
			ShowUIPanel(wsClockConfigFrame);
		end
	);

		if(WS_Clock.MiniClock_Enable=="1") then
			MiniClock:Show();
		else
			MiniClock:Hide();
		end

		ToggleAlarmClock(WS_Clock.Alarm_Enable , WS_Clock.AlarmHour , WS_Clock.AlarmMin );
	end
end

function wsClockConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_MINICLOCK_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_MINICLOCK_ENABLE_MINICLOCK"));

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_MINICLOCK_ENABLE_ALARM"));

	local slider1Text = getglobal(this:GetName().."Slider1Text");
	slider1Text:SetText(wsGetLocaleVariable("WS_MINICLOCK_HourOffset"));

	local slider2Text = getglobal(this:GetName().."Slider2Text");
	slider2Text:SetText(wsGetLocaleVariable("WS_MINICLOCK_MinuteOffset"));

	local slider3Text = getglobal(this:GetName().."Slider3Text");
	slider3Text:SetText(wsGetLocaleVariable("WS_MINICLOCK_HourALARM"));

	local slider4Text = getglobal(this:GetName().."Slider4Text");
	slider4Text:SetText(wsGetLocaleVariable("WS_MINICLOCK_MinuteALARM"));

	local slider1 = getglobal(this:GetName().."Slider1");
	slider1:SetMinMaxValues(0, 23)
	slider1:SetValueStep(1);
	slider1:SetValue(WS_Clock.HourOffset);

	local slider2 = getglobal(this:GetName().."Slider2");
	slider2:SetMinMaxValues(0, 59)
	slider2:SetValueStep(1);
	slider2:SetValue(WS_Clock.MinuteOffset);

	local slider3 = getglobal(this:GetName().."Slider3");
	slider3:SetMinMaxValues(0, 23)
	slider3:SetValueStep(1);
	slider3:SetValue(WS_Clock.AlarmHour);

	local slider4 = getglobal(this:GetName().."Slider4");
	slider4:SetMinMaxValues(0, 59)
	slider4:SetValueStep(1);
	slider4:SetValue(WS_Clock.AlarmMin);

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (WS_Clock.MiniClock_Enable == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	if (WS_Clock.Alarm_Enable == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	ToggleAlarmClock(WS_Clock.Alarm_Enable , WS_Clock.AlarmHour , WS_Clock.AlarmMin );
end

function wsClockConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");

	checkButton1:SetChecked(1);
	checkButton2:SetChecked(0);

	local slider1 = getglobal(parent:GetName().."Slider1");
	slider1:SetValue(0);
	local slider2 = getglobal(parent:GetName().."Slider2");
	slider2:SetValue(0);
	local slider3 = getglobal(parent:GetName().."Slider3");
	slider3:SetValue(0);
	local slider4 = getglobal(parent:GetName().."Slider4");
	slider4:SetValue(0);
end

function wsClockConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");

	if (checkButton1:GetChecked()) then
		WS_Clock.MiniClock_Enable = "1";
		MiniClock:Show();
	else
		WS_Clock.MiniClock_Enable = "0";
		MiniClock:Hide();
	end

	if (checkButton2:GetChecked()) then
		WS_Clock.Alarm_Enable = "1";
	else
		WS_Clock.Alarm_Enable = "0";
	end

	local slider1 = getglobal(parent:GetName().."Slider1");
	WS_Clock.HourOffset = slider1:GetValue();
	local slider2 = getglobal(parent:GetName().."Slider2");
	WS_Clock.MinuteOffset = slider2:GetValue();
	local slider3 = getglobal(parent:GetName().."Slider3");
	WS_Clock.AlarmHour = slider3:GetValue();
	local slider4 = getglobal(parent:GetName().."Slider4");
	WS_Clock.AlarmMin = slider4:GetValue();
--	local hour, minute = GetGameTime();
	MiniClock_Reset();

	HideUIPanel(parent);
	
	ToggleAlarmClock(WS_Clock.Alarm_Enable , WS_Clock.AlarmHour , WS_Clock.AlarmMin );

	-- Save WSVar
	wsSetWSVar("Clock", WS_Clock);

end

function wsClockConfigButton_OnEnter(id)
	if(GetLocale() ~= "zhCN") then
		return;
	end
	if(not id) then
		return;
	end
	local tip = "WS_MINICLOCK_CONFIGTIP"..id;
	GameTooltip:SetOwner(this, "ANCHOR_TOPLEFT");
	wsFormatConfigTip(wsGetGameLocaleVariable(tip));
	GameTooltip:Show();
end