local default_Clock = { MiniClock_Enable="1" , TimeMod = "24" };
local WS_OldMinute = nil;
local WS_MiniClock_Tooltip = wsGetGameLocaleVariable("WS_MINICLOCK_TOOLTIP2");
local WS_MiniClock_AlarmStart = nil;
local WS_MiniClock_AlarmChecked = nil;
local WS_CurAlarmTime = nil;

function MiniClock_OnUpdate()
	local hour, minute = GetGameTime();
	local day, wsTimeText,mz,hz;
	if(WS_Clock.MinuteOffset) then
		minute = minute + WS_Clock.MinuteOffset;
		if(minute >= 60) then
			minute = minute - 60;
			hour = hour + 1;
		end
	end
	if(WS_Clock.HourOffset) then
		hour = hour + WS_Clock.HourOffset;
		if(hour >= 24) then
			hour = hour -24;
		end
	end

------------------
	if(WS_Clock.Alarm_Enable == "1" and not WS_MiniClock_AlarmStart and not WS_MiniClock_AlarmChecked and hour == WS_Clock.AlarmHour and minute == WS_Clock.AlarmMin ) then
		WS_MiniClock_AlarmStart = 1;
--	elseif(WS_MiniClock_AlarmStart and minute ~= WS_Clock.AlarmMin) then
--		getglobal("MiniClockAlarmTexture"):Hide();
	else
		WS_MiniClock_AlarmStart = nil;
		if(minute ~= WS_Clock.AlarmMin) then
			getglobal("MiniClockAlarmTexture"):Hide();
		end
	end

	if(WS_MiniClock_AlarmStart) then
		local curTime = GetTime();
		local alarmTexture = getglobal("MiniClockAlarmTexture");
		if(not WS_CurAlarmTime or WS_CurAlarmTime + 1 < curTime) then
			WS_CurAlarmTime = curTime;
			if(alarmTexture:IsVisible()) then
				alarmTexture:Hide();
			else
				alarmTexture:Show();
			end
		end
	end
------------------

	local flag;
	if(WS_OldMinute == minute) then
		flag = nil;
	else 
		flag = 1;
	end
	if(not WS_OldMinute) then
		WS_OldMinute = minute;
		flag = 1;
	end
	if(not flag) then
		return;
	end

	WS_OldMinute = minute;

	if(hour < 0) then
		hour = 24*(1+math.floor(-hour/24)) + hour;
	elseif(hour >= 24) then
		day = math.floor(hour/24)
		hour = hour - 24*day;
	elseif(hour >= 0 and hour<10) then
		hz = "0";
	else
		hz = "";
	end
	if( minute < 10) then
		mz = "0";
	else
		mz = "";
	end

	if(not WS_Clock) then
		WS_Clock = default_Clock;
	end

	if(WS_Clock.TimeMod == "12") then
		if(hour >= 12) then
			hour = hour -12;
			if(hour > 0 and hour < 10) then
				hz = "0";
			else
				hz = "";
			end
			if(hour == 0) then
				wsTimeText = "12".." : "..mz..minute.." PM";
			else
				wsTimeText = hz..hour.."  :  "..mz..minute.." PM";
			end
		else
			if(hour == 0) then
				wsTimeText = "12".." : "..mz..minute.." AM";
			else				
				wsTimeText = hz..hour.." : "..mz..minute.." AM";
			end
		end
	elseif(WS_Clock.TimeMod == "24") then
		wsTimeText = hz..hour.."  :  "..mz..minute;
	end

	if(day) then
		wsTimeText = day.." : "..wsTimeText;
	end
	MiniClockText:SetText(wsTimeText);
end

function MiniClock_OnClick(button)
	getglobal("MiniClockAlarmTexture"):Hide();
	if(WS_MiniClock_AlarmStart) then
		WS_MiniClock_AlarmChecked = 1;
		WS_MiniClock_AlarmStart = nil;
		return;
	end

	if ( button == "LeftButton" or button == "RightButton") then
		if(WS_Clock.TimeMod == "24") then
			WS_Clock.TimeMod = "12";
		else
			WS_Clock.TimeMod = "24";
		end
	end

	MiniClock_Reset();
	wsSetWSVar("Clock", WS_Clock);
end

function MiniClock_Reset()
	WS_OldMinute = nil;
end

function MiniClock_OnEnter()
	GameTooltip:SetOwner(this, "ANCHOR_BUTTOM");
	GameTooltip:AddLine(WS_MiniClock_Tooltip, "", 1.0, 1.0, 1.0);
	GameTooltip:Show();
end

function MiniClock_OnLeave()
	GameTooltip:Hide();
end

function ToggleAlarmClock(enable , hour , min)
	local checkButton2Text = getglobal("wsClockConfigFrameCheckButton2Text");
	if(enable == "1") then
		checkButton2Text:SetText(wsGetLocaleVariable("WS_MINICLOCK_ENABLE_ALARM").."   ( "..hour.." : "..min.." )");	
	else
		checkButton2Text:SetText(wsGetLocaleVariable("WS_MINICLOCK_ENABLE_ALARM"));
	end
	WS_MiniClock_AlarmChecked = nil;
	getglobal("MiniClockAlarmTexture"):Hide();
end


--[[
2008-3-23
备注:新版本的clock新增如下内容
在鼠标移到时钟上后,显示信息:
	如下点击xxx移动,....
	
	练级信息及游戏时间

	回血回蓝

]]

--[[
function Clock_SetTooltip()
	local total, level, session;
	local xpPerHourLevel, xpPerHourSession;
	local xpTotal, xpCurrent, xpToLevel;
	local text;

	total = format(TEXT(TIME_PLAYED_TOTAL), Clock_FormatTime(TotalTimePlayed + ElapsedSinceLastPlayedMessage));
	level = format(TEXT(TIME_PLAYED_LEVEL), Clock_FormatTime(LevelTimePlayed + ElapsedSinceLastPlayedMessage));
	session = format(TEXT(TIME_PLAYED_SESSION), Clock_FormatTime(SessionTimePlayed));

	if( NeedPlayedMessage == 1 ) then
		text = session;
	else
		text = total.."\n"..level.."\n"..session;
	end

	if(HideExp ~= 1) then
		if( (LevelTimePlayed + ElapsedSinceLastPlayedMessage > 0) or SessionTimePlayed > 0 ) then
			text = text.."\n";
		end
		if( LevelTimePlayed + ElapsedSinceLastPlayedMessage > 0 ) then
			xpPerHourLevel = UnitXP("player") / ((LevelTimePlayed + ElapsedSinceLastPlayedMessage) / 3600);
			text = text.."\n"..format(TEXT(EXP_PER_HOUR_LEVEL), xpPerHourLevel);
		else
			xpPerHourLevel = 0;
		end
		if( SessionTimePlayed > 0 ) then
			xpPerHourSession = localSessionXP / (SessionTimePlayed / 3600);
			text = text.."\n"..format(TEXT(EXP_PER_HOUR_SESSION), xpPerHourSession);
		else
			xpPerHourSession = 0;
		end

		xpTotal = UnitXPMax("player");
		xpCurrent = UnitXP("player");
		if( xpCurrent < xpTotal ) then
			xpToLevel = xpTotal - xpCurrent;
			text = text.."\n"..format(TEXT(EXP_TO_LEVEL), xpToLevel, (xpToLevel / xpTotal) * 100);
			if( xpPerHourLevel > 0 ) then
				text = text.."\n"..format(TEXT(TIME_TO_LEVEL_LEVEL), Clock_FormatTime((xpToLevel / xpPerHourLevel) * 3600));
			else
				text = text.."\n"..format(TEXT(TIME_TO_LEVEL_LEVEL), TEXT(TIME_INFINITE));
			end
			if( xpPerHourSession > 0 ) then
				text = text.."\n"..format(TEXT(TIME_TO_LEVEL_SESSION), Clock_FormatTime((xpToLevel / xpPerHourSession) * 3600));
			else
				text = text.."\n"..format(TEXT(TIME_TO_LEVEL_SESSION), TEXT(TIME_INFINITE));
			end
		end
	end

	if( localHealthPerSecond or localManaPerSecond ) then
		text = text.."\n";
	end
	if( localHealthPerSecond ) then
		text = text.."\n"..format(TEXT(HEALTH_PER_SECOND), localHealthPerSecond);
	end
	if( localManaPerSecond ) then
		text = text.."\n"..format(TEXT(MANA_PER_SECOND), localManaPerSecond);
	end

	if ( Clock_ShowMoney ) and ( Clock_ShowMoney == 1 ) then
		text = text.."\n\n"..Clock_GetMoneyGainAsString();
	end

	--Fix the tooltip position
	Clock_SetClockTooltipPoint();
end]]