-----------------------------------------------------
--战斗信息
--敌对施放提示以及施放时间
--作者: 月色狼影
--$LastChangedBy: 月色狼影 $
--$Rev: 387 $
--$Date: 2008-04-17 13:36:36 +0800 (星期四, 17 四月 2008) $
------------------------------------------------------


local original_ActionButton_Update = nil;
local original_CooldownFrame_SetTimer = nil;
local original_CooldownFrame_OnAnimFinished = nil;

local ws_PartyMember = {};
local ws_RaidMember = {};
local L = wsGetLocaleVariable;
local CombatInfoFrame_srcFlags_Filter = {}

local bit_bor = _G.bit.bor;
local bit_band = _G.bit.band

function CombatInfoFrame_OnLoad()
--	this:RegisterEvent("PLAYER_ENTER_COMBAT");
--	this:RegisterEvent("PLAYER_LEAVE_COMBAT");
	this:RegisterEvent("PLAYER_REGEN_DISABLED");
	this:RegisterEvent("PLAYER_REGEN_ENABLED");

	this:RegisterEvent("PARTY_MEMBERS_CHANGED");
--	this:RegisterEvent("RAID_ROSTER_UPDATE");

	this:RegisterEvent("CHAT_MSG_SPELL_CREATURE_VS_CREATURE_DAMAGE");
	this:RegisterEvent("CHAT_MSG_SPELL_CREATURE_VS_CREATURE_BUFF");
	this:RegisterEvent("CHAT_MSG_SPELL_CREATURE_VS_SELF_BUFF");
	this:RegisterEvent("CHAT_MSG_SPELL_HOSTILEPLAYER_DAMAGE");
	this:RegisterEvent("CHAT_MSG_SPELL_HOSTILEPLAYER_BUFF");

	this:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
end

function CombatInfoFrame_OnEvent(event)
	if(not WS_CombatStats) then
		return;
	end
	if(event == "PARTY_MEMBERS_CHANGED") then
		for i = 1 , 4 , 1 do
			local playerName = UnitName("party"..i);
			if(playerName) then
				ws_PartyMember[playerName] = "1";
			end
		end
		return;
	end
--	if(event == "RAID_ROSTER_UPDATE") then
--		for i = 1, 40 , 1 do
--			local playerName = UnitName("raid"..i);
--			if(playerName) then
--				ws_RaidMember[playerName] = "1";
--			end
--		end
--		return;
--	end
	if(event == "PLAYER_REGEN_DISABLED") then
		if(WS_CombatStats.CombatStats_EnterCombat == "1") then
			UIErrorsFrame:AddMessage("*** |cFFFF2B2B"..(L("COMBATINF_ENTERCOMBAT")).."|r ***", 1.0, 1.0, 1.0, 1.0, UIERRORS_HOLD_TIME);
		end
		return;
	end
	if(event == "PLAYER_REGEN_ENABLED") then
		if(WS_CombatStats.CombatStats_EnterCombat == "1") then
			UIErrorsFrame:AddMessage("*** |cFFFFB400"..L("COMBATINF_LEAVECOMBAT").."|r ***", 1.0, 1.0, 1.0, 1.0, UIERRORS_HOLD_TIME);
		end
		return;
	end
end

--[[
function Icedebug(...)
	DEFAULT_CHAT_FRAME:AddMessage("Ice Debug: ")
	for i=1, select("#",...) do
		DEFAULT_CHAT_FRAME:AddMessage("===>" .. tostring(select(i, ...)), 1, 1, 1);
	end
end
]]--

local spellId, spellName, spellSchool;

function CombatinfoFrame_New_OnEvent(self, event,  ...)

	if (event == "COMBAT_LOG_EVENT_UNFILTERED") then
		local timestamp, eventtype, srcGUID, srcName, srcFlags, dstGUID, dstName, dstFlags = select(1, ...);

		local prefix= strsub(eventtype, 1, 5)
		

		if (prefix == "SPELL") then
			--name, rank, icon, cost, isFunnel, powerType, castTime, minRange, maxRange = GetSpellInfo(spellId or spellName or spellLink)
			spellId, spellName, spellSchool = select(9,...);
			spellname,_,spellicon = GetSpellInfo(spellId);
			local srcName = srcName;

			if (spellicon) then
				spellicon = "|T"..spellicon..":0|t";
			else
				spellicon = "|Tinterface\\icons\\INV_Misc_QuestionMark:0|t";
			end

			base = strsub(eventtype, strlen(prefix)+2, -1)
			
			if (base == "CAST_START") then
				scrFlagmat = strsub(format("%x",srcFlags), -3, -1);
				--Icedebug(scrFlagmat)
				--mob
				if (WS_CombatStats.CombatStats_SpellTooltip == "1" and scrFlagmat == "a48") then
					if (not ws_CI_IsInParty(name) and srcName and spellname and spellicon) then
						UIErrorsFrame:AddMessage(spellicon..format(SPELLCASTOTHERSTART , "|cFFFFB400"..srcName.."|r" , "|cFFFF2B2B"..spellname.."|r"), 1.0, 1.0, 1.0, 1.0, UIERRORS_HOLD_TIME);
					end
				end
				--player
				if (WS_CombatStats.CombatStats_SpellTooltipPlayer == "1" and scrFlagmat == "548") then
					if (not ws_CI_IsInParty(name) and srcName and spellname and spellicon) then
						UIErrorsFrame:AddMessage(spellicon..format(SPELLCASTOTHERSTART , "|cFFFFB400"..srcName.."|r" , "|cFFFF2B2B"..spellname.."|r"), 1.0, 1.0, 1.0, 1.0, UIERRORS_HOLD_TIME);
					end
				end
			end

		end
	end
end

function ws_CI_IsInParty(name)
	if(UnitInParty("player") or UnitInRaid("player")) then
		if(ws_PartyMember[name]) then
			return 1;
		end
	end
--	if(UnitInRaid("player")) then
--		if(ws_RaidMember[name]) then
--			return 1;
--		end		
--	end
	return nil;
end

function WS_CastingBarFrame_OnUpdate()
	local barSpark = getglobal(this:GetName().."Spark");
	local barFlash = getglobal(this:GetName().."Flash");

	

	if ( this.casting ) then
		local name, nameSubtext, text, texture, startTime, endTime, isTradeSkill = UnitCastingInfo(this.unit);
		local status = GetTime();
		if ( status > this.maxValue ) then
			status = this.maxValue;
		end
		if ( status == this.maxValue ) then
			this:SetValue(this.maxValue);
			CastingBarFrame_FinishSpell(barSpark, barFlash);
			return;
		end
		this:SetValue(status);
		if ( barFlash ) then
			barFlash:Hide();
		end
		local sparkPosition = ((status - this.startTime) / (this.maxValue - this.startTime)) * this:GetWidth();
		if ( sparkPosition < 0 ) then
			sparkPosition = 0;
		end
		if ( barSpark ) then
			barSpark:SetPoint("CENTER", this, "LEFT", sparkPosition, 2);
		end

		local sec = format("%.1f", status - this.startTime + 0.05)
		getglobal(this:GetName().."Text"):SetText(text.." "..sec)
	elseif ( this.channeling ) then
		local name, nameSubtext, text, texture, startTime, endTime, isTradeSkill = UnitChannelInfo(this.unit);
		local time = GetTime();
		if ( time > this.endTime ) then
			time = this.endTime;
		end
		if ( time == this.endTime ) then
			CastingBarFrame_FinishSpell(barSpark, barFlash);
			return;
		end
		local barValue = this.startTime + (this.endTime - time);
		this:SetValue( barValue );
		if ( barFlash ) then
			barFlash:Hide();
		end
		
		local sec = format("%.1f", this.endTime - time + 0.05 )
		getglobal(this:GetName().."Text"):SetText(name.." "..sec)
	elseif ( GetTime() < this.holdTime ) then
		return;
	elseif ( this.flash ) then
		local alpha = 0;
		if ( barFlash ) then
			alpha = barFlash:GetAlpha() + CASTING_BAR_FLASH_STEP;
		end
		if ( alpha < 1 ) then
			if ( barFlash ) then
				barFlash:SetAlpha(alpha);
			end
		else
			if ( barFlash ) then
				barFlash:SetAlpha(1.0);
			end
			this.flash = nil;
		end
	elseif ( this.fadeOut ) then
		local alpha = this:GetAlpha() - CASTING_BAR_ALPHA_STEP;
		if ( alpha > 0 ) then
			this:SetAlpha(alpha);
		else
			this.fadeOut = nil;
			this:Hide();
		end
	end
end