UIPanelWindows["wsCombatStatsConfigFrame"] =		{ area = "left",	pushable = 1 };

local L = wsGetLocaleVariable;

local default_CombatStats = {
						CombatStats_EnterCombat = "1",
						CombatStats_SpellTooltip = "1",
						CombatStats_SpellTooltipPlayer = "0",
						CombatStats_Timer = "1",
						};

function wsCombatStatsConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsCombatStatsConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if (wsGetWSVar("CombatStats")) then
			WS_CombatStats = wsGetWSVar("CombatStats");
		else
			WS_CombatStats = default_CombatStats;
		end
		
		if(not WS_CombatStats.CombatStats_Timer) then
			WS_CombatStats.CombatStats_Timer = default_CombatStats.CombatStats_Timer;
		end

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"Combat",
		wsGetLocaleVariable("WS_COMBATSTATS_TITLE"),
		wsGetLocaleVariable("WS_COMBATSTATS_DESCRIPTION"),
		wsGetLocaleVariable("WS_COMBATSTATS_TOOLTIP"),
		"Interface\\Icons\\INV_Misc_Drum_06",
		function()
			ShowUIPanel(wsCombatStatsConfigFrame);
		end
	);

	WS_toggleCastingBarTimer(WS_CombatStats.CombatStats_Timer)
	end
end

function wsCombatStatsConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(L("WS_COMBATSTATS_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");


	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_COMBATSTATS_SHOW_ENTERCOMBAT"));
	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (WS_CombatStats.CombatStats_EnterCombat == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();

	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_COMBATSTATS_SHOW_SPELLTOOLTIP"));
	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	if (WS_CombatStats.CombatStats_SpellTooltip == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	checkButton3:Show();

	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(wsGetLocaleVariable("WS_COMBATSTATS_PLAYERSHOW_SPELLTOOLTIP"));
	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	if (WS_CombatStats.CombatStats_SpellTooltipPlayer == "1") then
		checkButton3:SetChecked(1);
	else
		checkButton3:SetChecked(nil);
	end

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	checkButton4:Show();

	local checkButton4Text = getglobal(this:GetName().."CheckButton4Text");
	checkButton4Text:SetText(wsGetLocaleVariable("WS_COMBATSTATS_TIMER"));
	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	if (WS_CombatStats.CombatStats_Timer == "1") then
		checkButton4:SetChecked(1);
	else
		checkButton4:SetChecked(nil);
	end


end

function wsCombatStatsConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();

	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	checkButton1:SetChecked(0);

	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	checkButton2:SetChecked(1);

	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	checkButton3:SetChecked(0);

	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	checkButton4:SetChecked(1);
end

function wsCombatStatsConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();

	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	if (checkButton1:GetChecked()) then
		WS_CombatStats.CombatStats_EnterCombat = "1";
	else
		WS_CombatStats.CombatStats_EnterCombat = "0";
	end

	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	if (checkButton2:GetChecked()) then
		WS_CombatStats.CombatStats_SpellTooltip = "1";
	else
		WS_CombatStats.CombatStats_SpellTooltip = "0";
	end

	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	if (checkButton3:GetChecked()) then
		WS_CombatStats.CombatStats_SpellTooltipPlayer = "1";
	else
		WS_CombatStats.CombatStats_SpellTooltipPlayer = "0";
	end

	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	if (checkButton4:GetChecked()) then
		WS_CombatStats.CombatStats_Timer = "1";
	else
		WS_CombatStats.CombatStats_Timer = "0";
	end


	WS_toggleCastingBarTimer(WS_CombatStats.CombatStats_Timer)
	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("CombatStats", WS_CombatStats);

end


function WS_toggleCastingBarTimer(flag)
	if(flag == "1") then
		if(not old_CastingBarFrame_OnUpdate) then
			old_CastingBarFrame_OnUpdate = CastingBarFrame_OnUpdate
			CastingBarFrame_OnUpdate = WS_CastingBarFrame_OnUpdate
		end
	else
		if(old_CastingBarFrame_OnUpdate) then
			CastingBarFrame_OnUpdate = old_CastingBarFrame_OnUpdate
			old_CastingBarFrame_OnUpdate = nil
		end
	end
end