﻿local s = {}
local _, v

ws_rangecolor = {
			Range =  {r = 0.5, g = 0.1, b = 0.1},
			Mana =   {r = 0.5, g = 0.5, b = 1.0},
			Usable = {r = 0.4, g = 0.4, b = 0.4},
		}

wsRange_other = {"Usable", "Range", "Mana"}

function wsRange_GetColor(id)
	s.Range = IsActionInRange(id) == 0 and true or nil
	s.Usable, s.Mana= IsUsableAction(id);
	s.Usable = not s.Usable
	for _, v in ipairs(wsRange_other) do
		if s[v] then
			return ws_rangecolor[v].r, ws_rangecolor[v].g, ws_rangecolor[v].b, v
		end
	end
	return 1.0, 1.0, 1.0, ""
end

function ActionButton_UpdateUsable()
	local r, g, b, index = wsRange_GetColor(ActionButton_GetPagedID(this))
	if not (this.index and this.index == index) then
		this.index = index
		getglobal(this:GetName().."Icon"):SetVertexColor(r, g, b);
	end
end

old_ActionButton_OnUpdate = ActionButton_OnUpdate
function ActionButton_OnUpdate(elapsed)
	old_ActionButton_OnUpdate(elapsed)
	if ( this.rangeTimer and this.rangeTimer <= elapsed ) then
		hotkey = getglobal(this:GetName().."HotKey");
		if hotkey:GetText() == RANGE_INDICATOR then
			hotkey:SetText("●")
		end
		ActionButton_UpdateUsable();
	end
end
