UIPanelWindows["wsEasyAHConfigFrame"] =		{ area = "left",	pushable = 1 };

local max_Listname = 26;

local default_EasyAH = {	EasyAH_Enable = "1",
					Showbid_Enable = "1",
					};


local default_AHList = {
--				"   ",
				wsGetLocaleVariable("WS_EASYAH_ENABLE_ADDLIST"),
				wsGetLocaleVariable("WS_EASYAH_ENABLE_DELLIST"),
};

local original_GetAuctionItemInfo = nil;
local original_AuctionFrameBrowse_OnShow = nil;

function wsEasyAHConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
	this:RegisterEvent("ADDON_LOADED");
end

function wsEasyAHConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if (not WS_AHList) then
			WS_AHList = {};
		end

		if(not WS_EasyAH) then
			WS_EasyAH = default_EasyAH;
		end

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"General",
		wsGetLocaleVariable("WS_EASYAH_TITLE"),
		wsGetLocaleVariable("WS_EASYAH_DESCRIPTION"),
		wsGetLocaleVariable("WS_EASYAH_TOOLTIP"),
		"Interface\\Icons\\INV_Misc_EngGizmos_06",
		function()
			ShowUIPanel(wsEasyAHConfigFrame);
		end
	);

		return;
	end
	if(event == "ADDON_LOADED") then
		if ( arg1 == "Blizzard_AuctionUI" ) then
			if(WS_EasyAH and WS_EasyAH.EasyAH_Enable and WS_EasyAH.EasyAH_Enable == "1") then
				getglobal("wsEasyAHFrame"):Show();
				getglobal("wsEasyAHFrame"):SetPoint("TOPRIGHT", "BrowseName", "TOPRIGHT", 20, 6);
			end
			this:UnregisterEvent("ADDON_LOADED");
			getglobal("AuctionFrameBrowse"):SetScript("OnHide", function() getglobal("wsEasyAHFrame"):Hide() end);
			ToggleEA_EasyAH(WS_EasyAH.EasyAH_Enable);
			ToggleEA_Showbid(WS_EasyAH.Showbid_Enable);
		end
		return;
	end
end

function wsEasyAHConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_EASYAH_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_EASYAH_ENABLE_EASYAH"));

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_EASYAH_ENABLE_SHOWBID"));

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (WS_EasyAH.EasyAH_Enable == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	if (WS_EasyAH.Showbid_Enable == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end
end

function wsEasyAHConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");

	checkButton1:SetChecked(1);
	checkButton2:SetChecked(1);
end

function wsEasyAHConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");

	if (checkButton1:GetChecked()) then
		WS_EasyAH.EasyAH_Enable = "1";
	else
		WS_EasyAH.EasyAH_Enable = "0";
	end

	if (checkButton2:GetChecked()) then
		WS_EasyAH.Showbid_Enable = "1";
	else
		WS_EasyAH.Showbid_Enable = "0";
	end

	HideUIPanel(parent);

	ToggleEA_EasyAH(WS_EasyAH.EasyAH_Enable);
	ToggleEA_Showbid(WS_EasyAH.Showbid_Enable);

	-- Save WSVar
	wsSetWSVar("EasyAH", WS_EasyAH);

end

function ToggleEA_EasyAH(flag)	
	if(flag == "1") then
		if(not original_AuctionFrameBrowse_OnShow) then
			original_AuctionFrameBrowse_OnShow = AuctionFrameBrowse_OnShow;
			AuctionFrameBrowse_OnShow = WS_AuctionFrameBrowse_OnShow;
		end
	else
		if(original_GetAuctionItemInfo) then
			AuctionFrameBrowse_OnShow = original_AuctionFrameBrowse_OnShow;
			original_AuctionFrameBrowse_OnShow = nil;
		end
	end
end

function ToggleEA_Showbid(flag)
	if(flag == "1") then
		if(not original_AuctionFrameBrowse_Update) then
			original_AuctionFrameBrowse_Update = AuctionFrameBrowse_Update;
			AuctionFrameBrowse_Update = WS_AuctionFrameBrowse_Update;
		end
	else
		if(original_AuctionFrameBrowse_Update) then
			AuctionFrameBrowse_Update = original_AuctionFrameBrowse_Update;
			original_AuctionFrameBrowse_Update = nil;
		end
	end
end

function WS_AuctionFrameBrowse_OnShow()
	original_AuctionFrameBrowse_OnShow();

	getglobal("wsEasyAHFrame"):Show()
end

function WS_AuctionFrameBrowse_Update()
	original_AuctionFrameBrowse_Update();
	
	local numBatchAuctions, totalAuctions = GetNumAuctionItems("list");
	local button, buttonName, iconTexture, itemName, color, itemCount, moneyFrame, buyoutMoneyFrame, buyoutText, buttonHighlight;
	local offset = FauxScrollFrame_GetOffset(BrowseScrollFrame);
	local index;
	local isLastSlotEmpty;
	local name, texture, count, quality, canUse, minBid, minIncrement, buyoutPrice, duration, bidAmount, highBidder, owner;
	local displayedPrice, requiredBid;

	for i=1, NUM_BROWSE_TO_DISPLAY do
		index = offset + i + (NUM_AUCTION_ITEMS_PER_PAGE * AuctionFrameBrowse.page);
		button = getglobal("BrowseButton"..i);
		-- Show or hide auction buttons
		if ( index > (numBatchAuctions + (NUM_AUCTION_ITEMS_PER_PAGE * AuctionFrameBrowse.page)) ) then

		else

			buttonName = "BrowseButton"..i;
			name, texture, count, quality, canUse, level, minBid, minIncrement, buyoutPrice, bidAmount, highBidder, owner =  GetAuctionItemInfo("list", offset + i);
			itemName = getglobal(buttonName.."Name");
			if(bidAmount > 0) then
				if (string.len(name) > 50) then
		--                       name = string.sub(name, 0, 28) .. "...";
					 name = string.sub(name, 0, 48) .. "...";
				end		
				name = name .. " |cffffff00(" .. wsGetLocaleVariable("WS_EASYAH_BID") .. ")|r";
				itemName:SetText(name);
			end
		end
	end
end

function WS_GetAuctionItemInfo(list, offset)
        local name, texture, count, quality, canUse, level, minBid, minIncrement, buyoutPrice, bidAmount, highBidder, owner =  original_GetAuctionItemInfo(list, offset);

        if ( (list == "list") and (bidAmount > 0) ) then

                if (string.len(name) > 50) then
--                       name = string.sub(name, 0, 28) .. "...";
			 name = string.sub(name, 0, 48) .. "...";
                end

                name = name .. " |cffffff00(" .. wsGetLocaleVariable("WS_EASYAH_BID") .. ")|r";

        end

        return name, texture, count, quality, canUse, level, minBid, minIncrement, buyoutPrice, bidAmount, highBidder, owner;
end

function wsEasyAHFrame_OnShow()
	getglobal(this:GetName().."Left"):Hide();
	getglobal(this:GetName().."Middle"):Hide();
	getglobal(this:GetName().."Right"):Hide();
	UIDropDownMenu_Initialize(this, EasyAHFrame_UserDropdown_Initialize);
	wsEasyAHFrame.tooltip = wsGetGameLocaleVariable("WS_EASYAH_ENABLE_AHLISTTOOLTIP");
	UIDropDownMenu_SetWidth(100, wsEasyAHFrame);
--	OptionsFrame_EnableDropDown(wsEasyAHFrame);
end

function EasyAHFrame_UserDropdown_Initialize()
	local info;
	local name;
	for _, name in pairs(WS_AHList) do
		info = {};
		if(name) then
			info.text = name;
		end
		info.func = EasyAHDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
	for _, name in pairs(default_AHList) do
		info = {};
		if(name) then
			info.text = NORMAL_FONT_COLOR_CODE..name.."|r";
		end
		info.func = EasyAHDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EasyAHDropDown_OnClick()
	if ( this:GetText()) then
		local text = this:GetText();
		if(text == NORMAL_FONT_COLOR_CODE..wsGetLocaleVariable("WS_EASYAH_ENABLE_ADDLIST").."|r") then
			ws_AddAHList(getglobal("BrowseName"):GetText());
		elseif(text == NORMAL_FONT_COLOR_CODE..wsGetLocaleVariable("WS_EASYAH_ENABLE_DELLIST").."|r") then
			ws_DelAHList(getglobal("BrowseName"):GetText());
--		elseif(text == "   ") then
--			getglobal("BrowseName"):SetText("");
		else
			getglobal("BrowseName"):SetText(text);
		end
	end
end

function ws_AddAHList(name)
	if(not WS_AHList) then
		WS_AHList = {};
	end
	if(name == "") then
		return;
	end

	local flag = nil;
	for n, ln in pairs(WS_AHList) do
		if(name == ln) then
			flag = 1;
			break;
		end
	end
	if(table.getn(WS_AHList) >= (max_Listname - 2)) then
		wsAddMessage(wsGetGameLocaleVariable("WS_EASYAH_ENABLE_AHLISTWARNING"));
		return;
	end
	if(not flag) then
		table.insert(WS_AHList, name);
		wsAddMessage(format(wsGetGameLocaleVariable("WS_EASYAH_ENABLE_AHLISTADD"), name));
	end
	EasyAHFrame_UserDropdown_Initialize();
end

function ws_DelAHList(name)
	if(not WS_AHList) then
		WS_AHList = {};
	end
	for i, text in pairs(WS_AHList) do
		if(text == name and text ~= default_AHList[1] and text ~= default_AHList[2]
		and text ~= default_AHList[3]) then
			WS_AHList[i] = nil;
			break;
		end
	end	
	EasyAHFrame_UserDropdown_Initialize();
end