UIPanelWindows["wsEasyMailConfigFrame"] =		{ area = "left",	pushable = 1 };

local wsRealmName;
local wsPlayerName;
local maxListName = 18;

local default_EasyMail = { KeepName_Enable = "1",
					AutoName_Enable = "1",
					};

local original_SendMailFrame_Reset = nil;
local original_SendMailFrame_Update = nil;

function wsEasyMailConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");

	getglobal("wsEasyMailListConfigButton1"):SetText(wsGetLocaleVariable("WS_EASYMAIL_ENABLE_DELLIST"));
	getglobal("wsEasyMailListConfigButton1"):Disable();
end

function wsEasyMailConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if (wsGetWSVar("EasyMail")) then
			WS_EasyMail = wsGetWSVar("EasyMail");
		else
			WS_EasyMail = default_EasyMail;
		end

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"General",
		wsGetLocaleVariable("WS_EASYMAIL_TITLE"),
		wsGetLocaleVariable("WS_EASYMAIL_DESCRIPTION"),
		wsGetLocaleVariable("WS_EASYMAIL_TOOLTIP"),
		"Interface\\Icons\\INV_Letter_17",
		function()
			ShowUIPanel(wsEasyMailConfigFrame);
		end
	);

	ToggleEM_KeepName(WS_EasyMail.KeepName_Enable);
	ToggleEM_AutoName(WS_EasyMail.AutoName_Enable);

		if(wsGetWSVar("MailList")) then
			MailList_Save=wsGetWSVar("MailList");
		else
			MailList_Save={};
		end
		wsRealmName = GetCVar("RealmName"); 
		wsPlayerName = UnitName("player");
	
		if (MailList_Save == nil) then
			MailList_Save = {};
		end
			
		if (MailList_Save[wsRealmName] == nil) then
			MailList_Save[wsRealmName] = {}
		end
	
		if (MailList_Save[wsRealmName][wsPlayerName] == nil) then
			MailList_Save[wsRealmName][wsPlayerName] = {}
		end
	
		WS_MailList = MailList_Save[wsRealmName][wsPlayerName];
	end
end

function wsEasyMailConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_EASYMAIL_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_EASYMAIL_ENABLE_KEEPNAME"));

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_EASYMAIL_ENABLE_AUTONAME"));

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (WS_EasyMail.KeepName_Enable == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	if (WS_EasyMail.AutoName_Enable == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end
end

function wsEasyMailConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");

	checkButton1:SetChecked(1);
	checkButton2:SetChecked(1);
end

function wsEasyMailConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");

	if (checkButton1:GetChecked()) then
		WS_EasyMail.KeepName_Enable = "1";
	else
		WS_EasyMail.KeepName_Enable = "0";
	end

	if (checkButton2:GetChecked()) then
		WS_EasyMail.AutoName_Enable = "1";
	else
		WS_EasyMail.AutoName_Enable = "0";
	end

	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("EasyMail", WS_EasyMail);

end

function WS_SendMailFrame_Reset()
--	SendMailNameEditBox:SetText("");
	SendMailNameEditBox:SetFocus();
	SendMailSubjectEditBox:SetText("");
	SendMailBodyEditBox:SetText("");
	StationeryPopupFrame.selectedIndex = nil;
	SendMailFrame_Update();
	StationeryPopupButton_OnClick(1);
	MoneyInputFrame_ResetMoney(SendMailMoney);
	SendMailRadioButton_OnClick(1);
end

function WS_SendMailFrame_Update()
	local itemName, itemTexture, stackCount, quality = GetSendMailItem();
	local editBox = getglobal("SendMailSubjectEditBox");
	if ( itemName and editBox:GetText() == "") then
		if(stackCount and stackCount > 1) then
			itemName = itemName .. "x"..stackCount;
		end
		editBox:SetText(itemName);
	end
	original_SendMailFrame_Update();
end

function ToggleEM_KeepName(flag)
	if(flag == "1") then
		if(not original_SendMailFrame_Reset) then
			original_SendMailFrame_Reset = SendMailFrame_Reset;
			SendMailFrame_Reset = WS_SendMailFrame_Reset;
		end
	else
		if(original_SendMailFrame_Reset) then
			SendMailFrame_Reset = original_SendMailFrame_Reset;
			original_SendMailFrame_Reset = nil;
		end
	end
end

function ToggleEM_AutoName(flag)
	if(flag == "1") then
		if(not original_SendMailFrame_Update) then
			original_SendMailFrame_Update = SendMailFrame_Update;
			SendMailFrame_Update = WS_SendMailFrame_Update;
		end
	else
		if(original_SendMailFrame_Update) then
			SendMailFrame_Update = original_SendMailFrame_Update;
			original_SendMailFrame_Update = nil;
		end
	end
end

function wsEasyMailFrame_OnShow()
	getglobal(this:GetName().."Left"):Hide();
	getglobal(this:GetName().."Middle"):Hide();
	getglobal(this:GetName().."Right"):Hide();
	UIDropDownMenu_Initialize(this, EasyMailFrame_UserDropdown_Initialize);
	wsEasyMailFrame.tooltip = wsGetGameLocaleVariable("WS_EASYMAIL_ENABLE_MAILLISTTOOLTIP");
	UIDropDownMenu_SetWidth(100, wsEasyMailFrame);
--	OptionsFrame_EnableDropDown(wsEasyMailFrame);
end

function EasyMailFrame_UserDropdown_Initialize()
	local info;
	local name;
	for name in pairs(WS_MailList) do
		info = {};
		if(WS_MailList[name]) then
			info.text = name;
--		else
--			info.text = "UnKnown";
		end
		info.func = EasyMailDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EasyMailDropDown_OnClick()
	if ( this:GetText()) then
		getglobal("SendMailNameEditBox"):SetText(this:GetText());
	end
end

function wsEM_AddMailList(name)
	if(not WS_MailList) then
		WS_MailList = {};
	end
	local i = 0;
	for name in pairs(WS_MailList) do
		i = i + 1;
	end
	if(i >= maxListName) then
		wsAddMessage(wsGetGameLocaleVariable("WS_EASYMAIL_ENABLE_MAILLISTWARNING"));
		return;
	end
	if(not WS_MailList[name]) then
		WS_MailList[name] = "1";
		wsAddMessage(format(wsGetGameLocaleVariable("WS_EASYMAIL_ENABLE_MAILLISTADD"), name));
	end
	MailList_Save[wsRealmName][wsPlayerName] = WS_MailList;
	wsSetWSVar("MailList",MailList_Save);
	EasyMailFrame_UserDropdown_Initialize();
	wsEasyMailListConfig_Initialize();
end

function wsEasyMailListConfig_OnShow()
	UIDropDownMenu_Initialize(this, wsEasyMailListConfig_Initialize);
	UIDropDownMenu_SetWidth(100, wsEasyMailListConfig);
--	OptionsFrame_EnableDropDown(BankMirror_UserDropdown);
end

function wsEasyMailListConfig_Initialize()
	local info;
	local name;
	for name in pairs(WS_MailList) do
		info = {};
		if(WS_MailList[name]) then
			info.text = name;
--		else
--			info.text = "UnKnown";
		end
		info.func = wsEasyMailListConfig_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function wsEasyMailListConfig_OnClick()
	if ( this:GetText()) then
		wsEasyMailDel = this:GetText();
	end
	UIDropDownMenu_SetSelectedValue(wsEasyMailListConfig, this.value);
	getglobal("wsEasyMailListConfigButton1"):Enable();
end

function wsEasyMailListConfigButton_OnClick()
	for name in pairs(WS_MailList) do
		if(wsEasyMailDel == name) then
			WS_MailList[name] = nil;
		end
	end
	MailList_Save[wsRealmName][wsPlayerName] = WS_MailList;
	wsSetWSVar("MailList",MailList_Save);
	EasyMailFrame_UserDropdown_Initialize();
	getglobal("wsEasyMailListConfigText"):SetText("");
	wsEasyMailListConfig_Initialize();
	getglobal("wsEasyMailListConfigButton1"):Disable();
end

function wsEasyMailListAddButton_OnClick()
	local name = getglobal("wsEasyMailListEditBox"):GetText();
	if(name and name ~= "") then
		wsEM_AddMailList(name);
	end
	getglobal("wsEasyMailListEditBox"):SetText("");
	this:Disable();
end