UIPanelWindows["wsEnergyWatchConfigFrame"] = { area = "left",	pushable = 1 };

WS_EnergyWatch={};

local default_EnergyWatch={
					Show = "1",
					Link = "1",
					AlwaysShow = "1",
					StealthShow = "0",
					Locked = "1",
					Scale = 100,
					Alpha = 100,
				};

function wsEnergyWatchConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsEnergyWatchConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if(wsGetWSVar("EnergyWatch")) then
			WS_EnergyWatch=wsGetWSVar("EnergyWatch");
		else
			WS_EnergyWatch=default_EnergyWatch;
		end

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"Class",
		wsGetLocaleVariable("WS_ENERGYWATCH_TITLE"),
		wsGetLocaleVariable("WS_ENERGYWATCH_DESCRIPTION"),
		wsGetLocaleVariable("WS_ENERGYWATCH_TOOLTIP"),
		"Interface\\Icons\\Ability_Stealth",
		function()
			ShowUIPanel(wsEnergyWatchConfigFrame);
		end
	);
		EnergyWatch_LoadVariables(2);

		wsToggleShowEnergyWatch(WS_EnergyWatch.Show);
		wsToggleLink(WS_EnergyWatch.Link);
		wsToggleAlwaysShow(WS_EnergyWatch.AlwaysShow);
		wsToggleStealthShow(WS_EnergyWatch.StealthShow);
		wsToggleLock(WS_EnergyWatch.Locked);

		EnergyWatchBar:SetAlpha(WS_EnergyWatch.Alpha/100);
		EnergyWatchBar:SetScale(WS_EnergyWatch.Scale/100);
		EnergyWatchPlayerBar:SetAlpha(WS_EnergyWatch.Alpha/100);
	end
end

function wsEnergyWatchConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_ENERGYWATCH_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_ENERGYWATCH_ENABLE"));

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_ENERGYWATCH_LINKPLAYERFRAME"));

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	checkButton3:Show();
	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(wsGetLocaleVariable("WS_ENERGYWATCH_ALWAYS"));

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	checkButton4:Show();
	local checkButton4Text = getglobal(this:GetName().."CheckButton4Text");
	checkButton4Text:SetText(wsGetLocaleVariable("WS_ENERGYWATCH_STEALTH"));

	local checkButton5 = getglobal(this:GetName().."CheckButton5");
	checkButton5:Show();
	local checkButton5Text = getglobal(this:GetName().."CheckButton5Text");
	checkButton5Text:SetText(wsGetLocaleVariable("WS_ENERGYWATCH_LOCK"));

	local slider1Text = getglobal(this:GetName().."Slider1Text");
	slider1Text:SetText(wsGetLocaleVariable("WS_ENERGYWATCH_SCALE"));

	local slider2Text = getglobal(this:GetName().."Slider2Text");
	slider2Text:SetText(wsGetLocaleVariable("WS_ENERGYWATCH_ALPHA"));

	local slider1 = getglobal(this:GetName().."Slider1");
	slider1:SetMinMaxValues(30, 300)
	slider1:SetValueStep(10);
	slider1:SetValue(WS_EnergyWatch.Scale);

	local slider2 = getglobal(this:GetName().."Slider2");
	slider2:SetMinMaxValues(0, 100)
	slider2:SetValueStep(10);
	slider2:SetValue(WS_EnergyWatch.Alpha);

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	local checkButton5 = getglobal(this:GetName().."CheckButton5");

	if (WS_EnergyWatch.Show == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	if (WS_EnergyWatch.Link == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	if (WS_EnergyWatch.AlwaysShow == "1") then
		checkButton3:SetChecked(1);
	else
		checkButton3:SetChecked(nil);
	end
	
	if (WS_EnergyWatch.StealthShow == "1") then
		checkButton4:SetChecked(1);
	else
		checkButton4:SetChecked(nil);
	end

	if (WS_EnergyWatch.Locked == "1") then
		checkButton5:SetChecked(1);
	else
		checkButton5:SetChecked(nil);
	end
end

function wsEnergyWatchConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	local checkButton5 = getglobal(parent:GetName().."CheckButton5");
	local slider1 = getglobal(parent:GetName().."Slider1");
	local slider2 = getglobal(parent:GetName().."Slider2");

	checkButton1:SetChecked(1);
	checkButton2:SetChecked(1);
	checkButton3:SetChecked(1);
	checkButton4:SetChecked(0);
	checkButton5:SetChecked(1);
	slider1:SetValue(100);
	slider2:SetValue(100);
end

function wsEnergyWatchConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	local checkButton5 = getglobal(parent:GetName().."CheckButton5");
	local slider1 = getglobal(parent:GetName().."Slider1");
	local slider2 = getglobal(parent:GetName().."Slider2");

	if (checkButton1:GetChecked()) then
		WS_EnergyWatch.Show = "1";
	else
		WS_EnergyWatch.Show = "0";
	end

	if (checkButton2:GetChecked()) then
		WS_EnergyWatch.Link = "1";
	else
		WS_EnergyWatch.Link = "0";
	end

	if (checkButton3:GetChecked()) then
		WS_EnergyWatch.AlwaysShow = "1";
	else
		WS_EnergyWatch.AlwaysShow = "0";
	end

	if (checkButton4:GetChecked()) then
		WS_EnergyWatch.StealthShow = "1";
	else
		WS_EnergyWatch.StealthShow = "0";
	end

	if (checkButton5:GetChecked()) then
		WS_EnergyWatch.Locked = "1";
	else
		WS_EnergyWatch.Locked = "0";
	end

	WS_EnergyWatch.Scale = slider1:GetValue();
	EnergyWatchBar:SetScale(WS_EnergyWatch.Scale/100);

	WS_EnergyWatch.Alpha = slider2:GetValue();
	EnergyWatchBar:SetAlpha(WS_EnergyWatch.Alpha/100);
	EnergyWatchPlayerBar:SetAlpha(WS_EnergyWatch.Alpha/100);

	wsToggleShowEnergyWatch(WS_EnergyWatch.Show);
	wsToggleLink(WS_EnergyWatch.Link);
	wsToggleAlwaysShow(WS_EnergyWatch.AlwaysShow);
	wsToggleStealthShow(WS_EnergyWatch.StealthShow);
	wsToggleLock(WS_EnergyWatch.Locked);

	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("EnergyWatch", WS_EnergyWatch);

end

function wsEnergyWatchConfigFrameCheckButton_OnClick(id)
	local parent = this:GetParent();
	local checkButton = getglobal(parent:GetName().."CheckButton"..id);
	if(id == 3 and this:GetChecked()) then
		local nextCheckButton = getglobal(parent:GetName().."CheckButton"..(id+1));
		if(nextCheckButton:GetChecked()) then
			nextCheckButton:SetChecked(0);
		end
	end
	if(id == 4 and this:GetChecked()) then
		local lastCheckButton = getglobal(parent:GetName().."CheckButton"..(id-1));
		if(lastCheckButton:GetChecked()) then
			lastCheckButton:SetChecked(0);
		end
	end

	if ( this:GetChecked() ) then
		PlaySound("igMainMenuOptionCheckBoxOff");
	else
		PlaySound("igMainMenuOptionCheckBoxOn");
	end
end

function wsToggleShowEnergyWatch(flag1)
	if(flag1 == "1" and (UnitClass("player") == WS_ENERGYWATCH_CLASSTYPE1_zhCN or UnitClass("player") == WS_ENERGYWATCH_CLASSTYPE2_zhCN)) then
		if( ENERGYWATCH_STATUS == 0 ) then
			ENERGYWATCH_STATUS = 1;
			EnergyWatch_Save[ENERGYWATCH_PROFILE].status = ENERGYWATCH_STATUS;
			EnergyWatchBar:Show();
		end
	else
		if( ENERGYWATCH_STATUS ~= 0 ) then
			ENERGYWATCH_STATUS = 0;
			EnergyWatch_Save[ENERGYWATCH_PROFILE].status = ENERGYWATCH_STATUS;
			EnergyWatchBar:Hide();
		end
	end
end

function wsToggleLink(flag1)
	if(flag1 == "1") then
		getglobal("EnergyWatchPlayerBar"):Show();
		getglobal("EnergyWatchBar"):Hide();
	else
		getglobal("EnergyWatchPlayerBar"):Hide();
		getglobal("EnergyWatchBar"):Show();
	end
end

function wsToggleAlwaysShow(flag)
	if(flag == "1") then
		local ewBar = wsGetCurEnergyWatchBar();
		EnergyWatch_Save[ENERGYWATCH_PROFILE].show = 0;
		ENERGYWATCH_SHOW = EnergyWatch_Save[ENERGYWATCH_PROFILE].show
		if(ENERGYWATCH_STATUS ~= 0)then
			ewBar:Show()
		end
	end
end

function wsToggleStealthShow(flag)
	if(flag == "1") then
		EnergyWatch_Save[ENERGYWATCH_PROFILE].show = 2;
		ENERGYWATCH_SHOW = EnergyWatch_Save[ENERGYWATCH_PROFILE].show
		local ewBar = wsGetCurEnergyWatchBar();
		local i = 0
		while GetPlayerBuffTexture(i) ~= nil do
			if GetPlayerBuffTexture(i) == "Interface\\Icons\\Ability_Stealth" then
				ewBar:Show()
				return
			else
				i = i + 1
			end
		end
		if UnitAffectingCombat("player") then
			ewBar:Show()
		else
			ewBar:Hide()
		end
	end
end

function wsToggleLock(flag)
	if(flag == "1") then
			if( ENERGYWATCH_STATUS == 2 ) then
				ENERGYWATCH_STATUS = 1;
				EnergyWatch_Save[ENERGYWATCH_PROFILE].status = ENERGYWATCH_STATUS;
			end
	else
			if( ENERGYWATCH_STATUS ~= 2 ) then
				ENERGYWATCH_STATUS = 2;
				EnergyWatch_Save[ENERGYWATCH_PROFILE].status = ENERGYWATCH_STATUS;
			end
	end
end

function wsEnergyWatchConfigFrame_SliderValueChanged(id)
	if(id == 1) then
		WS_EnergyWatch.Scale = this:GetValue();
		EnergyWatchBar:SetScale(WS_EnergyWatch.Scale/100);
	elseif(id == 2) then
		WS_EnergyWatch.Alpha = this:GetValue();
		EnergyWatchBar:SetAlpha(WS_EnergyWatch.Alpha/100);
	end
end