UIPanelWindows["wsFocusConfigFrame"] =		{ area = "left",	pushable = 1 };

default_wsFocus = {
	Enable = "1",
	AutoAlpha = "1",
	lock = "0",
	hide = "1",
	scale = 100,
};

function wsFocusConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsFocusConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		local wsVar = wsGetWSVar("Focus");
		if (wsVar) then
			wsFocus = wsVar;
		end

		if(not wsFocus) then
			wsFocus = default_wsFocus;
		end

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"Combat",
		wsGetLocaleVariable("WS_FOCUS_TITLE"),
		wsGetLocaleVariable("WS_FOCUS_DESCRIPTION"),
		wsGetLocaleVariable("WS_FOCUS_TOOLTIP"),
		"Interface\\Icons\\Spell_Nature_FocusedMind",
		function()
			ShowUIPanel(wsFocusConfigFrame);
		end);

		ws_FocusSetScale(wsFocus.scale);
		ws_FocusLock(wsFocus.lock);
		ws_FocusHide(wsFocus.hide);
	end
end

function wsFocusConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_FOCUS_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_FOCUS_ENABLE_FOCUSFRAME"));

	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_FOCUS_AUTOALPHA"));

	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(wsGetLocaleVariable("WS_FOCUS_LOCK"));

	local checkButton4Text = getglobal(this:GetName().."CheckButton4Text");
	checkButton4Text:SetText(wsGetLocaleVariable("WS_FOCUS_HIDEWHENDEAD"));

	local slider1Text = getglobal(this:GetName().."Slider1Text");
	slider1Text:SetText(wsGetLocaleVariable("WS_FOCUS_SCALE"));

--
	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (wsFocus.Enable == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	if (wsFocus.AutoAlpha == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	if (wsFocus.lock == "1") then
		checkButton3:SetChecked(1);
	else
		checkButton3:SetChecked(nil);
	end

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	if (wsFocus.hide == "1") then
		checkButton4:SetChecked(1);
	else
		checkButton4:SetChecked(nil);
	end

	local slider1 = getglobal(this:GetName().."Slider1");
	slider1:SetMinMaxValues(50, 200)
	slider1:SetValueStep(10);
	slider1:SetValue(wsFocus.scale);
end

function wsFocusConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	checkButton1:SetChecked(1);
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	checkButton2:SetChecked(1);
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	checkButton3:SetChecked(0);
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	checkButton4:SetChecked(1);

	local slider1 = getglobal(parent:GetName().."Slider1");
	slider1:SetValue(100);

	FocusFrame_Reset();
end

function wsFocusConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	if (checkButton1:GetChecked()) then
		wsFocus.Enable = "1";
	else
		wsFocus.Enable = "0";
	end
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	if (checkButton2:GetChecked()) then
		wsFocus.AutoAlpha = "1";
	else
		wsFocus.AutoAlpha = "0";
	end
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	if (checkButton3:GetChecked()) then
		wsFocus.lock = "1";
	else
		wsFocus.lock = "0";
	end
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	if (checkButton4:GetChecked()) then
		wsFocus.hide = "1";
	else
		wsFocus.hide = "0";
	end

	local slider1 = getglobal(parent:GetName().."Slider1");
	wsFocus.scale = slider1:GetValue();

	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("Focus", wsFocus);

	ws_FocusSetScale(wsFocus.scale);
	ws_FocusLock(wsFocus.lock)
	ws_FocusHide(wsFocus.hide)
end

function wsFocusConfigFrameKeyBindingButton_OnClick()
	wsShowKeyBindingFrame("FOCUSTARGET");
end

function ws_FocusSetScale(var)
	if(tonumber(var)) then
	FocusFrame_SetScale(tonumber(var)/100);
	end
end

function ws_FocusLock(flag)
	if(flag == "0") then
		FocusFrameOptions.lockpos = nil;
	else
		FocusFrameOptions.lockpos = true;
	end
end

function ws_FocusHide(flag)
	if (flag == "1") then
		RegisterStateDriver(FocusFrame, "visibility", "[target=focus,noexists][target=focus,harm,dead]hide;show");
	else
		RegisterStateDriver(FocusFrame, "visibility", "[target=focus,noexists]hide;show");
	end
end

	
--
--update log
--
--[[
* 增加死亡后自动消失focus frame
* 增加相关选项
* 2008-3-22
]]--