--***********************************
--Title: Hunter Trap Bar
--Description: Trap timer bar
--Author: 月色狼影
--Revision: $Rev: 132 $
--LastUpadate: $Id: HunterBarFrame.lua 132 2008-03-12 07:05:18Z wolftankk $
--:
--***********************************

function HunterBarFrame_OnLoad()
	this:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
	this:RegisterEvent("PLAYER_REGEN_ENABLED");
	this:RegisterEvent("CHAT_MSG_SPELL_PERIODIC_CREATURE_DAMAGE");
	this:RegisterEvent("CHAT_MSG_SPELL_PERIODIC_HOSTILEPLAYER_DAMAGE");
	this:RegisterEvent("CHAT_MSG_SPELL_AURA_GONE_OTHER");
	this:RegisterEvent("PLAYER_LEAVE_COMBAT");
end

function HunterBarFrame_OnEvent(event, ...)
	if(UnitClass("player") ~= wsGetGameLocaleVariable("WS_HUNTER_TITLE") or not WS_Hunter or not WS_Hunter.HunterSkillCounter_Enable or WS_Hunter.HunterSkillCounter_Enable ~= "1") then
		return;
	end

	local timestamp, eventtype, srcGUID, srcName, srcFlags, dstGUID, dstName, dstFlags = select(1, ...);
	--冰冻陷阱效果 spellID {3355, 14308, 14309, 31932 ??}
	--冰霜陷阱光环 SpellID {13810}
	if ( event == "COMBAT_LOG_EVENT_UNFILTERED") then
		

		if (eventtype == "SPELL_AURA_APPLIED") then
			for i, n in pairs(WS_HUNTER_SPELL) do
			spellName = select(10, ...);

				if ( n == spellName) then
					if ( i == 2 and this:IsShown()) then
						return
					end
					getglobal("HunterBarFrameStatusBar"):SetStatusBarColor(0.0, 1.0, 0.0);
					getglobal("HunterBarSpark"):Show();
					this.maxValue = 1;
					this.startTime = GetTime();
					this.endTime = this.startTime + WS_Hunter["Skill"..i]/10;
					this.duration = WS_Hunter["Skill"..i]/10;
					getglobal("HunterBarFrameStatusBar"):SetMinMaxValues(this.startTime, this.endTime);
					getglobal("HunterBarFrameStatusBar"):SetValue(this.endTime);
					getglobal("HunterBarText"):SetText(n);
					this:SetAlpha(1.0);
					this.holdTime = 0;
					this.casting = nil;
					this.channeling = 1;
					this.fadeOut = nil;
					this:Show();
				end
			end
		elseif (eventtype == "SPELL_AURA_REMOVED") then
			spellName = select(10, ...);

			for i, n in pairs (WS_HUNTER_SPELL) do
				if (n == spellName and i ~= 2) then
					if (this:IsShown()) then
						getglobal("HunterBarFrameStatusBar"):SetValue(this.maxValue);
						getglobal("HunterBarFrameStatusBar"):SetStatusBarColor(1.0, 0.0, 0.0);
						getglobal("HunterBarSpark"):Hide();
						getglobal("HunterBarText"):SetText(WS_HUNTER_SPELL[1].." "..INTERRUPTED);
						this.casting = nil;
						this.channeling = nil;
						this.fadeOut = 1;
						this.holdTime = GetTime() + CASTING_BAR_HOLD_TIME;
					end
				end
			end
		elseif(event == "PLAYER_REGEN_ENABLED") then
			return;
		end
	end
end

function HunterBarFrame_OnUpdate()
	if ( this.casting ) then
		local status = GetTime();
		if ( status > this.maxValue ) then
			status = this.maxValue
		end
		getglobal("HunterBarFrameStatusBar"):SetValue(status);
		getglobal("HunterBarFlash"):Hide();
		local sparkPosition = ((status - this.startTime) / (this.maxValue - this.startTime)) * 195;
		if ( sparkPosition < 0 ) then
			sparkPosition = 0;
		end
		getglobal("HunterBarSpark"):SetPoint("CENTER", "HunterBarFrameStatusBar", "LEFT", sparkPosition, 0);
	elseif ( this.channeling ) then
		local time = GetTime();
		if ( time > this.endTime ) then
			time = this.endTime
		end
		if ( time == this.endTime ) then
			this.channeling = nil;
			this.fadeOut = 1;
			return;
		end
		local barValue = this.startTime + (this.endTime - time);
		getglobal("HunterBarFrameStatusBar"):SetValue( barValue );
		getglobal("HunterBarFlash"):Hide();
		local sparkPosition = ((barValue - this.startTime) / (this.endTime - this.startTime)) * 195;
		getglobal("HunterBarSpark"):SetPoint("CENTER", "HunterBarFrameStatusBar", "LEFT", sparkPosition, 0);
	elseif ( GetTime() < this.holdTime ) then
		return;
	elseif ( this.flash ) then
		local alpha = getglobal("HunterBarFlash"):GetAlpha() + CASTING_BAR_FLASH_STEP;
		if ( alpha < 1 ) then
			getglobal("HunterBarFlash"):SetAlpha(alpha);
		else
			this.flash = nil;
		end
	elseif ( this.fadeOut ) then
		local alpha = this:GetAlpha() - CASTING_BAR_ALPHA_STEP;
		if ( alpha > 0 ) then
			this:SetAlpha(alpha);
		else
			this.fadeOut = nil;
			this:Hide();
		end
	end
end