---------------------------------------------
--一键喂食
--原版本QuickFeed
--针对安全模板进行更新,参考了zFeeder
--版本: $Rev: 113 $
--作者: 月色狼影
--[[$Id: QuickFeed.lua 113 2008-02-28 03:44:28Z wolftankk $]]
----------------------------------------------
local checkLock = false;
local checkCombat = false;

QuickFeedButton_Food = {};

local wsRealmName;
local wsPlayerName;

function QuickFeedButton_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
	this:RegisterForClicks("LeftButtonUp");
	this:RegisterForDrag("LeftButton");
	this:RegisterEvent("CURSOR_UPDATE");
	this:RegisterEvent("BAG_UPDATE");
	this:RegisterEvent("PET_UI_UPDATE");
	this:RegisterEvent("SPELLS_CHANGED");
	this:RegisterEvent("PLAYER_REGEN_ENABLED")
end

function QuickFeedButton_OnEvent(event)
	if (event == "VARIABLES_LOADED") then

		if (UnitClass("player") == wsGetGameLocaleVariable("QUICKFEED_CLASSNAME")) then		
			if(wsGetWSVar("QuickFeed_Save")) then
				QuickFeed_Save=wsGetWSVar("QuickFeed_Save");
			else
				QuickFeed_Save={};
			end

			wsRealmName = GetCVar("RealmName"); 
			wsPlayerName = UnitName("player");
	
			if (QuickFeed_Save == nil) then
				QuickFeed_Save = {};
			end
			
			if (QuickFeed_Save[wsRealmName] == nil) then
				QuickFeed_Save[wsRealmName] = {}
			end
	
			if (QuickFeed_Save[wsRealmName][wsPlayerName] == nil) then
				QuickFeed_Save[wsRealmName][wsPlayerName] = {}
			end
	
			QuickFeedButton_Food = QuickFeed_Save[wsRealmName][wsPlayerName];
			
			if (QuickFeedButton_Food.Texture) then
				SetItemButtonTexture(this, QuickFeedButton_Food.Texture);
			end

			QuickFeedButton_ResetFood(this);
			QuickFeedButton_UpdateCount(this);

			 this:SetAttribute("unit", "pet") 
			 this:SetAttribute("type", "target") 
		end
	elseif (event == "CURSOR_UPDATE") then
		-- reset the cursor item
		CursorItem = {};
	elseif (event == "BAG_UPDATE") then
		if (QuickFeedButton_Food and QuickFeedButton_Food.Link) then
			-- determine the count of the selected food
			
			QuickFeedButton_UpdateCount(this);
		end
	elseif (event == "PET_UI_UPDATE") then
		QuickFeedButton_UpdateCount(this);
	end
	if (event == "PLAYER_REGEN_ENABLED") then
		if (checkCombat) then
			QuickFeedButton_PreClick()
		end
		if (checkLock) then
			WS_PetFrame_SetHappiness()
		end
	end
end

function QuickFeedButton_OnEnter()
	GameTooltip:SetOwner(this, "ANCHOR_RIGHT");

	if (QuickFeedButton_Food ~= nil and QuickFeedButton_Food.Link) then
		GameTooltip:SetText(wsGetGameLocaleVariable("QUICKFEED_BUTTON_TITLE"));				
		GameTooltip:AddDoubleLine(wsGetGameLocaleVariable("QUICKFEED_FOODNAME"), QuickFeedButton_Food.Link, 1, 1, 1,  1,1,1);
		GameTooltip:AddDoubleLine(wsGetGameLocaleVariable("QUICKFEED_FOODQUANTITY"), QuickFeedButton_Food.Count, 1, 1, 1,  1,1,1);
	elseif(QuickFeedButton_Food ~= nil and QuickFeedButton_Food.ActionName) then
		GameTooltip:SetText(wsGetGameLocaleVariable("QUICKFEED_BUTTON_TITLE"));				
		GameTooltip:AddDoubleLine(wsGetGameLocaleVariable("QUICKFEED_FOODACTION"), QuickFeedButton_Food.ActionName, 1, 1, 1,  1,1,1);
	else
		GameTooltip:AddLine(wsGetGameLocaleVariable("QUICKFEED_NO_FOOD"), 1, 1, 1);
	end

	GameTooltip:Show();
end

function QuickFeedButton_OnLeave()
	GameTooltip:Hide();
end

function QuickFeedButton_ResetFood(button)
	if(QuickFeedButton_Food and QuickFeedButton_Food.Texture) then
		SetItemButtonTexture(button, QuickFeedButton_Food.Texture);
	elseif(QuickFeedButton_Food and QuickFeedButton_Food.ActionTexture) then
		SetItemButtonTexture(button, QuickFeedButton_Food.ActionTexture);
	end
end

function QuickFeedButton_PreClick()
	if (InCombatLockdown()) then
		checkCombat = true;
		return
	end
	if (CursorItem.Link) then
		-- drop the cursor item onto the feed button
			
		QuickFeedButton_Food.Link = CursorItem.Link;
	
		if (CursorItem.Texture) then
			QuickFeedButton_Food.Texture = CursorItem.Texture;
			SetItemButtonTexture(this, CursorItem.Texture);
		end
		
		GameTooltip:Hide();
		PickupContainerItem(CursorItem.Bag, CursorItem.Slot);
		
		CursorItem = {};
	elseif (QuickFeedButton_Food.Link) then
			QuickFeed_ExecuteFeedPet();
	end
	
	QuickFeedButton_UpdateCount(this);
	QuickFeed_Save[wsRealmName][wsPlayerName] = QuickFeedButton_Food;
	wsSetWSVar("QuickFeed_Save",QuickFeed_Save);

	checkCombat = false
end

function QuickFeed_FoodClean()
	QuickFeedButton_Food.Link = nil;
	QuickFeedButton_Food.Texture = nil;
	QuickFeedButton_Food.Count = nil;
end

--function QuickFeed_ActionClean()
--	QuickFeedButton_Food.ActionName = nil;
--	QuickFeedButton_Food.ActionTexture = nil;
--	QuickFeedButton_Food.ActionID = nil;
--	QuickFeedButton_Food.ActionRank = nil;
--end

function QuickFeed_ExecuteFeedPet()
--	if (not override) then
--		override = false;
--	end

--	if (Enabled or override) then
		local bag, slot = WS_FindContainerItemByLink(QuickFeedButton_Food.Link);
   		
		if (bag and slot) then
			PickupContainerItem(bag, slot);
			
			if (CursorHasItem()) then
--				DropItemOnUnit("pet");
--			else
--				ChatWarn("Could not pickup Food.");
--				ScreenWarn("Could not pickup Food.");
			end

			-- hack: if the food fails to drop on the pet and remains on the
			-- cursor, then drop it back into the container 
--			if (CursorHasItem()) then
--				PickupContainerItem(bag, slot);
--			else
--				ChatWrite("Feeding Pet: "..QuickFeedButton_Food.Link..".");
--			end
		else
--			ChatWarn("Food not found.");
--			ScreenWarn("Food not found.");
		end
--	end
end

function QuickFeedButton_UpdateCount(button)
	if (QuickFeedButton_Food ~= nil and QuickFeedButton_Food.Link) then
		QuickFeedButton_Food.Count = WS_CountContainerItemByLink(QuickFeedButton_Food.Link);
		SetItemButtonCount(button, QuickFeedButton_Food.Count);
		if(QuickFeedButton_Food.Count and QuickFeedButton_Food.Count == 0) then
			getglobal(button:GetName().."IconTexture"):SetVertexColor(1.0, 0.1, 0.1);
		else
			getglobal(button:GetName().."IconTexture"):SetVertexColor(1.0, 1.0, 1.0);
		end
	end
end

function QuickFeedButton_OnDragStart()
--	QuickFeedButton_Food.Link = nil;
--	QuickFeedButton_Food.Texture = nil;
--	QuickFeedButton_Food.Count = nil;
	QuickFeed_FoodClean();
--	QuickFeed_ActionClean();
	
	SetItemButtonCount(this, 0);
	SetItemButtonTexture(this, nil);
--	getglobal(this:GetName().."CountWarn"):Hide();
	GameTooltip:Hide();
	CursorItem = {};
	CursorAction = {};

	QuickFeed_Save[wsRealmName][wsPlayerName] = nil;
	wsSetWSVar("QuickFeed_Save",QuickFeed_Save);
end

PetFrameHappiness:SetScript("OnHide", function() QuickFeedButton:Hide() end)
local Original_PetFrame_SetHappiness = WS_PetFrame_SetHappiness;
function WS_PetFrame_SetHappiness()
 	Original_PetFrame_SetHappiness();

	if (InCombatLockdown()) then
		checkLock = true
		return
	end

	if (UnitExists("pet")) then
		if (UnitIsDead("pet")) then
			return
		elseif (not QuickFeedButton:IsVisible()) then
			QuickFeedButton:Show()
		end
	end

	if(WS_Hunter.QuickFeed_Enable ~= "1") then
		return;
	end

	local happiness = GetPetHappiness();
	--DEFAULT_CHAT_FRAME: AddMessage(happiness);
	--local hasPetUI, isHunterPet = HasPetUI();
	--if ( not happiness or not isHunterPet ) then
	--	PetFrameHappiness:Hide();		
	--	return;	
	--end
	
	--PetFrameHappiness:Show();
	--[[
	if ( happiness == 1 ) then		
		PetFrameHappinessTexture:SetTexCoord(0.375, 0.5625, 0, 0.359375);	
	elseif ( happiness == 2 ) then		
		PetFrameHappinessTexture:SetTexCoord(0.1875, 0.375, 0, 0.359375);	
	elseif ( happiness == 3 ) then		
		PetFrameHappinessTexture:SetTexCoord(0, 0.1875, 0, 0.359375);	
	end
		PetFrameHappiness.tooltip = getglobal("PET_HAPPINESS"..happiness);]]
	
	if (happiness and happiness < 3 and not PlayerFrame.inCombat) then
		getglobal("QuickFeedButton"):SetAlpha(1);
		--DEFAULT_CHAT_FRAME: AddMessage("你宝宝的心情好差@_@");
--		Enabled = true;
	else
		if (QuickFeedButton_Food ~= nil and QuickFeedButton_Food.Link) then
			getglobal("QuickFeedButton"):SetAlpha(0.2);
		else
			getglobal("QuickFeedButton"):SetAlpha(1);
		end
--		Enabled = false;
	end
	checkLock = false
end

function wsToggleQuickFeed(flag)
	if(flag == "1") then
		getglobal("QuickFeedFrame"):Show();
	else
		getglobal("QuickFeedFrame"):Hide();
	end
end

function wsToggleAlphaSet(flag)
	if(flag == "1") then
		if(not Original_PetFrame_SetHappiness) then
			Original_PetFrame_SetHappiness =PetFrame_SetHappiness;
			PetFrame_SetHappiness = WS_PetFrame_SetHappiness;
		end
	else
		getglobal("QuickFeedButton"):SetAlpha(1);
		if(Original_PetFrame_SetHappiness) then
			PetFrame_SetHappiness = Original_PetFrame_SetHappiness;
			Original_PetFrame_SetHappiness = nil;
		end
	end
end