MAX_MAPMARKBUTTON = 100;

local CurrentContinent = nil;
local CurrentZone = nil;
local CoordinateButton_TimeCount;

ZoneNames = {};

function wsLoadZones(...)
	local num = select("#", ...);
	for i=1, num, 1 do
		ZoneNames[i] = (select(i, ...));
	end
end

function CoordinateButton_Onload()
	SlashCmdList["MARK"] = MapMarkButton_Mark;
	SLASH_MARK1 = "/mark";

	CurrentContinent = GetCurrentMapContinent();
	CurrentZone = GetCurrentMapZone();
end

function MapMarkButton_Mark(msg)
	for mapName , x ,y in string.gmatch(msg, "(.+)<(%d+),(%d+)>") do
		if(mapName and x/100 <= 1 and x/100 >= 0 and y/100 >= 0 and y/100 <=1) then
			for continenti=1, MAX_CONTINENTINDEX , 1 do
				wsLoadZones(GetMapZones(continenti));
				for id,name in ZoneNames do
					if(ZoneNames[id] == mapName) then
						MapMarkButton_CreatMark(continenti,id,x/100,y/100);
					end
				end
			end
			return;
		end
	end
end

function MapMarkButton_CreatMark(continent, zone, x, y)
	if(not MapNotes_Quicktloc) then
		return;
	end
	local checknote = MapNotes_CheckNearNotes(continent, zone, x, y);
	if (checknote) then
		MapNotes_StatusPrint(format(MAPNOTES_QUICKNOTE_NOTETONEAR, MapNotes_Data[continent][zone][checknote].name));
	elseif (zone == 0) then
		MapNotes_StatusPrint(MAPNOTES_QUICKTLOC_NOZONE);
	else
		local id = 0;
		local icon = 0;
		local name = wsGetLocaleVariable("WS_MAPINF_TITLE");
		if (MapNotes_SetNextAsMiniNote ~= 2) then
			local i = 0;
			for j, value in MapNotes_Data[continent][zone] do
				i = i + 1;
			end
			if (i < MapNotes_NotesPerZone) then
				MapNotes_TempData_Id = i + 1;
				MapNotes_Data[continent][zone][MapNotes_TempData_Id] = {};
				MapNotes_Data[continent][zone][MapNotes_TempData_Id].name = name;
				MapNotes_Data[continent][zone][MapNotes_TempData_Id].ncol = 0;
				MapNotes_Data[continent][zone][MapNotes_TempData_Id].inf1 = "";
				MapNotes_Data[continent][zone][MapNotes_TempData_Id].in1c = 0;
				MapNotes_Data[continent][zone][MapNotes_TempData_Id].inf2 = "";
				MapNotes_Data[continent][zone][MapNotes_TempData_Id].in2c = 0;
				MapNotes_Data[continent][zone][MapNotes_TempData_Id].creator = UnitName("player");
				MapNotes_Data[continent][zone][MapNotes_TempData_Id].icon = icon;
				MapNotes_Data[continent][zone][MapNotes_TempData_Id].xPos = x;
				MapNotes_Data[continent][zone][MapNotes_TempData_Id].yPos = y;
				id = MapNotes_TempData_Id;
				MapNotes_StatusPrint(format(MAPNOTES_QUICKNOTE_OK, MapNotes_ZoneNames[continent][zone]));
			else
				MapNotes_StatusPrint(format(MAPNOTES_QUICKNOTE_TOOMANY, MapNotes_ZoneNames[continent][zone]));
			end
		end
		if (MapNotes_SetNextAsMiniNote ~= 0) then
			MapNotes_MiniNote_Data.xPos = x;
			MapNotes_MiniNote_Data.yPos = y;
			MapNotes_MiniNote_Data.continent = continent;
			MapNotes_MiniNote_Data.zone = zone;
			MapNotes_MiniNote_Data.id = id; -- only shown if the note was written...
			MapNotes_MiniNote_Data.name = name;
			MapNotes_MiniNote_Data.color = 0;
			MapNotes_MiniNote_Data.icon = icon;
			MiniNotePOITexture:SetTexture("Interface\\AddOns\\MapNotes\\POIIcons\\Icon"..icon);
			MiniNotePOI:Show();
			MapNotes_SetNextAsMiniNote = 0;
			MapNotes_StatusPrint(MAPNOTES_SETMININOTE);
		end
	end
end

function CoordinateButton_TimeCheck(timeUpdate)
	if(not CoordinateButton_TimeCount) then
		CoordinateButton_TimeCount = 0;
	end
	CoordinateButton_TimeCount = CoordinateButton_TimeCount + timeUpdate;
	
	local updateTimeDelay = 5;

	if(CoordinateButton_TimeCount > updateTimeDelay) then	
		CoordinateButton_OnUpdate();
		CoordinateButton_TimeCount = 0;
	end
end

function CoordinateButton_OnUpdate()
	local x,y = GetPlayerMapPosition("player");
	if ( not x or not y ) then
		CoordinateText:SetText("");
		return;
	else
		x = math.floor(x*100+0.5);
		y = math.floor(y*100+0.5);
		if( x == 0 and y == 0) then
			CoordinateText:SetText("x: ?? y: ??");
			if(GetCurrentMapZone() ~= 0) then
				SetMapToCurrentZone();
			end
		else
			CoordinateText:SetText("x:"..x.." ".."y:"..y);
		end
	end
end

function CoordinateButton_OnClick(button)
	local x,y = GetPlayerMapPosition("player");
	local CoordinateX;
	local CoordinateY;
	local MarkedId;
	local IsTheSame;
	local width = WorldMapButton:GetWidth();
	local height = WorldMapButton:GetHeight();

	if ( not x or not y ) then
		return;
	else
		CoordinateX = math.floor(x*100+0.5);
		CoordinateY = math.floor(y*100+0.5);
	end

	wsLoadZones(GetMapZones(GetCurrentMapContinent()));
	local mapName = ZoneNames[GetCurrentMapZone()];
	local zone = GetMinimapZoneText();

	if ( button == "LeftButton" ) then
		if ( IsShiftKeyDown() and ChatFrameEditBox:IsVisible() ) then
			ChatFrameEditBox:Insert(zone.."-"..mapName.."<"..CoordinateX..","..CoordinateY..">");
		else
			if(MapNotes_Quicknote) then
				MapNotes_Quicknote();
			end
		end
	end
end

function CoordinateButton_OnEnter()
	GameTooltip:SetOwner(this, "ANCHOR_TOP");
	local zoneName = GetZoneText();
	local subzoneName = GetSubZoneText();
	if ( subzoneName == zoneName ) then
		subzoneName = "";	
	end
	GameTooltip:AddLine( zoneName, 1.0, 1.0, 1.0 );

	local pvpType, isSubZonePvP, factionName = GetZonePVPInfo();
	if ( pvpType == "sanctuary" ) then
		GameTooltip:AddLine( subzoneName, 0.41, 0.8, 0.94 );	
		GameTooltip:AddLine(SANCTUARY_TERRITORY, 0.41, 0.8, 0.94);
	elseif ( pvpType == "arena" ) then
		GameTooltip:AddLine( subzoneName, 1.0, 0.1, 0.1 );	
		GameTooltip:AddLine(FREE_FOR_ALL_TERRITORY, 1.0, 0.1, 0.1);
	elseif ( pvpType == "friendly" ) then
		GameTooltip:AddLine( subzoneName, 0.1, 1.0, 0.1 );	
		GameTooltip:AddLine(format(FACTION_CONTROLLED_TERRITORY, factionName), 0.1, 1.0, 0.1);
	elseif ( pvpType == "hostile" ) then
		GameTooltip:AddLine( subzoneName, 1.0, 0.1, 0.1 );	
		GameTooltip:AddLine(format(FACTION_CONTROLLED_TERRITORY, factionName), 1.0, 0.1, 0.1);
	elseif ( pvpType == "contested" ) then
		GameTooltip:AddLine( subzoneName, 1.0, 0.7, 0.0 );	
		GameTooltip:AddLine(CONTESTED_TERRITORY, 1.0, 0.7, 0.0);
	else
		GameTooltip:AddLine( subzoneName, NORMAL_FONT_COLOR.r, NORMAL_FONT_COLOR.g, NORMAL_FONT_COLOR.b );	
	end
	GameTooltip:Show();
end

function CoordinateButton_OnLeave()
	GameTooltip:Hide();
end

function CoordinateButton_OnShow()
	SetMapToCurrentZone();
end