UIPanelWindows["wsMapInfConfigFrame"] =		{ area = "left",	pushable = 1 };

local default_MapInf = { CoordinateButton_Enable = "1",
				};

WS_MapInf = {};

function wsMapInfConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsMapInfConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"Others",
		wsGetLocaleVariable("WS_MAPINF_TITLE"),
		wsGetLocaleVariable("WS_MAPINF_DESCRIPTION"),
		wsGetLocaleVariable("WS_MAPINF_TOOLTIP"),
		"Interface\\WorldMap\\WorldMap-Icon",
		function()
			ShowUIPanel(wsMapInfConfigFrame);
		end
	);

		if (wsGetWSVar("MapInf")) then
			WS_MapInf = wsGetWSVar("MapInf");
		else
			WS_MapInf = default_MapInf;
		end

		if(WS_MapInf.CoordinateButton_Enable=="1") then
			CoordinateButton:Show();
		else
			CoordinateButton:Hide();
		end
	end
end

function wsMapInfConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_MAPINF_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_MAPINF_ENABLE_MAPINF"));

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (WS_MapInf.CoordinateButton_Enable == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end
end

function wsMapInfConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");

	checkButton1:SetChecked(1);
end

function wsMapInfConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");

	if (checkButton1:GetChecked()) then
		WS_MapInf.CoordinateButton_Enable = "1";
		CoordinateButton:Show();
	else
		WS_MapInf.CoordinateButton_Enable = "0";
		CoordinateButton:Hide();
	end

	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("MapInf", WS_MapInf);

end

function wsMapInfConfigButton_OnEnter(id)
	if(GetLocale() ~= "zhCN") then
		return;
	end
	if(not id) then
		return;
	end
	local tip = "WS_MAPINF_CONFIGTIP"..id;
	GameTooltip:SetOwner(this, "ANCHOR_TOPLEFT");
	wsFormatConfigTip(wsGetGameLocaleVariable(tip));
	GameTooltip:Show();
end

function WorldMapMarkFrame_OnUpdate()
	local minX = 7;
	local minY = 30;
	local maxX = 1012;
	local maxY = 702;
	local WorldMapId = GetCurrentMapZone();
	local button = WorldMapButton;

	if(WorldMapId ~= 0) then
		local x,y = GetCursorPosition();
		if(x and y) then
			if(x<minX or x>maxX or y<minY or y >maxY) then
				WorldMapCoordinateText:SetText("");
			else

				x = x / button:GetEffectiveScale();
				y = y / button:GetEffectiveScale();

				local centerX, centerY = button:GetCenter();
				local width = button:GetWidth();
				local height = button:GetHeight();
				local adjustedY = (centerY + (height/2) - y) / height;
				local adjustedX = (x - (centerX - (width/2))) / width;
				local CoordinateX = math.floor(adjustedX*100 + 0.5);
				local CoordinateY = math.floor(adjustedY*100 + 0.5);
				WorldMapCoordinateText:SetText(CoordinateX.."   :   "..CoordinateY);
			end
		end
	end
end