--[[
    MapNotes: Adds a note system to the WorldMap

    See the README file for more information.
]]

local versionID = 20
local zoneID={}

-- hooked functions
local orig_SetMapToCurrentZone

local function MapNotes_SetMapToCurrentZone(deactivate)
    if deactivate then
        SetMapToCurrentZone = orig_SetMapToCurrentZone
        CurrentZoneFix_FixInPlace = nil
        return true
    end

    orig_SetMapToCurrentZone()
    if GetCurrentMapZone() == 0 and GetCurrentMapContinent() > 0 then
        SetMapZoom(GetCurrentMapContinent(), zoneID[GetRealZoneText()])
    else
        SetMapToCurrentZone = orig_SetMapToCurrentZone
        CurrentZoneFix_FixInPlace = "Deactivated "..versionID
    end
end

function MapNotes_SetupCurrentZoneFix()
    local id = CurrentZoneFix_FixInPlace

    if id then
        id = tonumber(id)
        if id and id >= versionID then
            return
        elseif not SetMapToCurrentZone(true) then
            if DEFAULT_CHAT_FRAME then
                DEFAULT_CHAT_FRAME:AddMessage("Warning! Obsolete version "..
                    "of CurrentZoneFix function detected. The old "..
                    "version is being loaded either as a standalone "..
                    "AddOn, or as code embedded inside another AddOn. "..
                    "You must update it to avoid bugs with the map!",1,0,0)
            end
            return
        end
    end

    for continent in ipairs{GetMapContinents()} do
        for zone,name in ipairs{GetMapZones(continent)} do
            zoneID[name] = zone
        end
    end

    orig_SetMapToCurrentZone = SetMapToCurrentZone
    SetMapToCurrentZone = MapNotes_SetMapToCurrentZone

    CurrentZoneFix_FixInPlace = versionID
end
