UIPanelWindows["wsMovableBarConfigFrame"] =		{ area = "left",	pushable = 1 };

local curBarID = 1;

local default_MovableBar = {
	HideEmpty = "0",
	Lock = "0",
	HideTab = "0",
	Bars = 1,
	AutoHide = "0",
	Option = 
	{
		{Num = 7 , state = 1, Scale = 100, ScaleButton = 12, Buttons = 9,},
		{Num = 8 , state = 1, Scale = 100, ScaleButton = 12, Buttons = 9,},
		{Num = 9 , state = 1, Scale = 100, ScaleButton = 12, Buttons = 9,},
		{Num = 10 , state = 1, Scale = 100, ScaleButton = 12, Buttons = 9,},
	},
};

function wsMovableBarConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsMovableBarConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		WS_MovableBar_Init();

		MovableBar_ToggleTabs(WS_MovableBar.HideTab);
		
		wsRegisterButton(
			WS_CONFIG_SEC_1,
			"UserIn",
			wsGetLocaleVariable("WS_MOVABLEBAR_TITLE"),
			wsGetLocaleVariable("WS_MOVABLEBAR_DESCRIPTION"),
			wsGetLocaleVariable("WS_MOVABLEBAR_TOOLTIP"),
			"Interface\\Icons\\Spell_Holy_BlessedRecovery",
			function()
				ShowUIPanel(wsMovableBarConfigFrame);
			end);
	end
end

function WS_MovableBar_Init()
	if (wsGetWSVar("MovableBar")) then
		WS_MovableBar_Save = wsGetWSVar("MovableBar");
	else
		WS_MovableBar_Save = {};
	end

	local wsRealmName = GetCVar("RealmName"); 
	local wsPlayerName = UnitName("player");

	if (WS_MovableBar_Save == nil) then
		WS_MovableBar_Save = {};
	end
			
	if (WS_MovableBar_Save[wsRealmName] == nil) then
		WS_MovableBar_Save[wsRealmName] = {}
	end
	
	if (WS_MovableBar_Save[wsRealmName][wsPlayerName] == nil) then
		WS_MovableBar_Save[wsRealmName][wsPlayerName] = default_MovableBar;
	end
	
	WS_MovableBar = WS_MovableBar_Save[wsRealmName][wsPlayerName];

	if(not WS_MovableBar.AutoHide) then
		WS_MovableBar.AutoHide = default_MovableBar.AutoHide;
	end
end

function wsMovableBarConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_MOVABLEBAR_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_MOVABLEBAR_HIDE_EMPTY"));

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_MOVABLEBAR_LOCK"));

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	checkButton3:Show();
	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(wsGetLocaleVariable("WS_MOVABLEBAR_HIDE_TAB"));

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	checkButton4:Show();
	local checkButton4Text = getglobal(this:GetName().."CheckButton4Text");
	checkButton4Text:SetText(wsGetLocaleVariable("WS_MOVABLEBAR_AUTOHIDE"));

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (WS_MovableBar.HideEmpty == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	if (WS_MovableBar.Lock == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	if (WS_MovableBar.HideTab == "1") then
		checkButton3:SetChecked(1);
	else
		checkButton3:SetChecked(nil);
	end

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	if (WS_MovableBar.AutoHide == "1") then
		checkButton4:SetChecked(1);
	else
		checkButton4:SetChecked(nil);
	end

	local slider1Text = getglobal(this:GetName().."Slider1Text");
	slider1Text:SetText(wsGetLocaleVariable("WS_MOVABLEBAR_BARS"));
	local slider1 = getglobal(this:GetName().."Slider1");
	slider1:SetMinMaxValues(0, 4);
	slider1:SetValueStep(1);
	slider1:SetValue(WS_MovableBar.Bars);

	local slider2Text = getglobal(this:GetName().."Slider2Text");
	slider2Text:SetText(wsGetLocaleVariable("WS_MOVABLEBAR_BUTTONS"));
	slider2Text:SetTextColor(1.0 , 1.0 , 1.0);
	local slider2 = getglobal(this:GetName().."Slider2");
	slider2:SetMinMaxValues(1, 12);
	slider2:SetValueStep(1);
	slider2:SetValue(WS_MovableBar["Option"][curBarID].Buttons);

	local slider3Text = getglobal(this:GetName().."Slider3Text");
	slider3Text:SetText(wsGetLocaleVariable("WS_MOVABLEBAR_SCALE"));
	slider3Text:SetTextColor(1.0 , 1.0 , 1.0);
	local slider3 = getglobal(this:GetName().."Slider3");
	slider3:SetMinMaxValues(50, 200);
	slider3:SetValueStep(10);
	slider3:SetValue(WS_MovableBar["Option"][curBarID].Scale);

	local slider4Text = getglobal(this:GetName().."Slider4Text");
	slider4Text:SetText(wsGetLocaleVariable("WS_MOVABLEBAR_SCALEBUTTONS"));
	slider4Text:SetTextColor(1.0 , 1.0 , 1.0);
	local slider4 = getglobal(this:GetName().."Slider4");
	slider4:SetMinMaxValues(1, 12);
	slider4:SetValueStep(1);
	slider4:SetValue(WS_MovableBar["Option"][curBarID].ScaleButton);
end

function wsMovableBarConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	local slider1 = getglobal(parent:GetName().."Slider1");
	local slider2 = getglobal(parent:GetName().."Slider2");
	local slider3 = getglobal(parent:GetName().."Slider3");
	local slider4 = getglobal(parent:GetName().."Slider4");

	checkButton1:SetChecked(0);
	checkButton2:SetChecked(0);
	checkButton3:SetChecked(0);
	checkButton4:SetChecked(0);
	slider1:SetValue(1);
	slider2:SetValue(9);
	slider3:SetValue(100);
	slider4:SetValue(12);
end

function wsMovableBarConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	local slider1 = getglobal(parent:GetName().."Slider1");
	local slider2 = getglobal(parent:GetName().."Slider2");
	local slider3 = getglobal(parent:GetName().."Slider3");
	local slider4 = getglobal(parent:GetName().."Slider4");

	if (checkButton1:GetChecked()) then
		WS_MovableBar.HideEmpty = "1";
	else
		WS_MovableBar.HideEmpty = "0";
	end

	if (checkButton2:GetChecked()) then
		WS_MovableBar.Lock = "1";
	else
		WS_MovableBar.Lock = "0";
	end

	if (checkButton3:GetChecked()) then
		WS_MovableBar.HideTab = "1";
	else
		WS_MovableBar.HideTab = "0";
	end

	if (checkButton4:GetChecked()) then
		WS_MovableBar.AutoHide = "1";
		for i = 1, 4 , 1 do
			getglobal("MovableBarFrame"..i):Hide();
		end
	else
		WS_MovableBar.AutoHide = "0";
		ToggleMovableBarNums(WS_MovableBar.Bars);
	end

	WS_MovableBar.Bars = slider1:GetValue();
--	WS_MovableBar["Option"][curBarID].Scale = slider2:GetValue();
--	WS_MovableBar["Option"][curBarID].ScaleButton = slider1:GetValue();

	HideUIPanel(parent);

	-- Save WSVar
	MovableBar_Saveoptions();

	for i = 1, 4, 1 do
		ResetMovableBarButtons(i);
	end

	MovableBar_ToggleTabs(WS_MovableBar.HideTab);

	MovableBar_CheckHide();
end

function MovableBar_CheckHide()
	for i = 1, WS_MovableBar.Bars do
		for j = 1, 12 do
			local button = getglobal("MovableBarFrame"..i.."ActionButton"..j);
			local action = MovableButton_GetPagedID(button);
			if((not HasAction(action) and button.showgrid == 0) or button.wshide ) then
				button:Hide();
			else
				button:Show();
			end
		end
	end
end

function wsMovableBarConfigFrameKeyBindingButton_OnClick()
	wsShowKeyBindingFrame("HEADER_MOVABLEBAR");
end

function MovableBarDropDown_OnShow()
	if (not MovableBarDropDownHasShown) then	
		UIDropDownMenu_Initialize(this, MovableBarDropDown_Initialize);
		UIDropDownMenu_SetWidth(120);
		UIDropDownMenu_SetSelectedID(MovableBarDropDown,1);
		MovableBarDropDownHasShown = 1;
		curBarID = 1;
		MovableBarDropDown_SetBar(1);
--		getglobal("QuickEquipEditBox"):SetText(WS_QuickEquip[curEuipId].name);
	end
end

function MovableBarDropDown_Initialize()
	local info;

	for i = 1 , 4 , 1 do
		info = {};
		info.text = wsGetLocaleVariable("WS_MOVABLEBAR_TITLE")..i;
		info.textR = 1.0;
		info.textG = 1.0;
		info.textB = 1.0;
		if(i == 2) then
			info.textR = 0.5;
			info.textG = 0.5;
		elseif(i == 3) then
			info.textR = 0.3;
			info.textB = 0.3;
		elseif(i == 4) then
			info.textG = 0;
			info.textB = 0;
		end
		info.func = MovableBarDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function MovableBarDropDown_OnClick()
	UIDropDownMenu_SetSelectedID(MovableBarDropDown, this:GetID());
	curBarID = this:GetID();
--	getglobal("QuickEquipEditBox"):SetText(WS_QuickEquip[curEuipId].name);
	MovableBarDropDown_SetBar(this:GetID());
end

function MovableBarDropDown_SetBar(id)
	local slider2 = getglobal("wsMovableBarConfigFrameSlider2");
	local slider3 = getglobal("wsMovableBarConfigFrameSlider3");
	local slider4 = getglobal("wsMovableBarConfigFrameSlider4");
	slider2:SetValue(WS_MovableBar["Option"][id].Buttons);
	slider3:SetValue(WS_MovableBar["Option"][id].Scale);
	slider4:SetValue(WS_MovableBar["Option"][id].ScaleButton);
end

function MovableBar_SliderValueChanged(sliderId)
	if(sliderId == 1) then
		WS_MovableBar.Bars = this:GetValue();
		ToggleMovableBarNums(this:GetValue())
	elseif(sliderId == 2) then
		WS_MovableBar["Option"][curBarID].Buttons = this:GetValue();
		ResetMovableBarButtons(curBarID);
	elseif(sliderId == 3) then
		WS_MovableBar["Option"][curBarID].Scale = this:GetValue();
	elseif(sliderId == 4) then
		WS_MovableBar["Option"][curBarID].ScaleButton = this:GetValue();
	end
	MovableBar_UpdateButtonScale(curBarID);
	MovableBar_Saveoptions();
end

function ToggleMovableBarNums(num)
	for i = 1, 4 , 1 do
		getglobal("MovableBarFrame"..i):Hide();
	end
	if(num ~= 0) then
		for i = 1, num , 1 do
			getglobal("MovableBarFrame"..i):Show();
		end
	end
end

function ResetMovableBarButtons(frame)
	for i = 1, 12 , 1 do
		local button = getglobal("MovableBarFrame"..frame.."ActionButton"..i);
		button:Hide();
		button.wshide = 1;

		if(WS_MovableBar and WS_MovableBar.HideEmpty and WS_MovableBar.HideEmpty == "1") then
			button.showgrid = 0;
		else
			button.showgrid = 1;
		end
	end
	local num = WS_MovableBar["Option"][frame].Buttons;
	if(num ~= 0) then
		for i = 1, num , 1 do
			local button = getglobal("MovableBarFrame"..frame.."ActionButton"..i);
			button:Show();
			button.wshide = nil;
		end
	end	
end

function MovableBar_Saveoptions()
	local wsRealmName = GetCVar("RealmName"); 
	local wsPlayerName = UnitName("player");
	WS_MovableBar_Save[wsRealmName][wsPlayerName] = WS_MovableBar;
	wsSetWSVar("MovableBar", WS_MovableBar_Save);
end

function MovableBar_ToggleTabs(flag)
	if(flag == "1") then
		for i =1 , 4, 1 do
			getglobal("MovableBarFrame"..i.."DragButton"):Hide();
			getglobal("MovableBarFrame"..i.."RightButton"):Hide();
			getglobal("MovableBarFrame"..i.."LeftButton"):Hide();
		end
	else
		for i =1 , 4, 1 do
			getglobal("MovableBarFrame"..i.."DragButton"):Show();
		end
	end
end