UIPanelWindows["wsPartyCastConfigFrame"] =		{ area = "left",	pushable = 1 };

local default_PartyCast = { PartyCast_Enable="1" , 
				Hide_Empty="0" , 
				Hide_Buff = "1" , 
				Lock = "0" , 
--				PartyCast_Notice = "0", 
				Scale = 100,
				};

function wsPartyCastConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsPartyCastConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if (wsGetWSVar("PartyCast")) then
			WS_PartyCast = wsGetWSVar("PartyCast");
		else
			WS_PartyCast = default_PartyCast;
		end

		if(not WS_PartyCast.Scale) then
			WS_PartyCast.Scale = default_PartyCast.Scale;
		end

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"Combat",
		wsGetLocaleVariable("WS_PARTYCAST_TITLE"),
		wsGetLocaleVariable("WS_PARTYCAST_DESCRIPTION"),
		wsGetLocaleVariable("WS_PARTYCAST_TOOLTIP"),
		"Interface\\Icons\\Spell_Holy_HealingAura",
		function()
			ShowUIPanel(wsPartyCastConfigFrame);
		end
	);

		TogglePartyCast(WS_PartyCast.PartyCast_Enable);
		ToggleHideEmpty(WS_PartyCast.Hide_Empty);
		ToggleHideBuff(WS_PartyCast.Hide_Buff);
		PartyCast_SetButtonScale(WS_PartyCast.Scale);
	end
end

function wsPartyCastConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_PARTYCAST_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_PARTYCAST_ENABLE_PARTYCAST"));

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_PARTYCAST_HIDE_EMPTY"));

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	checkButton3:Show();
	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(wsGetLocaleVariable("WS_PARTYCAST_HIDE_BUFF"));

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	checkButton4:Show();
	local checkButton4Text = getglobal(this:GetName().."CheckButton4Text");
	checkButton4Text:SetText(wsGetLocaleVariable("WS_PARTYCAST_LOCK"));

--	local checkButton5 = getglobal(this:GetName().."CheckButton5");
--	checkButton5:Show();
--	local checkButton5Text = getglobal(this:GetName().."CheckButton5Text");
--	checkButton5Text:SetText(wsGetLocaleVariable("WS_PARTYCAST_CASTNOTICE"));

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (WS_PartyCast.PartyCast_Enable == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	if (WS_PartyCast.Hide_Empty == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	if (WS_PartyCast.Hide_Buff == "1") then
		checkButton3:SetChecked(1);
	else
		checkButton3:SetChecked(nil);
	end

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	if (WS_PartyCast.Lock == "1") then
		checkButton4:SetChecked(1);
	else
		checkButton4:SetChecked(nil);
	end

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	if (WS_PartyCast.Lock == "1") then
		checkButton4:SetChecked(1);
	else
		checkButton4:SetChecked(nil);
	end

--	local checkButton5 = getglobal(this:GetName().."CheckButton5");
--	if (WS_PartyCast.PartyCast_Notice == "1") then
--		checkButton5:SetChecked(1);
--	else
--		checkButton5:SetChecked(nil);
--	end

	local slider1Text = getglobal(this:GetName().."Slider1Text");
	slider1Text:SetText(wsGetLocaleVariable("WS_PARTYCAST_SCALE"));
	local slider1 = getglobal(this:GetName().."Slider1");
	slider1:SetMinMaxValues(100, 200);
	slider1:SetValueStep(10);
	slider1:SetValue(WS_PartyCast.Scale);
end

function wsPartyCastConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
--	local checkButton5 = getglobal(parent:GetName().."CheckButton5");

	checkButton1:SetChecked(1);
	checkButton2:SetChecked(0);
	checkButton3:SetChecked(1);
	checkButton4:SetChecked(0);
--	checkButton5:SetChecked(0);


--	wsPastyCastNoticeSpellConfig_OnShow();

	local slider1 = getglobal(parent:GetName().."Slider1");
	slider1:SetValue(100);
end

function wsPartyCastConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
--	local checkButton5 = getglobal(parent:GetName().."CheckButton5");

	local slider1 = getglobal(parent:GetName().."Slider1");

	if (checkButton1:GetChecked()) then
		WS_PartyCast.PartyCast_Enable = "1";
	else
		WS_PartyCast.PartyCast_Enable = "0";
	end

	if (checkButton2:GetChecked()) then
		WS_PartyCast.Hide_Empty = "1";
	else
		WS_PartyCast.Hide_Empty = "0";
	end

	if (checkButton3:GetChecked()) then
		WS_PartyCast.Hide_Buff = "1";
	else
		WS_PartyCast.Hide_Buff = "0";
	end

	if (checkButton4:GetChecked()) then
		WS_PartyCast.Lock = "1";
	else
		WS_PartyCast.Lock = "0";
	end

--	if (checkButton5:GetChecked()) then
--		WS_PartyCast.PartyCast_Notice = "1";
--	else
--		WS_PartyCast.PartyCast_Notice = "0";
--	end

	TogglePartyCast(WS_PartyCast.PartyCast_Enable);
	ToggleHideEmpty(WS_PartyCast.Hide_Empty);
	ToggleHideBuff(WS_PartyCast.Hide_Buff);

	WS_PartyCast.Scale = slider1:GetValue();
	PartyCast_SetButtonScale(WS_PartyCast.Scale);

	HideUIPanel(parent);

--	if(PC_CurSpellCast) then
--		if(not PartyCast_SpellInf) then
--			PartyCast_SpellInf = {};
--		end
--		if( not PartyCast_SpellInf[PC_CurSpellCast]) then
--			PartyCast_SpellInf[PC_CurSpellCast] = {};
--		end
--		PartyCast_SpellInf[PC_CurSpellCast].notice = getglobal("PartyCastText"):GetText();
--	end

	-- Save WSVar
	wsSetWSVar("PartyCast", WS_PartyCast);

end

function PartyCast_SliderValueChanged(id)
	if(id == 1) then
		PartyCast_SetButtonScale(this:GetValue());
		if(WS_PartyCast.Scale) then
			WS_PartyCast.Scale = this:GetValue();
			wsSetWSVar("PartyCast", WS_PartyCast);
		end
	end
end

function PartyCast_SetButtonScale(scale)
	local frame , id;
	for frame = 1 , 4 , 1 do
		for id = 1 , 8 , 1 do
			local button = getglobal("PartyCastFrame"..frame.."Button"..id);
			button:SetScale(scale/100);
		end
	end
end