local original_PartyMemberBuffTooltip_Update;

--local updateTime = 0;

function PartyInfFrame_OnLoad()	
	this:RegisterEvent("PARTY_MEMBERS_CHANGED");
	this:RegisterEvent("PARTY_LEADER_CHANGED");
	this:RegisterEvent("PARTY_MEMBER_ENABLE");
	this:RegisterEvent("PARTY_MEMBER_DISABLE");
	this:RegisterEvent("UNIT_AURA");
	original_PartyMemberBuffTooltip_Update = PartyMemberBuffTooltip_Update;
	PartyMemberBuffTooltip_Update = WS_PartyMemberBuffTooltip_Update;
	original_PartyMemberFrame_RefreshBuffs = PartyMemberFrame_RefreshBuffs;
	PartyMemberFrame_RefreshBuffs = WS_PartyMemberFrame_RefreshBuffs;
end

function WS_PartyMemberFrame_UpdatePet(id)
	if ( not id ) then
		id = this:GetID();
	end
	
	local frameName = "PartyMemberFrame"..id;
	local petFrame = getglobal("PartyMemberFrame"..id.."PetFrame");
	
	if ( UnitIsConnected("party"..id) and UnitExists("partypet"..id) and SHOW_PARTY_PETS == "1" ) then
		petFrame:Show();
		petFrame:SetPoint("TOPLEFT", this:GetName(), "TOPLEFT", 23, -61);
	else
		petFrame:Hide();
		petFrame:SetPoint("TOPLEFT", frameName, "TOPLEFT", 23, -27);
	end
	PartyMemberFrame_RefreshPetBuffs(id);
	UpdatePartyMemberBackground();
end

function PartyInfFrame_OnEvent()
	if(event == "PARTY_MEMBERS_CHANGED") then
		PartyInf_Update(this:GetID());
		return;
	end
	if(event == "PARTY_MEMBER_ENABLE") then
		PartyInf_Update(this:GetID());
		return;
	end
	if(event == "PARTY_MEMBER_DISABLE") then
		PartyInf_Update(this:GetID());
		return;
	end
	if(event == "UNIT_AURA") then
		if("party"..this:GetID() == arg1) then
			PartyInf_Update(this:GetID());
		end
		return;
	end
end

function PartyInfStatus_OnLoad()
	this:RegisterEvent("UNIT_HEALTH");
	this:RegisterEvent("UNIT_MANA");
	this:RegisterEvent("UNIT_RAGE");
	this:RegisterEvent("UNIT_FOCUS");
	this:RegisterEvent("UNIT_ENERGY");
	this:RegisterEvent("UPDATE_SHAPESHIFT_FORMS");
	this:SetFrameLevel(this:GetFrameLevel() +1);
end

function WS_PartyMemberFrame_RefreshBuffs()

end

function WS_PartyMemberBuffTooltip_Update()

end

function PartyInfStatus_OnEvent(event)
	if(event == "UNIT_HEALTH") then
		if(arg1 == "party"..this:GetID()) then
			PartyInfStatus_OnUpdateHP(this:GetID());
		end
		return;
	end
	if(event == "UNIT_MANA") then
		if(arg1 == "party"..this:GetID()) then
			PartyInfStatus_OnUpdateMP(this:GetID());
		end
		return;
	end
	if(event == "UNIT_RAGE") then
		if(arg1 == "party"..this:GetID()) then
			PartyInfStatus_OnUpdateMP(this:GetID());
		end
		return;
	end
	if(event == "UNIT_FOCUS") then
		if(arg1 == "party"..this:GetID()) then
			PartyInfStatus_OnUpdateMP(this:GetID());
		end
		return;
	end
	if(event == "UNIT_ENERGY") then
		if(arg1 == "party"..this:GetID()) then
			PartyInfStatus_OnUpdateMP(this:GetID());
		end
		return;
	end
end

function PartyInfStatus_OnShow(id)
	PartyInfStatus_OnUpdate(id);
end

function PartyInfStatus_OnUpdateHP(id)
	local hp = UnitHealth("Party"..id);
	local maxhp = UnitHealthMax("Party"..id);
--	local mp = UnitMana("Party"..id);
--	local maxmp = UnitManaMax("Party"..id);
	local hpText = "";
--	local mpText = "";
	if(hp and maxhp) then
		hpText = hp.."/"..maxhp;
	end
--	if(mp and maxmp) then
--		mpText = mp.."/"..maxmp;
--	end
	getglobal("PartyInfStatus"..id.."HP"):SetText(hpText);
--	getglobal("PartyInfStatus"..id.."MP"):SetText(mpText);
end

function PartyInf_Update(id)
	if(WS_PartyInf.PartyInf_Buff ~= "1") then
		return;
	end

	local buff, buffButton;
	local numBuffs = 0;
	local numDebuffs = 0;
	local name, rank, icon, debuffType;
	local index = 1;
	if(not id) then
		return;
	end
	
	for i =1 , 4 do
		getglobal("PartyInf"..id.."DebuffAlarmTexture"..i):Hide();
	end

	for i=1, MAX_PARTY_TOOLTIP_BUFFS do
--		if ( isPet ) then
--			buff = UnitBuff("pet", i);		
--		else
			name, rank, icon = UnitBuff("party"..id, i);
--		end
		if ( icon ) then
			getglobal("PartyInf"..id.."Buff"..index.."Icon"):SetTexture(icon);
			getglobal("PartyInf"..id.."Buff"..index.."Overlay"):Hide();
			getglobal("PartyInf"..id.."Buff"..index):Show();
			index = index + 1;
			numBuffs = numBuffs + 1;

		end
	end
	for i=index, MAX_PARTY_TOOLTIP_BUFFS do
		getglobal("PartyInf"..id.."Buff"..i):Hide();
	end

	index = 1;
	for i=1, MAX_PARTY_TOOLTIP_DEBUFFS do
--		if ( isPet ) then
--			buff = UnitDebuff("pet", i);
--		else
			name, rank, icon, _, debuffType = UnitDebuff("party"..id, i);
--		end
		
		if ( icon ) then
			getglobal("PartyInf"..id.."Debuff"..index.."Icon"):SetTexture(icon);
			getglobal("PartyInf"..id.."Debuff"..index.."Overlay"):Hide();
			getglobal("PartyInf"..id.."Debuff"..index):Show();
			index = index + 1;
			numBuffs = numBuffs + 1;
-----------
			if(WS_PartyInf and WS_PartyInf.PartyInf_DebuffType and WS_PartyInf.PartyInf_DebuffType == "1") then
				if(debuffType) then
					for n = 1 , 4 do
						if(debuffType == WS_DEBUFF_TYPE[n]) then
							getglobal("PartyInf"..id.."DebuffAlarmTexture"..n):Show();
						end
					end
				end
			end
-----------
		end
	end
	for i=index, MAX_PARTY_TOOLTIP_DEBUFFS do
		getglobal("PartyInf"..id.."Debuff"..i):Hide();
	end

	-- Size the tooltip
	local rows = ceil(numBuffs / 8) + ceil(numDebuffs / 8);
	local columns = min(8, max(numBuffs, numDebuffs));
	if ( (rows > 0) and (columns > 0) ) then
--		getglobal("PartyInf"..id):SetWidth( (columns * 17) + 15 );
--		getglobal("PartyInf"..id):SetHeight( (rows * 17) + 15 );
		getglobal("PartyInf"..id):Show();
	else
		getglobal("PartyInf"..id):Hide();
	end
end

function PartyInfStatus_OnUpdateMP(id)
--	local hp = UnitHealth("Party"..id);
--	local maxhp = UnitHealthMax("Party"..id);
	local mp = UnitMana("Party"..id);
	local maxmp = UnitManaMax("Party"..id);
--	local hpText = "";
	local mpText = "";
--	if(hp and maxhp) then
--		hpText = hp.."/"..maxhp;
--	end
	if(mp and maxmp) then
		mpText = mp.."/"..maxmp;
	end
--	getglobal("PartyInfStatus"..id.."HP"):SetText(hpText);
	getglobal("PartyInfStatus"..id.."MP"):SetText(mpText);
end

function TogglePartyStatus(flag1 , flag2)
	if(flag1 ~= "1" and flag2 ~= "1") then
		for i =1 , 4 , 1 do
			getglobal("PartyInfStatus"..i):Hide();
		end
	elseif(flag1 == "1" and flag2 ~= "1") then
		for i =1 , 4 , 1 do
			getglobal("PartyInfStatus"..i.."BG"):Show();
			getglobal("PartyInfStatus"..i):SetPoint("LEFT" , "PartyMemberFrame"..i , "RIGHT");
			getglobal("PartyInfStatus"..i):Show();
		end
		if(WS_PartyCast and WS_PartyCast.PartyCast_Enable and WS_PartyCast.PartyCast_Enable == "1") then
			for frameId =1 , MAX_PARTYCASTFRAME do
				getglobal("PartyCastFrame"..frameId):SetPoint("LEFT" , "PartyMemberFrame"..frameId , "RIGHT" , 60 , 6);
			end
		end
	elseif(flag1 ~= "1" and flag2 == "1") then
		for i =1 , 4 , 1 do
			getglobal("PartyInfStatus"..i.."BG"):Hide();
			getglobal("PartyInfStatus"..i):SetPoint("LEFT" , "PartyMemberFrame"..i , "RIGHT" , -66 , 0);
			getglobal("PartyInfStatus"..i):Show();
		end
		if(WS_PartyCast and WS_PartyCast.PartyCast_Enable and WS_PartyCast.PartyCast_Enable == "1") then
			for frameId =1 , MAX_PARTYCASTFRAME do
				getglobal("PartyCastFrame"..frameId):SetPoint("LEFT" , "PartyMemberFrame"..frameId , "RIGHT" , -6 , 6);
			end
		end
	end
end

function TogglePartyBuff(flag)
	if(flag ~= "1") then
		for i =1 , 4 , 1 do
			getglobal("PartyInf"..i):Hide();
		end
		if(original_PartyMemberFrame_UpdatePet) then
			PartyMemberFrame_UpdatePet = original_PartyMemberFrame_UpdatePet;
			original_PartyMemberFrame_UpdatePet = nil;
		end
	else
		if(not original_PartyMemberFrame_UpdatePet) then
			original_PartyMemberFrame_UpdatePet = PartyMemberFrame_UpdatePet;
			PartyMemberFrame_UpdatePet = WS_PartyMemberFrame_UpdatePet;
		end
	end
end	