UIPanelWindows["wsPartyInfConfigFrame"] =		{ area = "left",	pushable = 1 };

local default_PartyInf = {	PartyInf_Status_Mod1="1" , 
				PartyInf_Status_Mod2="0" , 
				PartyInf_Buff = "1" , 
				PartyQuest_Enable = "1" , 
				PartyInf_DebuffType = "1" , 
				AutoJoinChannel = "1",
				PartyClass = "1",
				PartyTarPoint_Toggle = true;
				};

local wsFirstJoinChannel = nil;

function wsPartyInfConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
	this:RegisterEvent("CHAT_MSG_CHANNEL_NOTICE");
end

function wsPartyInfConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if (wsGetWSVar("PartyInf")) then
			WS_PartyInf = wsGetWSVar("PartyInf");
		else
			WS_PartyInf = default_PartyInf;
		end

		if(WS_PartyInf and not WS_PartyInf.AutoJoinChannel) then
			WS_PartyInf.AutoJoinChannel = "1";
		end

		wsRegisterButton(
			WS_CONFIG_SEC_1,
			"UserIn",
			wsGetLocaleVariable("WS_PARTYINF_TITLE"),
			wsGetLocaleVariable("WS_PARTYINF_DESCRIPTION"),
			wsGetLocaleVariable("WS_PARTYINF_TOOLTIP"),
			"Interface\\Icons\\Spell_Holy_PrayerOfHealing",
			function()
				ShowUIPanel(wsPartyInfConfigFrame);
			end
		);
		
		TogglePartyStatus(WS_PartyInf.PartyInf_Status_Mod1 , WS_PartyInf.PartyInf_Status_Mod2);
		TogglePartyBuff(WS_PartyInf.PartyInf_Buff);
		TogglePartyQuest(WS_PartyInf.PartyQuest_Enable);
		TogglePartyDebuffType(WS_PartyInf.PartyInf_DebuffType);
		TogglePartyClass(WS_PartyInf.PartyClass);
		TogglePartyTarget(WS_PartyInf.PartyTarPoint_Toggle);
		return;
	end
	if(event == "CHAT_MSG_CHANNEL_NOTICE") then
		if(not wsFirstJoinChannel and WS_PartyInf and WS_PartyInf.AutoJoinChannel and WS_PartyInf.AutoJoinChannel == "1") then
			if ( not RealPartyIsFull() ) then
				SetLFGType(3 , 5);
				SetLookingForGroup(3,5,1);
				wsFirstJoinChannel = 1;
			end			
		end
	end
end

function wsPartyInfConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_PARTYINF_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_PARTYINF_ENABLE_STATUS_MOD1"));

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_PARTYINF_ENABLE_STATUS_MOD2"));

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	checkButton3:Show();
	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(wsGetLocaleVariable("WS_PARTYINF_ENABLE_BUFF"));

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	checkButton4:Show();
	local checkButton4Text = getglobal(this:GetName().."CheckButton4Text");
	checkButton4Text:SetText(wsGetLocaleVariable("WS_PARTYINF_ENABLE_PartyQuest"));

	local checkButton5 = getglobal(this:GetName().."CheckButton5");
	checkButton5:Show();
	local checkButton5Text = getglobal(this:GetName().."CheckButton5Text");
	checkButton5Text:SetText(wsGetLocaleVariable("WS_PARTYINF_ENABLE_DEBUFFICON"));

	local checkButton6 = getglobal(this:GetName().."CheckButton6");
	checkButton6:Show();
	local checkButton6Text = getglobal(this:GetName().."CheckButton6Text");
	checkButton6Text:SetText(wsGetLocaleVariable("WS_PARTYINF_ENABLE_AUTOJOINCHANNEL"));

	--new
	local checkButton7 = getglobal(this:GetName().."CheckButton7");
	checkButton7:Show();
	local checkButton7Text = getglobal(this:GetName().."CheckButton7Text");
	checkButton7Text:SetText(wsGetLocaleVariable("WS_PARTYINF_ENABLE_PARTYCLASS"));


	local checkButton8 = getglobal(this:GetName().."CheckButton8");
	checkButton8:Show();
	local checkButton8Text = getglobal(this:GetName().."CheckButton8Text");
	checkButton8Text:SetText(wsGetLocaleVariable("WS_PARTYINF_ENABLE_PARTYTARGET"));



	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (WS_PartyInf.PartyInf_Status_Mod1 == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	if (WS_PartyInf.PartyInf_Status_Mod2 == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	if (WS_PartyInf.PartyInf_Buff == "1") then
		checkButton3:SetChecked(1);
	else
		checkButton3:SetChecked(nil);
	end

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	if (WS_PartyInf.PartyQuest_Enable == "1") then
		checkButton4:SetChecked(1);
	else
		checkButton4:SetChecked(nil);
	end

	local checkButton5 = getglobal(this:GetName().."CheckButton5");
	if (WS_PartyInf.PartyInf_DebuffType == "1") then
		checkButton5:SetChecked(1);
	else
		checkButton5:SetChecked(nil);
	end

	local checkButton6 = getglobal(this:GetName().."CheckButton6");
	if (WS_PartyInf.AutoJoinChannel == "1") then
		checkButton6:SetChecked(1);
	else
		checkButton6:SetChecked(nil);
	end

	local checkButton7 = getglobal(this:GetName().."CheckButton7");
	if (WS_PartyInf.PartyClass == "1") then
		checkButton7:SetChecked(1);
	else
		checkButton7:SetChecked(nil);
	end

	local checkButton8 = getglobal(this:GetName().."CheckButton8");
	if (WS_PartyInf.PartyTarPoint_Toggle) then
		checkButton8:SetChecked(1);
	else
		checkButton8:SetChecked(nil);
	end
end

function wsPartyInfConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	local checkButton5 = getglobal(parent:GetName().."CheckButton5");
	local checkButton6 = getglobal(parent:GetName().."CheckButton6");
	local checkButton7 = getglobal(parent:GetName().."CheckButton7");
	local checkButton8 = getglobal(parent:GetName().."CheckButton8");


	checkButton1:SetChecked(1);
	checkButton2:SetChecked(0);
	checkButton3:SetChecked(1);
	checkButton4:SetChecked(1);
	checkButton5:SetChecked(1);
	checkButton6:SetChecked(1);
	checkButton7:SetChecked(1);
	checkButton8:SetChecked(0);
end

function wsPartyInfConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	local checkButton5 = getglobal(parent:GetName().."CheckButton5");
	local checkButton6 = getglobal(parent:GetName().."CheckButton6");
	local checkButton7 = getglobal(parent:GetName().."CheckButton7");
	local checkButton8 = getglobal(parent:GetName().."CheckButton8");

	if (checkButton1:GetChecked()) then
		WS_PartyInf.PartyInf_Status_Mod1 = "1";
	else
		WS_PartyInf.PartyInf_Status_Mod1 = "0";
	end

	if (checkButton2:GetChecked()) then
		WS_PartyInf.PartyInf_Status_Mod2 = "1";
	else
		WS_PartyInf.PartyInf_Status_Mod2 = "0";
	end

	if (checkButton3:GetChecked()) then
		WS_PartyInf.PartyInf_Buff = "1";
	else
		WS_PartyInf.PartyInf_Buff = "0";
	end

	if (checkButton4:GetChecked()) then
		WS_PartyInf.PartyQuest_Enable = "1";
	else
		WS_PartyInf.PartyQuest_Enable = "0";
	end

	if (checkButton5:GetChecked()) then
		WS_PartyInf.PartyInf_DebuffType = "1";
	else
		WS_PartyInf.PartyInf_DebuffType = "0";
	end

	if (checkButton6:GetChecked()) then
		WS_PartyInf.AutoJoinChannel = "1";
	else
		WS_PartyInf.AutoJoinChannel = "0";
	end

	if (checkButton7:GetChecked()) then
		WS_PartyInf.PartyClass = "1";
	else
		WS_PartyInf.PartyClass = "0";
	end

	if (checkButton8:GetChecked()) then
		WS_PartyInf.PartyTarPoint_Toggle = true;
	else
		WS_PartyInf.PartyTarPoint_Toggle = false;
	end

	TogglePartyStatus(WS_PartyInf.PartyInf_Status_Mod1 , WS_PartyInf.PartyInf_Status_Mod2);
	TogglePartyBuff(WS_PartyInf.PartyInf_Buff);
	TogglePartyQuest(WS_PartyInf.PartyQuest_Enable);
	TogglePartyDebuffType(WS_PartyInf.PartyInf_DebuffType);
	TogglePartyClass(WS_PartyInf.PartyClass)
	TogglePartyTarget(WS_PartyInf.PartyTarPoint_Toggle);

	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("PartyInf", WS_PartyInf);

end

function wsPartyInfConfigFrameCheckButton_OnClick(id)
	local parent = this:GetParent();
	local checkButton = getglobal(parent:GetName().."CheckButton"..id);
	if(id == 1 and this:GetChecked()) then
		local nextCheckButton = getglobal(parent:GetName().."CheckButton"..(id+1));
		if(nextCheckButton:GetChecked()) then
			nextCheckButton:SetChecked(0);
		end
	end
	if(id == 2 and this:GetChecked()) then
		local lastCheckButton = getglobal(parent:GetName().."CheckButton"..(id-1));
		if(lastCheckButton:GetChecked()) then
			lastCheckButton:SetChecked(0);
		end
	end

	if ( this:GetChecked() ) then
		PlaySound("igMainMenuOptionCheckBoxOff");
	else
		PlaySound("igMainMenuOptionCheckBoxOn");
	end
end

function TogglePartyDebuffType(flag)
	if(flag == "1") then
		for i = 1 , 4 do
			PartyInf_Update(i);
		end
	else
		for i = 1, 4 do
			for id = 1 , 4 do
				getglobal("PartyInf"..id.."DebuffAlarmTexture"..i):Hide();
			end
		end
	end
end




