
function PetBarFrame_OnLoad()
	this:RegisterEvent("UNIT_HEALTH");
	this:RegisterEvent("UNIT_MANA");
	this:RegisterEvent("UNIT_RAGE");
	this:RegisterEvent("UNIT_FOCUS");
	this:RegisterEvent("UNIT_ENERGY");
	this:RegisterEvent("PLAYER_PET_CHANGED");
	this:RegisterEvent("PLAYER_ENTERING_WORLD");
--	this:RegisterEvent("UNIT_AURA");
end

function PetBarFrame_OnEvent(event)
	if(WS_PlayerBar.PetBar_Enable ~= "1") then
		return;
	end

	if ( event == "PLAYER_ENTERING_WORLD" ) then
		PetBar_HealthUpdate();
		PetBar_ManaUpdate();
		PetBar_Update();
		return;
	end

	if( event == "UNIT_HEALTH" ) then
		if(arg1 == "pet") then
			PetBar_HealthUpdate();
		end
		return;
	end

	if( event == "UNIT_MANA" or event == "UNIT_RAGE" or event == "UNIT_FOCUS" or event == "UNIT_ENERGY" or event == "UPDATE_SHAPESHIFT_FORMS") then
		if(arg1 == "pet") then
			PetBar_ManaUpdate();
		end
		return;
	end

	if ( event == "PLAYER_PET_CHANGED" ) then
		PetBar_HealthUpdate();
		PetBar_ManaUpdate();
		PetBar_Update();
		return;
	end
end

function PetBar_Update()
	local texture = getglobal("PetBarFrameTexture");
	if ( UnitManaMax("pet") == 0 ) then
		texture:SetTexture("Interface\\AddOns\\WSRez\\PetBar-NoMana");
	else
		texture:SetTexture("Interface\\AddOns\\WSRez\\PetBar");
	end
end

function PetBar_HealthUpdate()
	local hp = UnitHealth("pet");
	local maxhp = UnitHealthMax("pet");
	local hpText = "";
	if(hp and maxhp) then
		hpText = hp.."/"..maxhp;
	end
	getglobal("PetBarFrameHP"):SetText(hpText);
end

function PetBar_ManaUpdate()
	local mp = UnitMana("pet");
	local maxmp = UnitManaMax("pet");
	local mpText = "";
	if(maxmp == 0) then
		getglobal("PetBarFrameMP"):SetText(mpText);
		return;
	end
	if(mp and maxmp) then
		mpText = mp.."/"..maxmp;
	end
	getglobal("PetBarFrameMP"):SetText(mpText);
end

function TogglePetBar(flag)
	if(flag == "1") then
		getglobal("PetFrameHappiness"):SetPoint("LEFT","PetFrame","RIGHT", 44, -4);
		getglobal("PetBarFrame"):Show();
	else
		getglobal("PetFrameHappiness"):SetPoint("LEFT","PetFrame","RIGHT", -7, -4);
		getglobal("PetBarFrame"):Hide();
	end
end