
local original_ReputationFrame_Update = nil;

PlayerBar_ColorPlayerHealth = 1;

Units = { };
Units[1] = 36000; -- Hated
Units[2] = 3000; -- Hostile
Units[3] = 3000; -- Unfriendly
Units[4] = 3000; -- Neutral
Units[5] = 6000; -- Friendly
Units[6] = 12000; -- Honored
Units[7] = 21000; -- Revered
Units[8] = 1000; -- Exalted

-- ** PLAYER FRAME FUNCTIONS ** --

function PlayerBarFrame_OnLoad ()
	-- Health and mana registrations
	this:RegisterEvent("UNIT_HEALTH");
	this:RegisterEvent("UNIT_MANA");
	this:RegisterEvent("UNIT_RAGE");
	this:RegisterEvent("UNIT_FOCUS");
	this:RegisterEvent("UNIT_ENERGY");
	-- If a druid shapeshifts, the bar changes from rage/mana/energy/etc
	this:RegisterEvent("UPDATE_SHAPESHIFT_FORMS");
	-- Experience registrations
	this:RegisterEvent("PLAYER_XP_UPDATE");
	this:RegisterEvent("UPDATE_EXHAUSTION");
	this:RegisterEvent("PLAYER_LEVEL_UP");
	-- Register for variable loading to run our configuration registrations
	this:RegisterEvent("VARIABLES_LOADED");
	-- Combat events for coloring the player name
--	this:RegisterEvent("PLAYER_ENTER_COMBAT");
--	this:RegisterEvent("PLAYER_LEAVE_COMBAT");
	--
	this:RegisterEvent("PLAYER_ENTERING_WORLD");
end

function PlayerBarFrame_OnEvent (event)
	if ( event == "PLAYER_ENTERING_WORLD" ) then
		PlayerBar_HealthUpdate();
		PlayerBar_ManaUpdate();
		PlayerBar_ExpUpdate();
		return;
	end

	if(event == "PLAYER_XP_UPDATE" or event == "UPDATE_EXHAUSTION" or event == "PLAYER_LEVEL_UP" or event == "PLAYER_ENTERING_WORLD") then
		PlayerBar_ExpUpdate();
		return;
	end

	if( event == "UNIT_HEALTH" ) then
		if(arg1 == "player") then
			PlayerBar_HealthUpdate();
		end
		return;
	end

	if( event == "UNIT_MANA" or event == "UNIT_RAGE" or event == "UNIT_FOCUS" or event == "UNIT_ENERGY" or event == "UPDATE_SHAPESHIFT_FORMS") then
		if(arg1 == "player") then
			PlayerBar_ManaUpdate();
		end
		return;
	end

--	if (event == "PLAYER_ENTER_COMBAT") then
--		PlayerBar_UpdateAttackState();
--		return;
--	end

--	if (event == "PLAYER_LEAVE_COMBAT") then
--		PlayerBar_UpdateAttackState();
--		return;
--	end
end

--function PlayerBar_UpdateAttackState ()
--	local playerFrame = getglobal("PlayerFrame");
--	if (playerFrame.OnHateList or playerFrame.inCombat) then
--		PlayerName:SetTextColor(1, 0, 0);
--	else
--		PlayerName:SetTextColor(NORMAL_FONT_COLOR.r, NORMAL_FONT_COLOR.g, NORMAL_FONT_COLOR.b);
--	end
--end

function PlayerBar_HealthUpdate()
	local HP = UnitHealth("Player");
	local maxHP = UnitHealthMax("Player");
	local healthText = getglobal("PlayerBar_HealthText");
	local healthPercentText = getglobal("PlayerBar_HealthPercent");
	if( not HP or not maxHP) then
		healthText:SetText("");
	else
		local health = HP.."/"..maxHP;
		healthText:SetText(health);
	end

	if( tonumber(HP) == 0 or tonumber(HP) == nil ) then
		-- This can happen if you are dead
		healthPercentText:SetText("0%");
		return;
	end
	if(tonumber(maxHP) == 0 or tonumber(maxHP) == nil) then
		-- This REALLY should be impossible
		healthPercentText:SetText("");
		return;
	end
	local percent = (tonumber(HP) / tonumber(maxHP)) * 100;
	healthPercentText:SetText(ceil(percent) .. "%");

	if (PlayerBar_ColorPlayerHealth == 1) then
		if ((percent <= 100) and (percent > 75)) then
			healthPercentText:SetTextColor(0, 1, 0);
--			healthText:SetTextColor(0, 1, 0);
		elseif ((percent <= 75) and (percent > 50)) then
			healthPercentText:SetTextColor(1, 1, 0);
--			healthText:SetTextColor(1, 1, 0);
		elseif ((percent <= 50) and (percent > 25)) then
			healthPercentText:SetTextColor(1, 0.5, 0);
--			health:SetTextColor(1, 0.5, 0);
		else
			healthPercentText:SetTextColor(1, 0, 0);
--			healthText:SetTextColor(1, 0, 0);
		end
	else
		healthPercentText:SetTextColor(NORMAL_FONT_COLOR.r, NORMAL_FONT_COLOR.g, NORMAL_FONT_COLOR.b);
--		healthText:SetTextColor(NORMAL_FONT_COLOR.r, NORMAL_FONT_COLOR.g, NORMAL_FONT_COLOR.b);
	end
end

function PlayerBar_ManaUpdate()
	local MP = UnitMana("Player");
	local maxMP = UnitManaMax("Player");
	local manaText = getglobal("PlayerBar_ManaText");
	if( not MP or not maxMP ) then
		manaText:SetText("");
	else
		local mana = MP.."/"..maxMP;
		manaText:SetText(mana);
	end
end

function PlayerBar_ExpUpdate()
	local currXP = UnitXP("player");
	local nextXP = UnitXPMax("player");
	local restXP = GetXPExhaustion();
	local XpText = getglobal("PlayerBar_ExpAmount");
	local xpBar = getglobal("PlayerBar_ExpBar");

	xpBar:SetMinMaxValues(min(0, currXP), nextXP);
	
	if(UnitLevel("player") == 70) then
		XpText:SetText("");
		xpBar:SetValue(0);
		return;
	end

	if(restXP == nil) then
		local str = format("%s / %s", currXP, nextXP);
		XpText:SetText(str);
	else
		-- Divide the rested # in half because
		-- (a) that's the exp you really end up getting
		-- (b) it isn't such an absurdly huge number taking up a lot of space on the UI.

		local str = format("%s/%s (+%s)", currXP, nextXP, (tonumber(restXP) / 2));
		XpText:SetText(str);
	end

	xpBar:SetValue(currXP);
	return;
end

function TogglePlayerBar(flag)
	if(flag == "1") then
		getglobal("PlayerBarFrame"):Show();
		getglobal("TargetFrame"):SetPoint("TOPLEFT","UIParent","TOPLEFT",292,-4);
		getglobal("PetFrame"):SetPoint("TOPLEFT","PlayerFrame","TOPLEFT",72,-72);
		getglobal("PetName"):SetPoint("BOTTOMLEFT","PetFrame","BOTTOMLEFT",50,31);
	else
		getglobal("PlayerBarFrame"):Hide();
		getglobal("TargetFrame"):SetPoint("TOPLEFT","UIParent","TOPLEFT",250,-4);
		getglobal("PetFrame"):SetPoint("TOPLEFT","PlayerFrame","TOPLEFT",80,-60);
		getglobal("PetName"):SetPoint("BOTTOMLEFT","PetFrame","BOTTOMLEFT",50,33);
	end
end