UIPanelWindows["wsPlayerBarConfigFrame"] =		{ area = "left",	pushable = 1 };

local default_PlayerBar = { PlayerBar_Enable = "1",
					PetBar_Enable = "1",
					ShiftMove = "1",
					};

function wsPlayerBarConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsPlayerBarConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if (wsGetWSVar("PlayerBar")) then
			WS_PlayerBar = wsGetWSVar("PlayerBar");
		else
			WS_PlayerBar = default_PlayerBar;
		end
--new add
		if(not WS_PlayerBar.ShiftMove) then
			WS_PlayerBar.ShiftMove = default_PlayerBar.ShiftMove;
		end

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"UserIn",
		wsGetLocaleVariable("WS_PLAYERBAR_TITLE"),
		wsGetLocaleVariable("WS_PLAYERBAR_DESCRIPTION"),
		wsGetLocaleVariable("WS_PLAYERBAR_TOOLTIP"),
		"Interface\\Icons\\INV_Misc_Head_Dragon_01",
		function()
			ShowUIPanel(wsPlayerBarConfigFrame);
		end
	);

		TogglePlayerBar(WS_PlayerBar.PlayerBar_Enable);
		TogglePetBar(WS_PlayerBar.PetBar_Enable);
	end

		getglobal("PlayerFrame"):RegisterForDrag("RightButton");
		getglobal("PlayerFrame"):SetScript("OnDragStart" , WS_UIDIYConfig_OnDragStart);
		getglobal("PlayerFrame"):SetScript("OnDragStop" , WS_UIDIYConfig_OnDragStop);

		getglobal("TargetFrame"):RegisterForDrag("RightButton");
--		getglobal("TargetFrame"):SetScript("OnHide" , WS_UIDIYConfigTargetFrame_OnHide);
		getglobal("TargetFrame"):SetScript("OnDragStart" , WS_UIDIYConfig_OnDragStart);
		getglobal("TargetFrame"):SetScript("OnDragStop" , WS_UIDIYConfig_OnDragStop);

		hooksecurefunc("TargetFrame_OnHide", WS_UIDIYConfigTargetFrame_OnHide)
end

function WS_UIDIYConfig_OnDragStart()
	if(IsShiftKeyDown() and WS_PlayerBar and WS_PlayerBar.ShiftMove == "1") then
		this:StartMoving();
	end
end

function WS_UIDIYConfigTargetFrame_OnHide()
	this:StopMovingOrSizing();
end

function WS_UIDIYConfig_OnDragStop()
	this:StopMovingOrSizing()
end

function wsPlayerBarConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_PLAYERBAR_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_PLAYERBAR_ENABLE_PLAYERBAR"));

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_PLAYERBAR_ENABLE_PETBAR"));

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	checkButton3:Show();
	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(wsGetLocaleVariable("WS_PLAYERBAR_SHOW_DRAGMOVE"));

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (WS_PlayerBar.PlayerBar_Enable == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	if (WS_PlayerBar.PetBar_Enable == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	if (WS_PlayerBar.ShiftMove == "1") then
		checkButton3:SetChecked(1);
	else
		checkButton3:SetChecked(nil);
	end
end

function wsPlayerBarConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");

	checkButton1:SetChecked(1);
	checkButton2:SetChecked(1);
	checkButton3:SetChecked(1);
end

function wsPlayerBarConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");

	if (checkButton1:GetChecked()) then
		WS_PlayerBar.PlayerBar_Enable = "1";
	else
		WS_PlayerBar.PlayerBar_Enable = "0";
	end

	if (checkButton2:GetChecked()) then
		WS_PlayerBar.PetBar_Enable = "1";
	else
		WS_PlayerBar.PetBar_Enable = "0";
	end

	if (checkButton3:GetChecked()) then
		WS_PlayerBar.ShiftMove = "1";
	else
		WS_PlayerBar.ShiftMove = "0";
	end

	TogglePlayerBar(WS_PlayerBar.PlayerBar_Enable);
	TogglePetBar(WS_PlayerBar.PetBar_Enable);
--	ToggleReputation(WS_PlayerBar.Show_Reputation);

	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("PlayerBar", WS_PlayerBar);

end