UIPanelWindows["wsPopBarConfigFrame"] =		{ area = "left",	pushable = 1 };

default_wsPopBar = {
	Enable = "1",
--	SecBar = "1",
--	FreeBar = "1",
	HideEmpty = "1",
	Lock = "0",
	Artwork = "0",
--	HideKeys = "0",
--	HideKeyMod = "0",
--	AutoHide = "1",
	StartPage = 5,
	Rows = 1,
--	ShowRows = 1,
};

function wsPopBarConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsPopBarConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		local wsVar = wsGetWSVar("PopBar");
		if (wsVar) then
			wsPopBar = wsVar;
		end

		if(not wsPopBar) then
			wsPopBar = default_wsPopBar;
		end

		if(not wsPopBar.Artwork) then
			wsPopBar.Artwork = default_wsPopBar.Artwork;
		end

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"UserIn",
		wsGetLocaleVariable("WS_POPBAR_TITLE"),
		wsGetLocaleVariable("WS_POPBAR_DESCRIPTION"),
		wsGetLocaleVariable("WS_POPBAR_TOOLTIP"),
		"Interface\\Icons\\INV_Gauntlets_04",
		function()
			ShowUIPanel(wsPopBarConfigFrame);
		end);

		if (wsPopBar.Enable == "1") then
			wsPopBarFrame_Toggle(1);
		else
			wsPopBarFrame_Toggle(nil);
		end

		wsToggleArtwork(wsPopBar.Artwork);
	end
end

function wsPopBarConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_POPBAR_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_POPBAR_ENABLE_POP_BAR"));

	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_POPBAR_HIDE_EMPTY"));

	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(wsGetLocaleVariable("WS_POPBAR_LOCK"));

	local checkButton4Text = getglobal(this:GetName().."CheckButton4Text");
	checkButton4Text:SetText(wsGetLocaleVariable("WS_POPBAR_REMOVE_ARTWORK"));

	local slider1Text = getglobal(this:GetName().."Slider1Text");
	slider1Text:SetText(wsGetLocaleVariable("WS_POPBAR_START_PAGE_NUMBER"));

	local slider2Text = getglobal(this:GetName().."Slider2Text");
	slider2Text:SetText(wsGetLocaleVariable("WS_POPBAR_NUMBER_OF_ROWS"));

--	local slider3Text = getglobal(this:GetName().."Slider3Text");
--	slider3Text:SetText(wsGetLocaleVariable("WS_POPBAR_ALWAYS_SHOWN_ROWS"));

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (wsPopBar.Enable == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	if (wsPopBar.HideEmpty == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	if (wsPopBar.Lock == "1") then
		checkButton3:SetChecked(1);
	else
		checkButton3:SetChecked(nil);
	end

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	if (wsPopBar.Artwork == "1") then
		checkButton4:SetChecked(1);
	else
		checkButton4:SetChecked(nil);
	end

	local slider1 = getglobal(this:GetName().."Slider1");
	slider1:SetMinMaxValues(1, 10)
	slider1:SetValueStep(1);
	slider1:SetValue(wsPopBar.StartPage);
	local slider2 = getglobal(this:GetName().."Slider2");
	slider2:SetMinMaxValues(1, 7)
	slider2:SetValueStep(1);
	slider2:SetValue(wsPopBar.Rows);
--	local slider3 = getglobal(this:GetName().."Slider3");
--	slider3:SetMinMaxValues(1, 7)
--	slider3:SetValueStep(1);
--	slider3:SetValue(wsPopBar.ShowRows);
end

function wsPopBarConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	checkButton1:SetChecked(1);
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	checkButton2:SetChecked(1);
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	checkButton3:SetChecked(0);
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	checkButton4:SetChecked(0);

	local slider1 = getglobal(parent:GetName().."Slider1");
	slider1:SetValue(5);
	local slider2 = getglobal(parent:GetName().."Slider2");
	slider2:SetValue(1);
--	local slider3 = getglobal(parent:GetName().."Slider3");
--	slider3:SetValue(1);
end

function wsPopBarConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	if (checkButton1:GetChecked()) then
		wsPopBar.Enable = "1";
	else
		wsPopBar.Enable = "0";
	end
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	if (checkButton2:GetChecked()) then
		wsPopBar.HideEmpty = "1";
	else
		wsPopBar.HideEmpty = "0";
	end
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	if (checkButton3:GetChecked()) then
		wsPopBar.Lock = "1";
	else
		wsPopBar.Lock = "0";
	end
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	if (checkButton4:GetChecked()) then
		wsPopBar.Artwork = "1";
	else
		wsPopBar.Artwork = "0";
	end
	local slider1 = getglobal(parent:GetName().."Slider1");
	wsPopBar.StartPage = slider1:GetValue();
	local slider2 = getglobal(parent:GetName().."Slider2");
	wsPopBar.Rows = slider2:GetValue();
--	local slider3 = getglobal(parent:GetName().."Slider3");
--	wsPopBar.ShowRows = slider3:GetValue();
--	if (wsPopBar.ShowRows > wsPopBar.Rows) then
--		wsPopBar.ShowRows = wsPopBar.Rows;
--	end
	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("PopBar", wsPopBar);

	if (wsPopBar.Enable == "1") then
		wsPopBarFrame_Toggle(1);
	else
		wsPopBarFrame_Toggle(nil);
	end

	wsToggleArtwork(wsPopBar.Artwork);
end

function wsPopBarConfigFrameKeyBindingButton_OnClick()
	wsShowKeyBindingFrame("HEADER_POPBAR");
end

function wsToggleArtwork(flag)
	local leftSmallDragon = getglobal("MainMenuBarLeftEndCap");
	local rightSmallDragon = getglobal("MainMenuBarRightEndCap");
	if(flag == "1") then
		if (leftSmallDragon) then
			leftSmallDragon:Hide();
		end
		if (rightSmallDragon) then
			rightSmallDragon:Hide();
		end
	else
		if (leftSmallDragon) then
			leftSmallDragon:Show();
		end
		if (rightSmallDragon) then
			rightSmallDragon:Show();
		end
	end
end