local _G = getfenv(0)

local function GetButton(i)
	local button = _G["QuestWatchLine"..i.."SearchButton"]
	
	if button then return button end
	
	button = CreateFrame("Button","QuestWatchLine"..i.."SearchButton",QuestWatchFrame)
	
	button:SetID(i)
	button:SetAlpha(0.6)
	button:RegisterForClicks("AnyUp")
	button:SetWidth(20) button:SetHeight(20)
	button:SetPoint("RIGHT","QuestWatchLine"..i,"LEFT")
	
	button:SetNormalTexture("Interface\\TutorialFrame\\TutorialFrame-QuestionMark")
	button:SetPushedTexture("Interface\\TutorialFrame\\TutorialFrame-QuestionMark")
	button:GetPushedTexture():SetWidth(20)
	button:GetPushedTexture():SetHeight(20)
	button:GetPushedTexture():ClearAllPoints()
	button:GetPushedTexture():SetPoint("CENTER",2,-2)
	
	button:SetScript("OnClick", function()
		ShowUIPanel(QuestLogFrame)
		QuestLog_SetSelection(this.questIndex)
		QuestLog_Update()
		if this.questObjID then
			QuestLibrary_QLObjectButton_OnClick(arg1, this.questObjID)
		else
			QuestLibrary_QLACQueryButton_OnClick()
		end
	end)
	button:SetScript("OnEnter", function() this:SetAlpha(1) end)
	button:SetScript("OnLeave", function() this:SetAlpha(0.6) end)
	
	return button
end
local function SetQuestTitle(index, questIndex)
	GetButton(index).questIndex = questIndex
	GetButton(index).questObjID = nil
	GetButton(index):Show()
end
local function SetQuestText(index, questIndex, questObjID)
	GetButton(index).questIndex = questIndex
	GetButton(index).questObjID = questObjID
	GetButton(index):Show()
end

hooksecurefunc("QuestWatch_Update", function()
	if not QuestWatchFrame:IsShown() then return end
	
	local numObjectives
	local watchTextIndex = 1
	local questIndex
	
	for i=1, GetNumQuestWatches() do
		questIndex = GetQuestIndexForWatch(i)
		if ( questIndex ) then
			numObjectives = GetNumQuestLeaderBoards(questIndex)
			if numObjectives > 0 then
				-- Set title
				SetQuestTitle(watchTextIndex, questIndex)
				watchTextIndex = watchTextIndex + 1
				for j=1, numObjectives do
					-- Set Objective text
					SetQuestText(watchTextIndex, questIndex, j)
					watchTextIndex = watchTextIndex + 1
				end
			end
		end
	end
	-- Hide unused watch lines
	for i=watchTextIndex, MAX_QUESTWATCH_LINES do
		local button = _G["QuestWatchLine"..i.."SearchButton"]
		if button then button:Hide() end
	end
end)