UIPanelWindows["wsQuickEquipFrame"] = { area = "left",	pushable = 1 };

BINDING_HEADER_QUICKEQUIP = wsGetGameLocaleVariable("BINDING_HEADER_QUICKEQUIP");
BINDING_NAME_QUICKEQUIP = wsGetGameLocaleVariable("BINDING_NAME_QUICKEQUIP");
BINDING_NAME_QUICKEQUIPBUTTON1 = format(wsGetGameLocaleVariable("BINDING_NAME_QUICKEQUIPBUTTON"),1);
BINDING_NAME_QUICKEQUIPBUTTON2 = format(wsGetGameLocaleVariable("BINDING_NAME_QUICKEQUIPBUTTON"),2);
BINDING_NAME_QUICKEQUIPBUTTON3 = format(wsGetGameLocaleVariable("BINDING_NAME_QUICKEQUIPBUTTON"),3);
BINDING_NAME_QUICKEQUIPBUTTON4 = format(wsGetGameLocaleVariable("BINDING_NAME_QUICKEQUIPBUTTON"),4);
BINDING_NAME_QUICKEQUIPBUTTON5 = format(wsGetGameLocaleVariable("BINDING_NAME_QUICKEQUIPBUTTON"),5);
QUICKEQUIP_BINDINGS_BINDINGS = wsGetGameLocaleVariable("QUICKEQUIP_BINDINGS");

--WS_QuickEquipConfig = {};
QE_AMMO_enUS = { "Ammo" , "Quiver" };
QE_AMMO_zhCN = {"箭" , "弹药"};

default_QuickEquip_enUS={
				 {name = "unknown1"},
				 {name = "unknown2"},
				 {name = "unknown3"},
				 {name = "unknown4"},
				 {name = "unknown5"},
			};

default_QuickEquip_zhCN={
				 {name = "未命名套装"},
				 {name = "未命名套装"},
				 {name = "未命名套装"},
				 {name = "未命名套装"},
				 {name = "未命名套装"},
			};

WS_SlotTexture = {
			{ slot = "Head"},
			{ slot = "Neck"},
			{ slot = "Shoulder"},
			{ slot = "Shirt"},
			{ slot = "Chest"},
			{ slot = "Waist"},
			{ slot = "Legs"},
			{ slot = "Feet"},
			{ slot = "Wrists"},
			{ slot = "Hands"},
			{ slot = "Finger"},
			{ slot = "Finger"},
			{ slot = "Trinket"},
			{ slot = "Trinket"},
			{ slot = "Chest"},
			{ slot = "MainHand"},
			{ slot = "SecondaryHand"},
			{ slot = "Ranged"},
			{ slot = "Tabard"},
			};

WS_Race = {
			{race_enUS = "Human", race_zhCN = "人类", texture = "Acrest"},
			{race_enUS = "Nightelf",race_zhCN = "暗夜精灵", texture = "Nightelfcrest"},
			{race_enUS = "Dwarf",race_zhCN = "矮人", texture = "DwarfCrest"},
			{race_enUS = "Gnome",race_zhCN = "侏儒", texture = "ForsakenCrest"},

			{race_enUS = "Orcs",race_zhCN = "兽人", texture = "Orcshield"},
			{race_enUS = "Troll",race_zhCN = "巨魔", texture = "TrollBanner"},
			{race_enUS = "Tauren",race_zhCN = "牛头人", texture = "Taurencrest"},
			{race_enUS = "Undead",race_zhCN = "亡灵", texture = "undeadcrest"},
		};

local wsLocalVariable;
local wsRealmName ; 
local wsPlayerName ;
local curEuipId = 1;
local QE_AMMO = wsGetGameLocaleVariable("QE_AMMO");

WS_QuickEquipConfig = {};

function wsQuickEquip_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");

	SlashCmdList["QE"] = wsQuickEquip_SwithEquip;
	SLASH_QE1 = "/qe";
	SLASH_QE2 = "/quickequip";
	SLASH_QE3 = "/换装";

--	for i =1 , getn(WS_EquipSlot) do
--		if(i ~= 16 and i ~= 17) then
--			getglobal("wsQuickEquipFrame"..WS_EquipSlot[i].slot.."NormalTexture"):SetVertexColor(1.0, 0.5, 0.5);
--		end
--	end

	if(GetLocale() == "zhCN") then
		wsLocalVariable = "zhCN";
	else
		wsLocalVariable = "enUS";
	end

	default_QuickEquip = wsGetGameLocaleVariable("default_QuickEquip");
end
	
function QuickEquipButton_OnLoad(id)
	local texture = "Interface\\PaperDoll\\UI-PaperDoll-Slot-"..WS_SlotTexture[id].slot;
	local slot = getglobal(this:GetName().."BGTexture");
	if(slot) then
		slot:SetTexture(texture);
	end
end

function wsQuickEquip_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		if (wsGetWSVar("QuickEquipConfig")) then
			WS_QuickEquipConfig = wsGetWSVar("QuickEquipConfig");
		else
			WS_QuickEquipConfig = {KeepEmpty = "0"};
		end		
		wsRegisterButton(
			WS_CONFIG_SEC_1,
			"General",
			wsGetLocaleVariable("WS_QUICKEQUIP_TITLE"),
			wsGetLocaleVariable("WS_QUICKEQUIP_DESCRIPTION"),
			wsGetLocaleVariable("WS_QUICKEQUIP_TOOLTIP"),
			"Interface\\Icons\\INV_Shirt_GuildTabard_01",
			function()
				ShowUIPanel(wsQuickEquipFrame);
			end
		);

		if(wsGetWSVar("QuickEquip_Save")) then
			QuickEquip_Save = wsGetWSVar("QuickEquip_Save");
		else
			QuickEquip_Save = {};
		end

		wsRealmName = GetCVar("RealmName"); 
		wsPlayerName = UnitName("player");

		if (WS_QuickEquip == nil) then
			WS_QuickEquip = {};
		end
			
		if (QuickEquip_Save[wsRealmName] == nil) then
			QuickEquip_Save[wsRealmName] = {}
		end
	
		if (QuickEquip_Save[wsRealmName][wsPlayerName] == nil) then
			QuickEquip_Save[wsRealmName][wsPlayerName] = default_QuickEquip;
		end
	
		WS_QuickEquip = QuickEquip_Save[wsRealmName][wsPlayerName];

		local _, race = UnitRace("player"); 
		local lang = "race_enUS";
		for i = 1 , 8 do
			if(WS_Race[i][lang] == race) then
				for id = 1 , 4 do
					local bg = getglobal("wsQuickEquipFrameBG"..id);
					local texture = "Interface\\Glues\\Credits\\"..WS_Race[i].texture..id;
					bg:SetTexture(texture);
				end
				return;
			end
		end
--		QuickEquip_Update();
		
		return;
	end
end

function wsQuickEquip_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_QUICKEQUIP_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");	
	for i = 1 , WS_CONFIG_MAX_SLOTNUM do
		if(WS_QuickEquip[1][i] and WS_QuickEquip[1][i].Link) then
			local hasEquip = QuickEquip_HasEquip(WS_QuickEquip[1][i].Link);
			if(hasEquip) then
				getglobal("wsQuickEquipFrame"..WS_EquipSlot[i].slot.."IconTexture"):SetVertexColor(1.0, 1.0, 1.0);
			else
				getglobal("wsQuickEquipFrame"..WS_EquipSlot[i].slot.."IconTexture"):SetVertexColor(1.0, 0.1, 0.1);
			end
		end
	end
end

function wsQuickEquipFrameOkayButton_OnClick()
	local parent = this:GetParent();
	HideUIPanel(parent);
end

function wsQuickEquipFrameBindingButton_OnClick()
	wsShowKeyBindingFrame("HEADER_QUICKEQUIP");
end

function QuickEquipButton_OnEnter(id)
	local type = "type_"..wsLocalVariable;
	if(WS_QuickEquip[curEuipId][id]) then
		GameTooltip:SetOwner(this, "ANCHOR_RIGHT");
		GameTooltip:SetText(wsGetGameLocaleVariable("WS_QUICKEQUIP_EQUIP")..curEuipId .."     ["..WS_QuickEquip[curEuipId].name.."]");
		GameTooltip:AddDoubleLine(WS_QuickEquip[curEuipId][id].Link , WS_EquipSlot[id][type][1] , 1 , 1 , 1 , 1 , 1, 1);
		GameTooltip:Show();
	else
		GameTooltip:SetOwner(this, "ANCHOR_RIGHT");
		GameTooltip:SetText(wsGetGameLocaleVariable("WS_QUICKEQUIP_EQUIP")..curEuipId.."     ["..WS_QuickEquip[curEuipId].name.."]: ");
		if(id ~= 16 and id ~= 17) then
			GameTooltip:AddLine(WS_EquipSlot[id][type][1] , 1 , 1 , 1);
		elseif(id == 16) then			
			GameTooltip:AddLine(wsGetGameLocaleVariable("WS_QUICKEQUIP_WEAPON1") , 1 , 1 , 1);
		elseif(id == 17) then
			GameTooltip:AddLine(wsGetGameLocaleVariable("WS_QUICKEQUIP_WEAPON2") , 1 , 1 , 1);
		end
		GameTooltip:Show();
	end
end

function QuickEquipButton_OnLeave()
	GameTooltip:Hide();
end

function QuickEquipSetEquipButton_OnClick()
	QuickEquip_SetEquip(curEuipId);
end

function QuickEquipButton_OnClick(id)
	if (CursorItem.Link) then		
		local bag , slot = WS_FindContainerItemByLink(CursorItem.Link);
		if(bag and slot) then
--			wsAddMessage("wsGameTooltip:SetBagItem bag-"..bag.." slot-"..slot);
			getglobal("wsGameTooltip"):SetBagItem(bag,slot);
			local line;
			local type = "type_"..wsLocalVariable;
			for line = 2 , 4 , 1 do
				for i = 1 , getn(WS_EquipSlot[id][type]) do
--					wsAddMessage(WS_EquipSlot[id][type][i]);
					if(getglobal("wsGameTooltipTextLeft"..line):GetText() ==WS_EquipSlot[id][type][i]) then
						if(id == 16 and (WS_EquipSlot[id][type][i] == "Two-Hand" or WS_EquipSlot[id][type][i] == "双手") and WS_QuickEquip[curEuipId][17] and WS_QuickEquip[curEuipId][17].Type) then
							return;
						end
						if(id == 17 and WS_QuickEquip[curEuipId][16] and WS_QuickEquip[curEuipId][16].Type and (WS_QuickEquip[curEuipId][16].Type == "双手" or WS_QuickEquip[curEuipId][16].Type == "Two-Hand")) then
							return;
						end
						WS_QuickEquip[curEuipId][id] = {};
						WS_QuickEquip[curEuipId][id].Link = CursorItem.Link;
	
						if (CursorItem.Texture) then
							WS_QuickEquip[curEuipId][id].Texture = CursorItem.Texture;
							SetItemButtonTexture(this, CursorItem.Texture);
						end

						WS_QuickEquip[curEuipId][id].Type =  WS_EquipSlot[id][type][i];
		
						GameTooltip:Hide();
						PickupContainerItem(CursorItem.Bag, CursorItem.Slot);
		
						CursorItem = {};
						QuickEquip_SaveEquip();
						return;
					end
				end
			end
		else
			return;
		end
	end
end

function QuickEquipButton_OnDragStart(id)
	WS_QuickEquip[curEuipId][id] = nil;
	
	SetItemButtonTexture(this, nil);
--	getglobal(this:GetName().."CountWarn"):Hide();
	GameTooltip:Hide();
	CursorItem = {};
	CursorAction = {};

	QuickEquip_SaveEquip();	
end

function QuickEquipEditBox_Save()
	UIDropDownMenu_SetButtonText(1,curEuipId,curEuipId..". "..this:GetText());
	WS_QuickEquip[curEuipId].name = this:GetText();
	UIDropDownMenu_SetSelectedID(QuickEquipDropDown, curEuipId);
	QuickEquip_SaveEquip();
	getglobal("QuickEquipEditFrame"):Hide();
end

function QuickEquipEditBoxOkayButton_OnClick()
	local text = getglobal("QuickEquipEditBox"):GetText();
	UIDropDownMenu_SetButtonText(1,curEuipId,curEuipId..". "..text);
	WS_QuickEquip[curEuipId].name = text;
	UIDropDownMenu_SetSelectedID(QuickEquipDropDown, curEuipId);
	QuickEquip_SaveEquip();
	getglobal("QuickEquipEditFrame"):Hide();
end

function QuickEquipEditBox_Cancel()
	getglobal("QuickEquipEditFrame"):Hide();
end

local QuickEquipDropDownHasShown = nil;

function QuickEquipDropDown_OnShow()
	if (not QuickEquipDropDownHasShown) then	
		UIDropDownMenu_Initialize(this, QuickEquipDropDown_Initialize);
		UIDropDownMenu_SetWidth(120);
		UIDropDownMenu_SetSelectedID(QuickEquipDropDown,1);
		QuickEquipDropDownHasShown = 1;
		QuickEquip_SetEquipTexture(1);
		getglobal("QuickEquipEditBox"):SetText(WS_QuickEquip[curEuipId].name);
	end
end

function ToggleQuickEquipFrame()
	if ( getglobal("wsQuickEquipFrame"):IsVisible()) then
		getglobal("wsQuickEquipFrame"):Hide();
	else
		getglobal("wsQuickEquipFrame"):Show();
	end
end

function QuickEquipDropDown_Initialize()
	local info;

	for i = 1 , getn(WS_QuickEquip) , 1 do
		info = {};
		if(WS_QuickEquip[i].name) then
			info.text = i..". "..WS_QuickEquip[i].name;
		else
			info.text = i..". ".."UnKnown";
		end
		info.func = QuickEquipDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function QuickEquipDropDown_OnClick()
	UIDropDownMenu_SetSelectedID(QuickEquipDropDown, this:GetID());
	curEuipId = this:GetID();
	getglobal("QuickEquipEditBox"):SetText(WS_QuickEquip[curEuipId].name);
	QuickEquip_SetEquipTexture(curEuipId);
end

function QuickEquip_SaveEquip()
	QuickEquip_Save[wsRealmName][wsPlayerName] = WS_QuickEquip;
	wsSetWSVar("QuickEquip_Save",QuickEquip_Save);
end

function QuickEquip_SetEquipTexture(id)
	for i = 1 , WS_CONFIG_MAX_SLOTNUM do
		local equipSlot = getglobal("wsQuickEquipFrame"..WS_EquipSlot[i].slot);
		if(WS_QuickEquip[id][i]) then
			SetItemButtonTexture(equipSlot, WS_QuickEquip[id][i].Texture);
			local hasEquip = QuickEquip_HasEquip(WS_QuickEquip[id][i].Link);
			if(hasEquip) then
				getglobal("wsQuickEquipFrame"..WS_EquipSlot[i].slot.."IconTexture"):SetVertexColor(1.0, 1.0, 1.0);
			else
				getglobal("wsQuickEquipFrame"..WS_EquipSlot[i].slot.."IconTexture"):SetVertexColor(1.0, 0.1, 0.1);
			end
		else
			SetItemButtonTexture(equipSlot, nil);
		end
	end
end

function QuickEquip_HasEquip(link)
	local bag,slot = WS_FindContainerItemByLink(link);
	if(bag) then
		return 1;
	else
		local inventory = WS_FindInventoryByLink(link);
		if(inventory) then
			return 1;
		end
	end
	return nil;
end

function QuickEquip_SetEquip(id)
	local empty = 1;
	if ( not CursorHasItem() ) then 
		for n = 1 , WS_CONFIG_MAX_SLOTNUM do	
			i = n + 15;
			if(i > WS_CONFIG_MAX_SLOTNUM) then
				i = i - WS_CONFIG_MAX_SLOTNUM;
			end
			if(WS_QuickEquip[id][i] and WS_QuickEquip[id][i].Link) then
				local iLink = GetInventoryItemLink("player", i);
				if(not iLink or (iLink and iLink~= WS_QuickEquip[id][i].Link)) then
					local bag , slot = WS_FindContainerItemByLink(WS_QuickEquip[id][i].Link);
					if(bag and slot) then
						PickupContainerItem(bag, slot); 
						PickupInventoryItem(i);
					else
					wsAddMessage(format(wsGetGameLocaleVariable("WS_QUICKEQUIP_EQUIPNOTFIND"), WS_QuickEquip[id][i].Link));
					end
				end
			elseif(WS_QuickEquip[id] and not WS_QuickEquip[id][i] and WS_QuickEquipConfig.KeepEmpty == "0") then
				local iLink = GetInventoryItemLink("player", i);
				if(iLink and WS_GetEmptySlot(empty)) then	
					local b , s = WS_GetEmptySlot(empty);
					PickupInventoryItem(i);
					PickupContainerItem(b , s);
					empty = empty + 1;
				end
			end
		end
	end
end

function WS_GetEmptySlot(i)
	if(not i) then
		i = 1;
	end
	for bag = 0, NUM_BAG_FRAMES do
		if( GetBagName(bag) and not string.find( GetBagName(bag), QE_AMMO[1]) and not string.find( GetBagName(bag), QE_AMMO[2]))then
			for slot = 1, GetContainerNumSlots(bag) do
				local itemLink = GetContainerItemLink(bag, slot);
				if(not itemLink) then
					i = i - 1;
					if(i == 0) then
						return bag , slot;
					end
				end
			end
		end
	end
	return nil;
end

function WS_QuickEquip_LoadInventory()
	for id =1 , WS_CONFIG_MAX_SLOTNUM do
		local link = GetInventoryItemLink("player", id);
		local texture = GetInventoryItemTexture("player", id);
		if(link and texture) then
			WS_QuickEquip[curEuipId][id] = {};
			WS_QuickEquip[curEuipId][id].Link = link;
	
			WS_QuickEquip[curEuipId][id].Texture = texture;
			local button = getglobal("wsQuickEquipFrame"..WS_EquipSlot[id].slot);
			SetItemButtonTexture(button, texture);

			WS_QuickEquip[curEuipId][id].Type =  WS_EquipSlot[id].slot;
		end	
	end
	QuickEquip_SaveEquip();
	QuickEquip_SetEquipTexture(curEuipId);
end

function wsQuickEquip_SwithEquip(msg)
	local num;
--	for num in string.gfind(msg, "(%d+)") do
	num = tonumber(msg);
	if(num and num > 0 and num <6) then
		QuickEquip_SetEquip(num);
	end
--	end
end