QuickLoot_LastLootIndex = nil;

-- Function hooks
local originalLootFrame_OnEvent;
local originalLootFrame_Update;
local originalLootFrameItem_OnClick;
local originalLootFrame_OnHide;
local original_GameTooltip_SetLootItem;
--------------------------------------------------------------------------------------------------
-- Internal functions
--------------------------------------------------------------------------------------------------
local function QuickLoot_ItemUnderCursor()
	local index;
	local x, y = GetCursorPosition();
	local scale = LootFrame:GetEffectiveScale();

	x = x / scale;
	y = y / scale;

	LootFrame:ClearAllPoints();

	if ( QuickLoot_LastLootIndex == nil ) then
		start = 1;
	else
		start = QuickLoot_LastLootIndex + 1;
	end

	for index = start, LOOTFRAME_NUMBUTTONS, 1 do
		local button = getglobal("LootButton"..index);
		if( button:IsVisible() ) then
			x = x - 42;
			y = y + 56 + (40 * index);
			if ( (x + 185) > UIParent:GetRight() or (y - 256) < 55 ) then
				LootFrame:SetPoint("TOPLEFT", "UIParent", "TOPLEFT", 384, -104);
			else
				LootFrame:SetPoint("TOPLEFT", "UIParent", "BOTTOMLEFT", x, y);
			end
			return;
		end
	end

	if( LootFrameDownButton:IsVisible() ) then
		-- If down arrow, position on it
		x = x - 158;
		y = y + 223;
		QuickLoot_LastLootIndex = nil;
	else
		-- Otherwise, position on close box
		x = x - 173;
		y = y + 25;
	end
	
	if ( (x + 185) > UIParent:GetRight() or (y - 256) < 55 ) then
		LootFrame:SetPoint("TOPLEFT", "UIParent", "TOPLEFT", 384, -104);
	else
		LootFrame:SetPoint("TOPLEFT", "UIParent", "BOTTOMLEFT", x, y);
	end
end

local function QuickLoot_LootFrame_OnEvent(event)

	if ( WS_QuickLoot.QuickLoot_Enable == "1" ) then
		if ( event == "LOOT_SLOT_CLEARED" ) then
			QuickLoot_ItemUnderCursor();
		end
	end

	if ( WS_QuickLoot.AutoHide_Enable == "1" ) then
		if ( event == "LOOT_OPENED" ) then
			if ( GetNumLootItems() == 0 ) then
				HideUIPanel(LootFrame);
			end
		end
	end
end

local function QuickLoot_LootFrame_Update()
	
	if ( WS_QuickLoot.QuickLoot_Enable == "1" ) then
		QuickLoot_ItemUnderCursor();
	end
end

function QuickLoot_LootFrameItem_OnClick(button)
	if ( QuickLoot_LastLootIndex == nil ) then
		QuickLoot_LastLootIndex = this:GetID();
	end
end
--------------------------------------------------------------------------------------------------
-- OnFoo functions
--------------------------------------------------------------------------------------------------
function QuickLoot_OnLoad()

	this:RegisterEvent("LOOT_SLOT_CLEARED");
	this:RegisterEvent("LOOT_OPENED");

	-- Hook the LootFrame_OnEvent function
--	originalLootFrame_OnEvent = LootFrame_OnEvent;
--	LootFrame_OnEvent = QuickLoot_LootFrame_OnEvent;
	hooksecurefunc("LootFrame_OnEvent",QuickLoot_LootFrame_OnEvent);
	
	-- Hook the LootFrame_Update function
--	originalLootFrame_Update = LootFrame_Update;
--	LootFrame_Update = QuickLoot_LootFrame_Update;
	hooksecurefunc("LootFrame_Update",QuickLoot_LootFrame_Update);

	-- Hook the LootFrameItem_OnClick function
--	originalLootFrameItem_OnClick = LootFrameItem_OnClick;
--	LootFrameItem_OnClick = QuickLoot_LootFrameItem_OnClick;
	hooksecurefunc("LootButton_OnClick",QuickLoot_LootFrameItem_OnClick);

	-- Hook the LootFrame_OnHide function
--	originalLootFrame_OnHide = LootFrame_OnHide;
--	LootFrame_OnHide = QuickLoot_LootFrame_OnHide;
	hooksecurefunc("LootFrame_OnHide",QuickLoot_LootFrame_OnHide);
end

function QuickLoot_LootFrame_OnHide()

	QuickLoot_LastLootIndex = nil;
end

function wsToggleLootItemPrice(flag1 , flag2)
	if(flag1 == "1" or flag2 == "1") then
		if(not original_GameTooltip_SetLootItem) then
			original_GameTooltip_SetLootItem = GameTooltip.SetLootItem;
			GameTooltip.SetLootItem = WS_GameTooltip_SetLootItem;	
		end
	else
		if(original_GameTooltip_SetLootItem) then
			GameTooltip.SetLootItem = original_GameTooltip_SetLootItem;
			original_GameTooltip_SetLootItem = nil;
		end
	end
end

function WS_GameTooltip_SetLootItem(this,slot)
	original_GameTooltip_SetLootItem(this,slot)
	if(WS_QuickLoot.LootCompare == "1" and WS_ItemCompare) then
		WS_ItemCompare(0);
	end
	if(WS_QuickLoot.ItemPrice ~= "1") then
		return;
	end
	local item = GameTooltipTextLeft1:GetText();
	for i = 1, GetNumLootItems(), 1 do
		if (LootSlotIsItem(i)) then
			local texture, itemname, quantity = GetLootSlotInfo(i);	
			if( item and itemname == item and WS_ItemPrice and WS_ItemPrice[item] ) then
				WS_SetTooltipMoney(GameTooltip, quantity, WS_ItemPrice[item]);
				GameTooltip:Show();
				return;
			end
		end
	end
end