UIPanelWindows["wsQuickLootConfigFrame"] = { area = "left",	pushable = 1 };

local default_QuickLoot={
					QuickLoot_Enable="1",
					AutoHide_Enable="0",
					ItemPrice="1",
					LootCompare="1";
				};

WS_QuickLoot={};

function wsQuickLootConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsQuickLootConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if (wsGetWSVar("QuickLoot")) then
			WS_QuickLoot = wsGetWSVar("QuickLoot");
		else
			WS_QuickLoot = default_QuickLoot;
		end
------------------------------------------------------------------------------------
		if(not WS_QuickLoot.LootCompare) then
			WS_QuickLoot.LootCompare = default_QuickLoot.LootCompare;
		end
------------------------------------------------------------------------------------

		wsToggleLootItemPrice(WS_QuickLoot.ItemPrice,WS_QuickLoot.LootCompare);

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"General",
		wsGetLocaleVariable("WS_QUICKLOOT_TITLE"),
		wsGetLocaleVariable("WS_QUICKLOOT_DESCRIPTION"),
		wsGetLocaleVariable("WS_QUICKLOOT_TOOLTIP"),
		"Interface\\Icons\\INV_Misc_Bag_21",
		function()
			ShowUIPanel(wsQuickLootConfigFrame);
		end
	);
	end
end

function wsQuickLootConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_QUICKLOOT_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_QUICKLOOT_ENABLE_QUICKLOOT"));

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_QUICKLOOT_ENABLE_AUTOHIDE"));

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	checkButton3:Show();
	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(wsGetLocaleVariable("WS_QUICKLOOT_ENABLE_ITEMPRICE"));

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	checkButton4:Show();
	local checkButton4Text = getglobal(this:GetName().."CheckButton4Text");
	checkButton4Text:SetText(wsGetLocaleVariable("WS_QUICKLOOT_ENABLE_LOOTCOMPARE"));

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	if (WS_QuickLoot.QuickLoot_Enable == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	if (WS_QuickLoot.AutoHide_Enable == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	if (WS_QuickLoot.ItemPrice == "1") then
		checkButton3:SetChecked(1);
	else
		checkButton3:SetChecked(nil);
	end

	if (WS_QuickLoot.LootCompare == "1") then
		checkButton4:SetChecked(1);
	else
		checkButton4:SetChecked(nil);
	end
end

function wsQuickLootConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");

	checkButton1:SetChecked(1);
	checkButton2:SetChecked(0);
	checkButton3:SetChecked(1);
	checkButton4:SetChecked(1);
end

function wsQuickLootConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");

	if (checkButton1:GetChecked()) then
		WS_QuickLoot.QuickLoot_Enable = "1";
	else
		WS_QuickLoot.QuickLoot_Enable = "0";
	end

	if (checkButton2:GetChecked()) then
		WS_QuickLoot.AutoHide_Enable = "1";
	else
		WS_QuickLoot.AutoHide_Enable = "0";
	end

	if (checkButton3:GetChecked()) then
		WS_QuickLoot.ItemPrice = "1";
	else
		WS_QuickLoot.ItemPrice = "0";
	end

	if (checkButton4:GetChecked()) then
		WS_QuickLoot.LootCompare = "1";
	else
		WS_QuickLoot.LootCompare = "0";
	end

	wsToggleLootItemPrice(WS_QuickLoot.ItemPrice , WS_QuickLoot.LootCompare);

	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("QuickLoot", WS_QuickLoot);

end