UIPanelWindows["wsScreenShotConfigFrame"] = { area = "left",	pushable = 1 };

WS_ScreenShot={};

local default_ScreenShot={
					HideUI="0",
					AddMark="0",
					ShiftHiadeUI="0",
				};

function wsScreenShotConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsScreenShotConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if(wsGetWSVar("ScreenShot")) then
			WS_ScreenShot=wsGetWSVar("ScreenShot");
		else
			WS_ScreenShot=default_ScreenShot;
		end

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"Others",
		wsGetLocaleVariable("WS_SCREENSHOT_TITLE"),
		wsGetLocaleVariable("WS_SCREENSHOT_DESCRIPTION"),
		wsGetLocaleVariable("WS_SCREENSHOT_TOOLTIP"),
		"Interface\\Icons\\Spell_Arcane_TeleportStormWind",
		function()
			ShowUIPanel(wsScreenShotConfigFrame);
		end
	);

		wsToggleScreenShot();
	end
end

function wsScreenShotConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_SCREENSHOT_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local ScreenShotTexture = getglobal(this:GetName().."ScreenShotTexture");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	checkButton1:Show();
	checkButton2:Show();
	checkButton3:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_SCREENSHOT_HIDE_ALL_UI"));
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_SCREENSHOT_ADD_MARK"));
	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(wsGetLocaleVariable("WS_SCREENSHOT_SHIFT_MARK"));

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	local checkButton3 = getglobal(this:GetName().."CheckButton3");

	if (WS_ScreenShot.HideUI == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end
	if (WS_ScreenShot.AddMark == "1") then
		checkButton2:SetChecked(1);
		ScreenShotTexture:Show();
	else
		checkButton2:SetChecked(nil);
		ScreenShotTexture:Hide();
	end
	if (WS_ScreenShot.ShiftHiadeUI == "1") then
		checkButton3:SetChecked(1);
		ScreenShotTexture:Show();
	else
		checkButton3:SetChecked(nil);
		ScreenShotTexture:Hide();
	end
end

function wsScreenShotConfigFrameCheckButton_OnClick()
	local parent = this:GetParent();
	local ScreenShotTexture = getglobal(parent:GetName().."ScreenShotTexture");
	if(this:GetChecked()) then
		ScreenShotTexture:Show();
	else
		ScreenShotTexture:Hide();
	end
end

function wsScreenShotConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");

	checkButton1:SetChecked(0);
	checkButton2:SetChecked(0);
	checkButton3:SetChecked(0);
end

function wsScreenShotConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");

	if (checkButton1:GetChecked()) then
		WS_ScreenShot.HideUI = "1";
	else
		WS_ScreenShot.HideUI = "0";
	end
	if (checkButton2:GetChecked()) then
		WS_ScreenShot.AddMark = "1";
	else
		WS_ScreenShot.AddMark = "0";
	end
	if (checkButton3:GetChecked()) then
		WS_ScreenShot.ShiftHiadeUI = "1";
	else
		WS_ScreenShot.ShiftHiadeUI = "0";
	end

	wsToggleScreenShot();

	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("ScreenShot", WS_ScreenShot);

end