
local original_TargetFrame_OnShow = nil;
local original_QuestLog_UpdateQuestDetails = nil;

wsSearchTime = 3;

function WSSearchTargetButton_OnLoad()
	RegisterCVar("wsQuery");
	getglobal("WSSearchTargetText"):SetText(wsGetGameLocaleVariable("WS_SEARCH_TARGET"));
	this:SetFrameLevel(this:GetFrameLevel() + 1);
end

function WSSearchTargetButton_OnClick()
	if(UnitName("target")) then
		if(UnitIsPlayer("target")) then
			wsSerach_SaveVal(UnitName("target"), "p");
		else
			wsSerach_SaveVal(UnitName("target"),"n");
		end
	end
end

function WS_TargetFrame_OnShow()
	original_TargetFrame_OnShow();
	local npcName = UnitName("target");
	if(npcName and npcName ~= UNKNOWNOBJECT and not UnitIsPlayer("target") and not UnitPlayerControlled("target")) then
		getglobal("WSSearchTargetButton"):Show();
	else
		getglobal("WSSearchTargetButton"):Hide();
	end
end

function WSSearchQuestButton_OnLoad()
	getglobal("WSSearchQuestText"):SetText(wsGetGameLocaleVariable("WS_SEARCH_QUEST"));
end

function WSSearchQuestButton_OnClick()
	wsSerach_SaveVal(getglobal("QuestLogQuestTitle"):GetText(),"q");
end

function WSSearchQuestItemButton_OnClick(id)
	local lable = getglobal("QuestLogObjective"..id):GetText();
	local name;
	if(string.find(lable , WS_QUESTSEARCH_COMPLETE)) then
		local text;
		_,_, text = string.find(lable , "(.+)("..WS_QUESTSEARCH_COMPLETE..")") 
		if(text) then
			lable = text;
		end
	end
	if(string.find(lable , WS_QUESTSEARCH_KILL)) then
		_,_, name , _ = string.find(lable , WS_QUESTSEARCH_KILL..WS_QUESTSEARCH_OBJ) 
		if(name) then
			wsSerach_SaveVal(name, "n");
		end
	else
		_,_, name , _ = string.find(lable , WS_QUESTSEARCH_OBJ) 
		if(name) then	
			wsSerach_SaveVal(name, "i");
		end		
	end
end

function wsSerach_SaveVal(name, type)
	if(not name) then
		return;
	end
	if(WS_WSSearch and WS_WSSearch.FirstTime and WS_WSSearch.FirstTime == "0") then
		UIErrorsFrame:AddMessage(WS_QUESTSEARCH_DESCRIPTION, 1.0, 1.0, 0.0, 1.0, UIERRORS_HOLD_TIME);
		WS_WSSearch.FirstTime = "1";
		wsSetWSVar("WSSearch", WS_WSSearch);
	end
	local wsTime = math.fmod(math.floor(GetTime()) , 1000);
	if(not wsSearchCheck) then
		wsSearchCheck = wsTime;
--		SetCVar("wsQuery" , wsTime..":"..name);
		wsShowSearchInfo(type.."search:"..name);
		wsSearchInfoText = type.."search:"..name;
	elseif( (wsTime < wsSearchCheck) or (wsTime > wsSearchCheck + wsSearchTime)) then
--		SetCVar("wsQuery" , wsTime..":"..name);
		wsSearchCheck = wsTime;
		wsShowSearchInfo(type.."search:"..name);
		wsSearchInfoText = type.."search:"..name;
	end	
end

function wsStaticPopup_OnTextChanged()
	if(wsSearchInfoText) then
		getglobal("wsSearchEditFrameEditBox"):SetText(wsSearchInfoText);
		getglobal("wsSearchEditFrameEditBox"):HighlightText();
	end
end

function WS_QuestLog_UpdateQuestDetails(doNotScroll)
	local questID = GetQuestLogSelection();
	local questTitle = GetQuestLogTitle(questID);
	if ( not questTitle ) then
		questTitle = "";
	end
	if ( IsCurrentQuestFailed() ) then
		questTitle = questTitle.." - ("..TEXT(FAILED)..")";
	end
	QuestLogQuestTitle:SetText(questTitle);

	local questDescription;
	local questObjectives;
	questDescription, questObjectives = GetQuestLogQuestText();
	QuestLogObjectivesText:SetText(questObjectives);
	
	local questTimer = GetQuestLogTimeLeft();
	if ( questTimer ) then
		QuestLogFrame.hasTimer = 1;
		QuestLogFrame.timePassed = 0;
		QuestLogTimerText:Show();
		QuestLogTimerText:SetText(TEXT(TIME_REMAINING).." "..SecondsToTime(questTimer));
		QuestLogObjective1:SetPoint("TOPLEFT", "QuestLogTimerText", "BOTTOMLEFT", 0, -10);
	else
		QuestLogFrame.hasTimer = nil;
		QuestLogTimerText:Hide();
		QuestLogObjective1:SetPoint("TOPLEFT", "QuestLogObjectivesText", "BOTTOMLEFT", 0, -10);
	end
	
	-- Show Quest Watch if track quest is checked
	local numObjectives = GetNumQuestLeaderBoards();
	
	for i=1, numObjectives, 1 do
--
		local stringL = getglobal("QuestLogObjective"..i);
--
		local text;
		local type;
		local finished;
		text, type, finished = GetQuestLogLeaderBoard(i);
		if ( not text or strlen(text) == 0 ) then
			text = type;
		end
		if ( finished ) then
			stringL:SetTextColor(0.2, 0.2, 0.2);
			text = text.." ("..TEXT(COMPLETE)..")";
		else
			stringL:SetTextColor(0, 0, 0);
		end
		stringL:SetText(text);
		stringL:Show();
---------------
		if(string.find(text , "(%d+)/(%d+)")) then
			getglobal("WSSearchQuestItemButton"..i):SetPoint("TOPLEFT" , "QuestLogObjective"..i , "TOPRIGHT" , -50 , 2);
			getglobal("WSSearchQuestItemButton"..i):Show();
		else
			getglobal("WSSearchQuestItemButton"..i):Hide();
		end
---------------
		QuestFrame_SetAsLastShown(stringL);
	end

	for i=numObjectives + 1, MAX_OBJECTIVES, 1 do
		getglobal("QuestLogObjective"..i):Hide();
-----
		getglobal("WSSearchQuestItemButton"..i):Hide();
-----
	end

	-- If there's money required then anchor and display it
	if ( GetQuestLogRequiredMoney() > 0 ) then
		if ( numObjectives > 0 ) then
			QuestLogRequiredMoneyText:SetPoint("TOPLEFT", "QuestLogObjective"..numObjectives, "BOTTOMLEFT", 0, -4);
		else
			QuestLogRequiredMoneyText:SetPoint("TOPLEFT", "QuestLogObjectivesText", "BOTTOMLEFT", 0, -10);
		end
		
		MoneyFrame_Update("QuestLogRequiredMoneyFrame", GetQuestLogRequiredMoney());
		
		if ( GetQuestLogRequiredMoney() > GetMoney() ) then
			-- Not enough money
			QuestLogRequiredMoneyText:SetTextColor(0, 0, 0);
			SetMoneyFrameColor("QuestLogRequiredMoneyFrame", 1.0, 0.1, 0.1);
		else
			QuestLogRequiredMoneyText:SetTextColor(0.2, 0.2, 0.2);
			SetMoneyFrameColor("QuestLogRequiredMoneyFrame", 1.0, 1.0, 1.0);
		end
		QuestLogRequiredMoneyText:Show();
		QuestLogRequiredMoneyFrame:Show();
	else
		QuestLogRequiredMoneyText:Hide();
		QuestLogRequiredMoneyFrame:Hide();
	end

	if ( GetQuestLogRequiredMoney() > 0 ) then
		QuestLogDescriptionTitle:SetPoint("TOPLEFT", "QuestLogRequiredMoneyText", "BOTTOMLEFT", 0, -10);
	elseif ( numObjectives > 0 ) then
		QuestLogDescriptionTitle:SetPoint("TOPLEFT", "QuestLogObjective"..numObjectives, "BOTTOMLEFT", 0, -10);
	else
		if ( questTimer ) then
			QuestLogDescriptionTitle:SetPoint("TOPLEFT", "QuestLogTimerText", "BOTTOMLEFT", 0, -10);
		else
			QuestLogDescriptionTitle:SetPoint("TOPLEFT", "QuestLogObjectivesText", "BOTTOMLEFT", 0, -10);
		end
	end
	if ( questDescription ) then
		QuestLogQuestDescription:SetText(questDescription);
		QuestFrame_SetAsLastShown(QuestLogQuestDescription);
	end
	local numRewards = GetNumQuestLogRewards();
	local numChoices = GetNumQuestLogChoices();
	local money = GetQuestLogRewardMoney();

	if ( (numRewards + numChoices + money) > 0 ) then
		QuestLogRewardTitleText:Show();
		QuestFrame_SetAsLastShown(QuestLogRewardTitleText);
	else
		QuestLogRewardTitleText:Hide();
	end

	QuestFrameItems_Update("QuestLog");
	if ( not doNotScroll ) then
		QuestLogDetailScrollFrameScrollBar:SetValue(0);
	end
	QuestLogDetailScrollFrame:UpdateScrollChildRect();
end

function ToggleTargetSearch(flag)
	if(flag == "1") then
		if(not original_TargetFrame_OnShow) then
			original_TargetFrame_OnShow = TargetFrame_OnShow;
			TargetFrame_OnShow = WS_TargetFrame_OnShow;
		end
	else
		getglobal("WSSearchTargetButton"):Hide();
		if(original_TargetFrame_OnShow) then
			TargetFrame_OnShow = original_TargetFrame_OnShow;
			original_TargetFrame_OnShow = nil;
		end
	end
end

function ToggleQuestSearch(flag)
	if(flag == "1") then
		getglobal("WSSearchQuestButton"):Show();
		if(not original_QuestLog_UpdateQuestDetails) then
			original_QuestLog_UpdateQuestDetails = QuestLog_UpdateQuestDetails;
			QuestLog_UpdateQuestDetails = WS_QuestLog_UpdateQuestDetails;
		end	
	else
		local numObjectives = 10;		
		for i = 1 , numObjectives , 1 do
			getglobal("WSSearchQuestItemButton"..i):Hide();
		end
		if(original_QuestLog_UpdateQuestDetails) then
			QuestLog_UpdateQuestDetails = original_QuestLog_UpdateQuestDetails;
			original_QuestLog_UpdateQuestDetails = nil;
		end
		getglobal("WSSearchQuestButton"):Hide();
	end
end

function wsStaticPopup_EditBoxOnEnterPressed()
	HideUIPanel(this:GetParent());
end

function wsStaticPopup_EditBoxOnEscapePressed()
	HideUIPanel(this:GetParent());
end

function wsStaticPopup_OnUpdate(t)

end

function wsStaticPopup_OnShow()

end

function wsStaticPopup_OnHide()

end

function wsShowSearchInfo(text)
	getglobal("wsSearchEditFrameText"):SetText(WS_QUESTSEARCH_ALARM);
	getglobal("wsSearchEditFrameEditBox"):SetText(text);
	getglobal("wsSearchEditFrameEditBox"):HighlightText();
	getglobal("wsSearchEditFrameEditBox"):Show();
	getglobal("wsSearchEditFrame"):Show();
end