

function WarlockBarFrame_OnLoad()
	this:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
	this:RegisterEvent("CHAT_MSG_SPELL_PERIODIC_CREATURE_DAMAGE");
	this:RegisterEvent("CHAT_MSG_SPELL_AURA_GONE_OTHER");
	this:RegisterEvent("CHAT_MSG_SPELL_BREAK_AURA");
	this:RegisterEvent("PLAYER_LEAVE_COMBAT");
end

function WarlockBarFrame_OnEvent(event, ...)
	if(UnitClass("player") ~= wsGetGameLocaleVariable("WS_WARLOCK_TITLE") or not WS_Warlock or not WS_Warlock.WarlockSkillCounter_Enable or WS_Warlock.WarlockSkillCounter_Enable ~= "1") then
		return;
	end
	
	PlayerName = UnitName("player")
	local timestamp, eventtype, srcGUID, srcName, srcFlags, dstGUID, dstName, dstFlags = select(1, ...);

	--wsAddMessage(srcName)

	if ( event == "COMBAT_LOG_EVENT_UNFILTERED" ) then
		spellId, spellName = select(9, ...)
			if ( eventtype == "SPELL_AURA_APPLIED" ) then
				if (spellId == 18647) or (spellId == 710) then
					getglobal("WarlockBarFrameStatusBar"):SetStatusBarColor(0.0, 1.0, 0.0);
					getglobal("WarlockBarSpark"):Show();
					this.maxValue = 1;
					this.startTime = GetTime();
					this.endTime = this.startTime + WS_Warlock["Skill"..1]/10;
					this.duration = WS_Warlock["Skill"..1]/10;
					getglobal("WarlockBarFrameStatusBar"):SetMinMaxValues(this.startTime, this.endTime);
					getglobal("WarlockBarFrameStatusBar"):SetValue(this.endTime);
					getglobal("WarlockBarText"):SetText(spellName);
					this:SetAlpha(1.0);
					this.holdTime = 0;
					this.casting = nil;
					this.channeling = 1;
					this.fadeOut = nil;
					this:Show();
				end
			
			elseif ( eventtype == "SPELL_AURA_REMOVED") then
				if (spellId == 18647) or (spellId == 710) then
					if ( this:IsShown() ) then
						getglobal("WarlockBarFrameStatusBar"):SetValue(this.maxValue);
						getglobal("WarlockBarFrameStatusBar"):SetStatusBarColor(1.0, 0.0, 0.0);
						getglobal("WarlockBarSpark"):Hide();
						getglobal("WarlockBarText"):SetText(spellName..INTERRUPTED);
						this.casting = nil;
						this.channeling = nil;
						this.fadeOut = 1;
						this.holdTime = GetTime() + CASTING_BAR_HOLD_TIME;
					end
				end
			elseif(event == "PLAYER_LEAVE_COMBAT") then
				return;
			end
	end
end

function WarlockBarFrame_OnUpdate()
	if ( this.casting ) then
		local status = GetTime();
		if ( status > this.maxValue ) then
			status = this.maxValue
		end
		getglobal("WarlockBarFrameStatusBar"):SetValue(status);
		getglobal("WarlockBarFlash"):Hide();
		local sparkPosition = ((status - this.startTime) / (this.maxValue - this.startTime)) * 195;
		if ( sparkPosition < 0 ) then
			sparkPosition = 0;
		end
		getglobal("WarlockBarSpark"):SetPoint("CENTER", "WarlockBarFrameStatusBar", "LEFT", sparkPosition, 0);
	elseif ( this.channeling ) then
		local time = GetTime();
		if ( time > this.endTime ) then
			time = this.endTime
		end
		if ( time == this.endTime ) then
			this.channeling = nil;
			this.fadeOut = 1;
			return;
		end
		local barValue = this.startTime + (this.endTime - time);
		getglobal("WarlockBarFrameStatusBar"):SetValue( barValue );
		getglobal("WarlockBarFlash"):Hide();
		local sparkPosition = ((barValue - this.startTime) / (this.endTime - this.startTime)) * 195;
		getglobal("WarlockBarSpark"):SetPoint("CENTER", "WarlockBarFrameStatusBar", "LEFT", sparkPosition, 0);
	elseif ( GetTime() < this.holdTime ) then
		return;
	elseif ( this.flash ) then
		local alpha = getglobal("WarlockBarFlash"):GetAlpha() + CASTING_BAR_FLASH_STEP;
		if ( alpha < 1 ) then
			getglobal("WarlockBarFlash"):SetAlpha(alpha);
		else
			this.flash = nil;
		end
	elseif ( this.fadeOut ) then
		local alpha = this:GetAlpha() - CASTING_BAR_ALPHA_STEP;
		if ( alpha > 0 ) then
			this:SetAlpha(alpha);
		else
			this.fadeOut = nil;
			this:Hide();
		end
	end
end