UIPanelWindows["wsWarlockConfigFrame"] = { area = "left",	pushable = 1 };

local default_Warlock={
					SoulShardsCounter_Enable="1",
					WarlockSkillCounter_Enable = "1",
					Skill1 = 300 ,
				};

WS_Warlock={};

function wsWarlockConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsWarlockConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if (wsGetWSVar("Warlock")) then
			WS_Warlock = wsGetWSVar("Warlock");
		else
			WS_Warlock = default_Warlock;
		end

		if(not WS_Warlock.WarlockSkillCounter_Enable) then
			WS_Warlock = default_Warlock;
		end

		wsToggleSoulShardsCounter(WS_Warlock.SoulShardsCounter_Enable);

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"Class",
		wsGetLocaleVariable("WS_WARLOCK_TITLE"),
		wsGetLocaleVariable("WS_WARLOCK_DESCRIPTION"),
		wsGetLocaleVariable("WS_WARLOCK_TOOLTIP"),
		"Interface\\AddOns\\WSRez\\Warlock",
		function()
			ShowUIPanel(wsWarlockConfigFrame);
		end
	);
	end
end

function wsWarlockConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_WARLOCK_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_WARLOCK_ENABLE_SOULSHARDS"));

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_WARLOCK_CASTBAR"));

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (WS_Warlock.SoulShardsCounter_Enable == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	if (WS_Warlock.WarlockSkillCounter_Enable == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	local slider1Text = getglobal(this:GetName().."Slider1Text");
	slider1Text:SetText(WS_WARLOCK_SPELL_zhCN);
	local slider1 = getglobal(this:GetName().."Slider1");
	slider1:SetMinMaxValues(0, 500);
	slider1:SetValueStep(10);
	slider1:SetValue(WS_Warlock.Skill1);
end

function wsWarlockConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local slider1 = getglobal(parent:GetName().."Slider1");

	checkButton1:SetChecked(1);
	checkButton2:SetChecked(1);
	slider1:SetValue(450);
end

function wsWarlockConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local slider1 = getglobal(parent:GetName().."Slider1");

	if (checkButton1:GetChecked()) then
		WS_Warlock.SoulShardsCounter_Enable = "1";
	else
		WS_Warlock.SoulShardsCounter_Enable = "0";
	end

	if (checkButton2:GetChecked()) then
		WS_Warlock.WarlockSkillCounter_Enable = "1";
	else
		WS_Warlock.WarlockSkillCounter_Enable = "0";
	end

	wsToggleSoulShardsCounter(WS_Warlock.SoulShardsCounter_Enable);

	WS_Warlock.Skill1 = slider1:GetValue();

	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("Warlock", WS_Warlock);
end

function wsWarlockConfigButton_OnEnter(id)
	if(GetLocale() ~= "zhCN") then
		return;
	end
	if(not id) then
		return;
	end
	local tip = "WS_WARLOCK_CONFIGTIP"..id;
	GameTooltip:SetOwner(this, "ANCHOR_TOPLEFT");
	wsFormatConfigTip(wsGetGameLocaleVariable(tip));
	GameTooltip:Show();
end