--[[
	Description: Fix for the issue with taint 
	preventing the petbar from showing/hiding normally
	when pet is called or dismissed during combat.
	Date: January 12, 2007
	Author: Driizt of Bronzebeard (EU)
	Tested: enGB, ver 2.0.3, 2.0.4, 2.0.5, 2.0.6, 2.0.7, 2.0.8, 2.0.10, 2.0.12, 2.1.0
]]

local _G = getfenv(0);
local broken = _G.GetBuildInfo();
broken = string.gsub(broken,"%.","");
broken = tonumber(broken);
if broken < 1000 then broken = broken * 10 end;
if --[[broken >= 2100 or]] broken < 2000 then return end;

function FixIncombatPetBar()
	if PetActionBarFrame then
		PetActionBarFrame:Show(); 
		PetActionBarFrame.locked=true;
		PetActionBarFrame:SetAttribute("unit", "pet");
		RegisterUnitWatch(PetActionBarFrame);
	end
end

--WarBabyWOW 
function FixPetBarPos()
	if PetActionBarFrame then
		if(not InCombatLockdown()) then
			PetActionBarFrame:SetPoint("TOPLEFT", MainMenuBar, "BOTTOMLEFT", PETACTIONBAR_XPOS, PETACTIONBAR_YPOS);
		end
	end
end

local PBF = CreateFrame("Frame","PetBarFix_Frame");
PBF:RegisterEvent("PLAYER_ENTERING_WORLD");
PBF:RegisterEvent("PLAYER_REGEN_DISABLED");
PBF:SetScript("OnEvent", function(this, arg1)
	if arg1 == "PLAYER_ENTERING_WORLD" then
		FixIncombatPetBar();
	elseif(arg1 == "PLAYER_REGEN_DISABLED") then
		FixPetBarPos();
	end
end
);

