﻿--***********************************************************************
--Title: wowshell core
--Description: A set of register and WSVar-access functions
--Author: Robin 月色狼影
--Revision: $Rev: 368 $
--LastUpadate: $Id: WoWShell.lua 368 2008-04-15 07:18:52Z 月色狼影 $
--:
--***********************************************************************

local Version = GetAddOnMetadata("WoWShell", "Version");
local Svnrev = tonumber(("$Rev: 368 $"):sub(7, -3));

WS_VERSION = WS_Verion_ToolTip.."|cFF34A2F7"..Version.." | "..Svnrev.."|r";
WS_CONFIG_MAX_SECTIONS = 3;
WS_CONFIG_MAX_CLASSES = 7;
WS_CONFIG_MAX_SLOTNUM = 19;

WS_CONFIG = {};
WS_CONFIG.LANG_CHINESE = 1;

local Original_PickupContainerItem;
local Original_PickupAction;
local Original_PlaceAction;
local original_UIDropDownMenu_AddButton;

CursorItem = {};
CursorAction = {};

function WS_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
	this:RegisterEvent("ADDON_LOADED");
	
	SlashCmdList["WSV"] = WS_ShowVersion;
	SLASH_WSV1 = "/wowshell";

	SLASH_RL1 = "/rl";
	SlashCmdList["RL"] = function(msg)
		ReloadUI()
	end

	hooksecurefunc("UnitPopup_OnClick",WS_UnitPopup_OnClick);
	hooksecurefunc("PickupContainerItem",WS_PickupContainerItem);

end

function WS_ShowVersion()
	wsAddMessage(WS_VERSION);
	ShowUIPanel(wsConfigFrame);
end

function wsAddMessage(msg)
	if(msg) then
		ChatFrame1:AddMessage("\124Tinterface\\icons\\Spell_unused2:16|t".."|cFF34A2F7<|r|cFF0065EFWoWShell|r|cFF34A2F7>:|r "..msg);
	else
		ChatFrame1:AddMessage("\124Tinterface\\icons\\Spell_unused2:16|t".."|cFF34A2F7<|r|cFF0065EFWoWShell|r|cFF34A2F7>:|r |cFFFF0000nil|r");
	end
end

function WS_PlaceAction(slot)
	CursorAction = {};
	Original_PlaceAction(slot);
end

function WS_UnitPopup_OnClick()
	local dropdownFrame = getglobal(UIDROPDOWNMENU_INIT_MENU);
	local button = this.value;
	local unit = dropdownFrame.unit;
	local name = dropdownFrame.name;

	if ( button == "FRIENDS" ) then
		AddFriend(name);
	elseif(button == "MAIL") then
		if(wsEM_AddMailList) then
			wsEM_AddMailList(name);
		end
	elseif(button == "COPY") then
		getglobal("wsCopyPopupFrameText"):SetText(WS_WOWSHELL_NAMECOPY);
		getglobal("wsCopyPopupFrameEditBox"):SetText(name);
		getglobal("wsCopyPopupFrameEditBox"):HighlightText();
		getglobal("wsCopyPopupFrameEditBox"):Show();
		getglobal("wsCopyPopupFrame"):Show();
	end

end

function WS_UIDropDownMenu_AddButton(info, level)
	if ( not level ) then
		level = 1;
	end

	local listFrame = getglobal("DropDownList"..level);
	local listFrameName = listFrame:GetName();
	local index = listFrame.numButtons + 1;

	if ( index > UIDROPDOWNMENU_MAXBUTTONS ) then
--		_ERRORMESSAGE("Too many buttons in UIDropDownMenu: "..UIDROPDOWNMENU_OPEN_MENU);
		return;
	end

	if ( level > UIDROPDOWNMENU_MAXLEVELS ) then
--		_ERRORMESSAGE("Too many levels in UIDropDownMenu: "..UIDROPDOWNMENU_OPEN_MENU);
		return;
	end

	original_UIDropDownMenu_AddButton(info, level);
end

function WS_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		local _,class = UnitClass("player");
		if select(2,UnitClass("player")) == "HUNTER" then
			LoadAddOn("Hunter");
			LoadAddOn("BeastTraining");
		end
		if(class and (class == "ROGUE" or class == "DRUID")) then
			LoadAddOn("EnergyWatch")
		end
		if(class and class == "WARLOCK") then
			LoadAddOn("Warlock")
		end
		if(class and class == "MAGE" or class == "DRUID" or class == "PRIEST" or class == "PALADIN" or class == "SHAMAN" ) then
			LoadAddOn("Decursive")
		end

		getglobal("TargetofTargetFrame"):RegisterForDrag("LeftButton");
		getglobal("TargetofTargetFrame"):SetScript("OnDragStart", 
			function()
				this:StartMoving();
			end
		);
		getglobal("TargetofTargetFrame"):SetScript("OnDragStop", 
			function()
				this:StopMovingOrSizing();
			end
		);
	elseif (event == "ADDON_LOADED") then
		if(arg1 == "Blizzard_RaidUI") then
			local frame = getglobal("RaidFrame");
			if (type(frame) == "table" and type(frame.SetScript) == "function") then
				frame:SetScript("OnShow", Fix_BlizzardUI_HookedRaidFrame_OnShow);
			end
		end
	end
end

function Fix_BlizzardUI_HookedRaidFrame_OnShow()
	local i;
	for i = 1, 40 do 
		local button = getglobal("RaidGroupButton"..i);
		if type(button) == "table" and button.unit then
			button:SetAttribute("type", "target");
			button:SetAttribute("unit", button.unit);
		end
	end
end

function wsGetWSVar(key)
	if (not key) then
		return nil;
	end

	local value = WS_CONFIG[key];

	return value;
end

function wsSetWSVar(key, value)
	if (not key) then
		return;
	end

	WS_CONFIG[key] = value;
end

function wsRegisterClass(section, name, title, tooltip, texture)
	local element = {};
	element.name = name;
	element.title = title;
	element.tooltip = tooltip;
	element.texture = texture;
	element.buttons = {};

	if ( section == nil ) then
		section = "Others";
	end

	local b = false;
	for i,v in pairs(wsUiConfig) do
		if ((v.name == section) and (table.getn(v.classes) < WS_CONFIG_MAX_CLASSES)) then--6
			table.insert(v.classes, element);
			b = true;
		end
	end
	if (not b) then
		DebugPrint("wsRegisterClass FAILED - "..name.." in "..section);
	end;
end

function wsRegisterButton(section, class, name, description, tooltip, icon, callback)
	local element = {};
	element.name = name;
	element.description = description;
	element.tooltip = tooltip;
	element.icon = icon;
	element.callback = callback;

	if (section == nil) then
		section = "MISC";
	end
	if (class == nil) then
		class = "General";
	end

	local b = false;
	for i,v in pairs(wsUiConfig) do
		if (v.name == section) then
			for j,w in pairs(v.classes) do
				if (w.name == class) then
					table.insert(w.buttons, element);
					b = true;
				end
			end
		end
	end
	if (not b) then
		DebugPrint("wsRegisterButton FAILED - "..name.." in "..class.." of "..section);
	end;
end

function wsShowKeyBindingFrame(arg)
	if (not arg) then
		return;
	end

	if(not KeyBindingFrameScrollFrameScrollBar) then
		LoadAddOn("Blizzard_BindingUI");
	end

	local numBindings = GetNumBindings();
	for i = 1, numBindings do
		local commandName = GetBinding(i);
		if ( commandName == arg ) then
			ShowUIPanel(KeyBindingFrame);
			KeyBindingFrameScrollFrameScrollBar:SetValue((i-1)*KEY_BINDING_HEIGHT);
		end
	end
end

function wsGetLocaleVariable(arg)
	if(not arg) then
		return nil;
	end

	local locale = GetLocale();
	if(locale == "zhCN") then
		return getglobal(arg.."_".."zhCN");
	elseif(locale == "zhTW") then
		return getglobal(arg.."_".."zhTW");
	else
		return getglobal(arg.."_".."enUS");
	end
end

function wsGetGameLocaleVariable(arg)
	if(not arg) then
		return nil;
	end

	local locale = GetLocale();
	if(locale == "zhCN") then
		return getglobal(arg.."_".."zhCN");
	elseif(locale == "zhTW") then
		return getglobal(arg.."_".."zhTW");
	else
		return getglobal(arg.."_".."enUS");
	end
end

function wsFormatConfigTip(tip)
	if(not tip) then
		return;
	end
	if(IsTable(tip)) then
		for i = 1 , getn(tip) , 1 do
			local linetip = tip[i];
			if(i == 1) then
				GameTooltip:AddLine(linetip, 1.0, 1.0, 1.0);
			else
				GameTooltip:AddLine(linetip, 0 , 1.0 , 0);
			end
		end
		return;
	end
	GameTooltip:AddLine(tip, 1.0, 1.0, 1.0);
end

function WS_NameFromLink(link)
	local name;
	if( not link ) then
		return nil;
	end
	if(string.find(link, "|c(%x+)|Hitem:(%d+):%d+:%d+:%d+:%d+:%d+:%d+:(.-)|h%[(.-)%]|h|r")) then
		local _,_,color, itemid, _, name = string.find(link, "|c(%x+)|Hitem:(%d+):%d+:%d+:%d+:%d+:%d+:%d+:(.-)|h%[(.-)%]|h|r")
		return name;
	end
	return nil;
end


function WS_FindContainerItemByLink(link)
	local itemLink;

	for bag = 0, NUM_BAG_FRAMES do
		for slot = 1, GetContainerNumSlots(bag) do
			itemLink = GetContainerItemLink(bag, slot);

			if (itemLink) then
				if (itemLink == link) then
					return bag, slot;
				end
			end
		end
	end

	return nil, nill;
end

function WS_FindInventoryByLink(link)
	for i = 1 , WS_CONFIG_MAX_SLOTNUM do
		local iLink = GetInventoryItemLink("player", i);
		if(iLink and iLink == link) then
			return i;
		end
	end
	return nil;
end

function WS_CountContainerItemByLink(link)
	local total = 0;
	local itemLink;
	local itemcount;
	
	for bag = 0, NUM_BAG_FRAMES do
		for slot = 1, GetContainerNumSlots(bag) do
			itemLink = GetContainerItemLink(bag, slot);

			if (itemLink ~= nil) then
				local _,_,itemLink = string.find(itemLink, "^.*%[(.*)%].*$");
				local _,_,name = string.find(link, "^.*%[(.*)%].*$");

				if  (itemLink == name) then
					_, itemcount = GetContainerItemInfo(bag, slot);
					total = total + itemcount;
				end
			end
		end
	end

	return total;
end

function WS_CountContainerItemByName(name)
	local total = 0;
	local itemLink;
	local itemName;
	local itemcount;
	
	for bag = 0, NUM_BAG_FRAMES do
		for slot = 1, GetContainerNumSlots(bag) do
			itemLink = GetContainerItemLink(bag, slot);

			if (itemLink ~= nil) then
				itemName = WS_NameFromLink(itemLink);

				if  (itemName == name) then
					_, itemcount = GetContainerItemInfo(bag, slot);
					total = total + itemcount;
				end
			end
		end
	end

	return total;
end

function WS_PickupContainerItem(bag, slot)
	if(CursorHasItem()) then
		local link = GetContainerItemLink(bag, slot);
		local texture, itemcount, locked, quality, readable = GetContainerItemInfo(bag, slot);

		CursorItem.Link = link;
		CursorItem.Bag = bag;
		CursorItem.Slot = slot;
		CursorItem.Texture = texture;
		CursorItem.Count = itemcount;
		CursorItem.Locked = locked;
		CursorItem.Quality = quality;
		CursorAction = {};
	end
end

function WS_PickupAction(slot)
	CursorAction.Slot = slot;
	CursorAction.Name = WS_GetNameByActionSlot(slot);
	CursorAction.Rank = WS_GetRankByActionSlot(slot);
	CursorAction.ID = WS_GetSpellIDByName(CursorAction.Name , CursorAction.Rank);
	if(CursorAction.ID) then
		CursorAction.Texture = GetSpellTexture(CursorAction.ID, SpellBookFrame.bookType);
	else
		CursorAction.Texture = nil;
	end
	CursorItem = {};
	Original_PickupAction(slot);
end

function WS_GetNameByActionSlot(slot)
	local name;
	getglobal("wsGameTooltip"):SetAction(slot);
	name = getglobal("wsGameTooltipTextLeft1"):GetText();
	return name;
end

function WS_GetRankByActionSlot(slot)
	local rank;
	local lable = getglobal("wsGameTooltipTextRight1");
	getglobal("wsGameTooltip"):SetAction(slot);
	if(lable and lable:IsShown()) then
		rank = lable:GetText();
	else
		rank = "";
	end
	return rank;
end

function WS_GetSpellIDByName(name , rank)
	local max = WS_GetTotalSpellNum();
	for i = 1 , max , 1 do
		local spell_name, spell_rank = GetSpellName(i, SpellBookFrame.bookType);

		if(spell_name == name and spell_rank == rank) then
			return i; 
		end
	end	
end

function WS_GetTotalSpellNum()
	local total = 0;
	for i = 1 , MAX_SKILLLINE_TABS , 1 do
		local name, texture, offset, numSpells = GetSpellTabInfo(i);
		if(numSpells) then
			total = total + numSpells;
		end
	end
	return total;
end

