--[[
* wowshell设置面板按钮部分
* 基于原始版本进行大量的修改

]]--
UIPanelWindows["wsConfigFrame"] =		{ area = "left",	pushable = -1 };

WS_CONFIG_MAX_TABBUTTONS = 3;
WS_CONFIG_MAX_LINETABBUTTONS = 8;
WS_CONFIG_MAX_BUTTIONS = 14;
WS_CONFIG_CUR_SECTION = 1;
WS_CONFIG_CUR_CLASS = 1;
WS_CONFIG_CUR_PAGE = 1;
WS_CONFIG_TOTAL_PAGES = 1;

wsUiConfig = {};
WS_CONFIG_SEC_1 = "General";
WS_CONFIG_SEC_2 = "Continued";
WS_CONFIG_SEC_3 = "Misc";

WS_CONFIG_LASTCLICKEDBUTTON = nil;

function wsConfigFrame_Init()
	-- Intialize the sections
	local section = {};
	section.name = WS_CONFIG_SEC_1;
	section.classes = {};
	table.insert(wsUiConfig, section);

	section = {};
	section.name = WS_CONFIG_SEC_2;
	section.classes = {};
	table.insert(wsUiConfig, section);

	section = {};
	section.name = WS_CONFIG_SEC_3;
	section.classes = {};
	table.insert(wsUiConfig, section);

	-- Intialize the classes
	--wsRegisterClass(按钮参数, 类型, 标题, 提示, 材质)
	wsRegisterClass(WS_CONFIG_SEC_1, "General", wsGetLocaleVariable("WS_WOWSHELL_GENERAL_TITLE"),wsGetLocaleVariable("WS_WOWSHELL_GENERAL_TOOLTIP"), "Interface\\Icons\\Spell_Nature_WispSplode");

	wsRegisterClass(WS_CONFIG_SEC_1, "UserIn", wsGetLocaleVariable("WS_WOWSHELL_UI_TITLE"),wsGetLocaleVariable("WS_WOWSHELL_UI_TOOLTIP"), "Interface\\Icons\\Spell_Holy_Dizzy");

	wsRegisterClass(WS_CONFIG_SEC_1, "Item", wsGetLocaleVariable("WS_WOWSHELL_ITEM_TITLE"),wsGetLocaleVariable("WS_WOWSHELL_ITEM_TOOLTIP"), "Interface\\Icons\\INV_Misc_Bag_FelclothBag");

	wsRegisterClass(WS_CONFIG_SEC_1, "Class", wsGetLocaleVariable("WS_WOWSHELL_CLASS_TITLE"),wsGetLocaleVariable("WS_WOWSHELL_CLASS_TOOLTIP"), "Interface\\Icons\\INV_Staff_05");

	wsRegisterClass(WS_CONFIG_SEC_1, "Combat", wsGetLocaleVariable("WS_WOWSHELL_COMBAT_TITLE"),wsGetLocaleVariable("WS_WOWSHELL_COMBAT_TOOLTIP"), "Interface\\Icons\\Ability_DualWield");

	wsRegisterClass(WS_CONFIG_SEC_1, "Others", wsGetLocaleVariable("WS_WOWSHELL_OTHERS_TITLE"),wsGetLocaleVariable("WS_WOWSHELL_OTHERS_TOOLTIP"), "Interface\\Icons\\INV_Gizmo_02");

	wsRegisterClass(WS_CONFIG_SEC_1, "Raid", wsGetLocaleVariable("WS_WOWSHELL_RAID_TITLE"),wsGetLocaleVariable("WS_WOWSHELL_RAID_TOOLTIP"), "Interface\\Icons\\Spell_unused2");

--	wsRegisterClass(WS_CONFIG_SEC_1, "CLASS6", "Tooltip: CLASS6", "Interface\\Icons\\INV_Misc_Bag_06");

	getglobal("wsWoWShellVersionText"):SetText(WS_VERSION);
end;

function wsConfigFrame_OnLoad()
	SlashCmdList["LANG"] = wsToggleLangChinese;
	SLASH_LANG1 = "/lang";

	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_WOWSHELL_TITLE"));

	wsConfigFrame_Init();
end

function wsConfigFrame_OnShow()
	wsConfigFrameTabButton_OnClick(WS_CONFIG_CUR_SECTION);
end

function wsConfigFrameTabButton_OnClick(id)
	if (not id) then
		id = 1;
	end

	for i=1, WS_CONFIG_MAX_LINETABBUTTONS do
		getglobal("wsConfigFrameLineTab"..i):Hide();
	end

	local tab;
	for i=1, table.getn(wsUiConfig) do
		tab = getglobal("wsConfigFrameTabButton"..i);
		if (tab) then
			tab:SetText(wsUiConfig[i].name);
			if (i == id) then
				tab:Disable();
			else
				tab:Enable();
			end
			--tab:Show();
		end
	end

	local classes = wsUiConfig[id].classes;
	for i=1, table.getn(classes) do
		local lineTab = getglobal("wsConfigFrameLineTab"..i);
		if (lineTab) then
			lineTab.title = classes[i].title;
			lineTab.tooltip = "|cffFFFFFF"..classes[i].tooltip.."|r";
			lineTab:SetNormalTexture(classes[i].texture);
			lineTab:Show();
		end
	end

	WS_CONFIG_CUR_SECTION = id;
	wsConfigFrameLineTab_OnClick(1);
end

function wsConfigFrameLineTab_OnClick(id)
	if (not id) then
		id = 1;
	end

	for i=1, WS_CONFIG_MAX_LINETABBUTTONS do
		local lineTab = getglobal("wsConfigFrameLineTab"..i);
		lineTab:SetChecked(nil);
		if (i == id) then
			lineTab:SetChecked(1);
		end
	end

	WS_CONFIG_CUR_CLASS = id;
	WS_CONFIG_CUR_PAGE = 1;
	WS_CONFIG_TOTAL_PAGES = 1;

	wsConfigFrameUpdateButtons();
end

function wsConfigFrameUpdateButtons()
	for i=1, WS_CONFIG_MAX_BUTTIONS do
		local button = getglobal("wsConfigFrameButton"..i);
		if (button) then
			local buttonName = getglobal("wsConfigFrameButton"..i.."Name");
			local buttonDescription = getglobal("wsConfigFrameButton"..i.."Description");
			local buttonTexture = getglobal("wsConfigFrameButton"..i.."IconTexture");

			button:Hide();
			buttonName:Hide();
			buttonDescription:Hide();
			buttonTexture:Hide();
			button.tooltip = nil;
			button.callback = nil;
		end
	end;

	local class = wsUiConfig[WS_CONFIG_CUR_SECTION].classes[WS_CONFIG_CUR_CLASS];
	if (class) then
		local buttons = class.buttons;

		WS_CONFIG_TOTAL_PAGES = ceil(table.getn(buttons)/WS_CONFIG_MAX_BUTTIONS);
		for i=1, WS_CONFIG_MAX_BUTTIONS do
			local button = getglobal("wsConfigFrameButton"..i);
			local abtn = buttons[i+(WS_CONFIG_CUR_PAGE-1)*WS_CONFIG_MAX_BUTTIONS];
			if (button and abtn) then
				local buttonName = getglobal("wsConfigFrameButton"..i.."Name");
				local buttonDescription = getglobal("wsConfigFrameButton"..i.."Description");
				local buttonTexture = getglobal("wsConfigFrameButton"..i.."IconTexture");

				buttonName:SetText(abtn.name);
				buttonDescription:SetText(abtn.description);
				buttonTexture:SetTexture(abtn.icon);
				button.tooltip = abtn.tooltip;
				button.callback = abtn.callback;
				button:Show();
				buttonName:Show();
				buttonDescription:Show();
				buttonTexture:Show();
			end
		end
	end

	wsConfigFrameUpdatePageArrows();
end

function wsConfigFrameUpdatePageArrows()
	local pageText = getglobal("wsConfigFramePageText");
	pageText:SetText(format(TEXT(PAGE_NUMBER), WS_CONFIG_CUR_PAGE));

	local prevPageButton = getglobal("wsConfigFramePrevPageButton");
	if (WS_CONFIG_CUR_PAGE > 1) then
		prevPageButton:Enable();
	else
		prevPageButton:Disable();
	end

	local nextPageButton = getglobal("wsConfigFrameNextPageButton");
	if (WS_CONFIG_CUR_PAGE < WS_CONFIG_TOTAL_PAGES) then
		nextPageButton:Enable();
	else
		nextPageButton:Disable();
	end
end

function wsConfigFramePrevPageButton_OnClick()
	if (WS_CONFIG_CUR_PAGE > 1) then
		WS_CONFIG_CUR_PAGE = WS_CONFIG_CUR_PAGE - 1;
	end
	wsConfigFrameUpdateButtons();
end

function wsConfigFrameNextPageButton_OnClick()
	if (WS_CONFIG_CUR_PAGE < WS_CONFIG_TOTAL_PAGES) then
		WS_CONFIG_CUR_PAGE = WS_CONFIG_CUR_PAGE + 1;
	end
	wsConfigFrameUpdateButtons();
end

function wsConfigFrameButton_OnClick(id)
	if (not id) then
		DebugPrint("wsConfigFrameButton_OnClick: nil id");
		return;
	end
	this:SetChecked(1);
	if (this.callback) then
		if (type(this.callback) == "function") then
			local centerFrame = GetUIPanel("center");
			if (centerFrame) then
			--fix 2.3.2
			HideUIPanel();
			end
			this.callback();
		end
	end
	this:SetChecked(nil);
end

function wsToggleLangChinese(arg)
	if (arg == "0") then
		WS_CONFIG.LANG_CHINESE = 0;
		ChatFrame1:AddMessage("WoWShell language was set to English.");
		ChatFrame1:AddMessage("Please logout and relogin to apply the change.");
	elseif (arg =="1") then
		WS_CONFIG.LANG_CHINESE = 1;
		ChatFrame1:AddMessage("WoWShell language was set to Chinese.");
		ChatFrame1:AddMessage("Please logout and relogin to apply the change.");
	else
		if (WS_CONFIG.LANG_CHINESE == 1) then
			ChatFrame1:AddMessage("Current WoWShell language is Chinese.");
		else
			ChatFrame1:AddMessage("Current WoWShell language is English.");
		end
	end
end

