----------------------------------------------
--  wowshell CooldownCount GUI Options Frame
--  精灵冷却计时设置界面
--  初级应用BLZ optionPanel
--  作者: 月色狼影
--  $LastChangedBy: 月色狼影 $
--  $Rev: 386 $
--  $Date: 2008-04-17 13:19:18 +0800 (星期四, 17 四月 2008) $
----------------------------------------------

local _G = getfenv(0)
local temp;
local L = wsGetLocaleVariable;

BuffPoint = {
	["左"] = "LEFT",
	["居中"] = "CENTER",
	["右"] = "RIGHT",
	["上"] = "TOP",
	["下"] = "BOTTOM",
	["左上"] = "TOPLEFT",
	["右上"] = "TOPRIGHT",
	["左下"] = "BOTTOMLEFT",
	["右下"] = "BOTTOMRIGHT"
}

do

	--CreateFrame
	wsCC_OptionsFrame = CreateFrame("Frame", "ws_OptionsFrame", InterfaceOptionsFramePanelContainer);

	--CreateTitle
	local temp = GetAddOnMetadata("wsCC", "Title");
	wsCC_title = wsCC_OptionsFrame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge");
	wsCC_title:SetJustifyH("LEFT");
	wsCC_title:SetJustifyV("TOP");
	wsCC_title:SetPoint("TOPLEFT", 14, -14)
	wsCC_title:SetText(temp);
	wsCC_OptionsFrame.name = temp--show title in Blz panel addon list
	if (wsRegisterButton) then
		wsRegisterButton(
			WS_CONFIG_SEC_1,
			"UserIn",
			"冷却计时",
			"技能,物品冷却计时",
			"点击打开设置界面",
			"Interface\\Icons\\Spell_Nature_UnrelentingStorm",
			function()
				InterfaceOptionsFrame_OpenToFrame(temp);
			end--open
		);
	end

	--add Reset button
	CreateFrame("Button", "wsCC_ResetButton", wsCC_OptionsFrame, "UIPanelButtonGrayTemplate")
	wsCC_ResetButton:SetPoint("BOTTOMRIGHT", 0, 0);
	wsCC_ResetButton:SetWidth(90);
	wsCC_ResetButton:SetHeight(20);
	wsCC_ResetButton:SetText(RESET);
	wsCC_ResetButton:SetScript("OnClick", function()
		wsCC:GetDefault()
		ReloadUI();
	end);
	wsCC_ResetButton:SetScript("OnEnter", function(self)
		GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
		GameTooltip:SetText("点击此按钮,将恢复默认值.\n注意: 重置后将会重载界面!")
	end);
	wsCC_ResetButton:SetScript("OnLeave", function(self)
		GameTooltip:Hide();
	end);

	--create BOX frame
	CreateFrame("Frame", "wsCC_FontBoxFrame", wsCC_OptionsFrame, "OptionFrameBoxTemplate");
	wsCC_FontBoxFrame:SetPoint("TOPRIGHT", -8, -26);
	wsCC_FontBoxFrame:SetWidth(140);
	wsCC_FontBoxFrame:SetHeight(180);
	wsCC_FontBoxFrame:SetBackdropBorderColor(0.4, 0.4, 0.4);
	wsCC_FontBoxFrame:SetBackdropColor(0.15, 0.15, 0.15);
	wsCC_FontBoxFrameTitle:SetText(NORMAL_FONT_COLOR_CODE.."设置冷却时间|r")

	--font set: spell buff 物品 + 显示冷却计时
		--checkbutton
		CreateFrame("CheckButton", "wsCC_ShowSpellNum", wsCC_FontBoxFrame, "InterfaceOptionsCheckButtonTemplate");
		wsCC_ShowSpellNum:SetPoint("TOPLEFT", 10, -10);
		wsCC_ShowSpellNum:SetHitRectInsets(0, -40, 0, 0);
		wsCC_ShowSpellNumText:SetText("显示冷却时间");
		wsCC_ShowSpellNum:SetScript("OnClick", function(self) 
			if (wsCCDB.Other.num) then
				wsCCDB.Other.num = false;
			else
				wsCCDB.Other.num = true;
			end
			self:SetChecked(wsCCDB.Other.num);
			if (self:GetChecked()) then
				PlaySound("igMainMenuOptionCheckBoxOff");
			else
				PlaySound("igMainMenuOptionCheckBoxOn");
			end
		end);
		wsCC_ShowSpellNum:SetScript("OnEnter", function(self)
			GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
			GameTooltip:SetText("在动作条上, 目标debuff, \n物品上显示冷却时间", nil, nil, nil, nil, 1);		
		end);
		wsCC_ShowSpellNum:SetScript("OnLeave", function(self) 
			GameTooltip:Hide();
		end);

		--slider for spell item buff
		--Spell action
		CreateFrame("Slider", "wsCC_SpellNumSize", wsCC_FontBoxFrame, "InterfaceOptionsSliderTemplate")
		wsCC_SpellNumSize:SetWidth(100);
		wsCC_SpellNumSize:SetHeight(16);
		wsCC_SpellNumSize:SetPoint("TOPLEFT", 14, -52);
		wsCC_SpellNumSizeText:SetText("技能字体尺寸 ");
		wsCC_SpellNumSizeLow:SetText("关闭")
		wsCC_SpellNumSizeHigh:SetText(30);
		wsCC_SpellNumSize:SetMinMaxValues(1, 30);
		wsCC_SpellNumSize:SetValueStep(1);
		wsCC_SpellNumSize:SetScript("OnValueChanged", function(self, value)
			wsCC_SpellNumSizeText:SetText("技能字体尺寸 "..GREEN_FONT_COLOR_CODE..value..FONT_COLOR_CODE_CLOSE);
			wsCCDB.Spell.size = value;
			wsCCDB.Action.size = value;
		end);
		wsCC_SpellNumSize:SetScript("OnEnter", function(self) 
			GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
			GameTooltip:SetText("设置在动作上冷却时间数字大小尺寸", nil, nil, nil, nil, 1);
		end);
		wsCC_SpellNumSize:SetScript("OnLeave", function(self)
			GameTooltip:Hide();
		end);

		-- Item Slider
		CreateFrame("Slider", "wsCC_ItemNumSize", wsCC_FontBoxFrame, "InterfaceOptionsSliderTemplate");
		wsCC_ItemNumSize:SetWidth(100);
		wsCC_ItemNumSize:SetHeight(16);
		wsCC_ItemNumSize:SetPoint("TOPLEFT", 14, -95);
		wsCC_ItemNumSizeText:SetText("物品字体尺寸 ");
		wsCC_ItemNumSizeLow:SetText("关闭");
		wsCC_ItemNumSizeHigh:SetText(30);
		wsCC_ItemNumSize:SetMinMaxValues(1, 30);
		wsCC_ItemNumSize:SetValueStep(1);
		wsCC_ItemNumSize:SetScript("OnValueChanged", function(self, value) 
			wsCC_ItemNumSizeText:SetText("物品字体尺寸 "..GREEN_FONT_COLOR_CODE..value..FONT_COLOR_CODE_CLOSE);
			wsCCDB.Item.size = value;		
		end);
		wsCC_ItemNumSize:SetScript("OnEnter", function(self) 
			GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
			GameTooltip:SetText("设置物品冷却时间数字大小尺寸", nil, nil, nil, nil, 1);
		end);
		wsCC_ItemNumSize:SetScript("OnLeave", function(self)
			GameTooltip:Hide();
		end);
		
		--debuff Slider
		CreateFrame("Slider", "wsCC_BuffNumSize", wsCC_FontBoxFrame, "InterfaceOptionsSliderTemplate");
		wsCC_BuffNumSize:SetWidth(100);
		wsCC_BuffNumSize:SetHeight(16);
		wsCC_BuffNumSize:SetPoint("TOPLEFT", 14, -139);
		wsCC_BuffNumSizeText:SetText("目标字体尺寸 ");
		wsCC_BuffNumSizeLow:SetText("关闭");
		wsCC_BuffNumSizeHigh:SetText(16);
		wsCC_BuffNumSize:SetMinMaxValues(1, 16);
		wsCC_BuffNumSize:SetValueStep(1);
		wsCC_BuffNumSize:SetScript("OnValueChanged", function(self, value)
			wsCC_BuffNumSizeText:SetText("目标字体尺寸 "..GREEN_FONT_COLOR_CODE..value..FONT_COLOR_CODE_CLOSE);
			wsCCDB.Buff.size = value; 
		end);
		wsCC_BuffNumSize:SetScript("OnEnter", function(self)
			GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
			GameTooltip:SetText("你对目标施放Buff/Debuff的持续时间.\n设置其持续时间数字的尺寸");
		end);
		wsCC_BuffNumSize:SetScript("OnLeave", function(self)
			GameTooltip:Hide();
		end);
	--over

	--相关参数设置
		--闪光, 声音, 文字提示, spell多少秒后计时(当1秒不会进行计时), buff显示位置. 
		--Create ohter Box Frame
	CreateFrame("Frame", "wsCC_GernalBoxFrame", wsCC_OptionsFrame, "OptionFrameBoxTemplate");
	wsCC_GernalBoxFrame:SetPoint("TOPLEFT", 10, -32);
	wsCC_GernalBoxFrame:SetWidth(220);
	wsCC_GernalBoxFrame:SetHeight(174);
	wsCC_GernalBoxFrame:SetBackdropBorderColor(0.4, 0.4, 0.4);
	wsCC_GernalBoxFrame:SetBackdropColor(0.15, 0.15, 0.15);
	--内置
		--开启 动作条, 宠物以及物品
		--动作条
		CreateFrame("CheckButton", "wsCC_ToggleAction", wsCC_GernalBoxFrame, "InterfaceOptionsCheckButtonTemplate");
		wsCC_ToggleAction:SetPoint("TOPLEFT", 10, -10);
		wsCC_ToggleAction:SetHitRectInsets(0, -40, 0, 0);
		wsCC_ToggleActionText:SetText("启用动作条冷却计时");
		wsCC_ToggleAction:SetScript("OnClick", function(self)
			if wsCCDB.Action.config then
				wsCCDB.Action.config = false;
			else
				wsCCDB.Action.config = true;
			end
			self:SetChecked(wsCCDB.Action.config);
			if ( self:GetChecked() ) then
				PlaySound("igMainMenuOptionCheckBoxOff");
			else
				PlaySound("igMainMenuOptionCheckBoxOn");
			end
		end);
		wsCC_ToggleAction:SetScript("OnEnter", function(self)
			GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
			GameTooltip:SetText("启用/禁止动作条法术冷却计时.\n\n禁用后将无法显示冷却计时时间,\n闪光,声音提示");
		end);
		wsCC_ToggleAction:SetScript("OnLeave", function(self)
			GameTooltip:Hide();
		end);

		--pet
		CreateFrame("CheckButton", "wsCC_TogglePet", wsCC_GernalBoxFrame, "InterfaceOptionsCheckButtonTemplate");
		wsCC_TogglePet:SetPoint("TOPLEFT", 10, -32);
		wsCC_TogglePet:SetHitRectInsets(0, -40, 0, 0);
		wsCC_TogglePetText:SetText("启用宠物条冷却计时");
		wsCC_TogglePet:SetScript("OnClick", function(self)
			if wsCCDB.Pet.config then
				wsCCDB.Pet.config = false;
			else
				wsCCDB.Pet.config = true;
			end
			self:SetChecked(wsCCDB.Pet.config);
			if ( self:GetChecked() ) then
				PlaySound("igMainMenuOptionCheckBoxOff");
			else
				PlaySound("igMainMenuOptionCheckBoxOn");
			end
		end);
		wsCC_TogglePet:SetScript("OnEnter", function(self)
			GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
			GameTooltip:SetText("启用/禁止宠物法术冷却计时.\n\n禁用后将无法显示冷却计时时间,\n闪光,声音提示");
		end);
		wsCC_TogglePet:SetScript("OnLeave", function(self)
			GameTooltip:Hide();
		end);

		--Item
		CreateFrame("CheckButton", "wsCC_ToggleItem", wsCC_GernalBoxFrame, "InterfaceOptionsCheckButtonTemplate");
		wsCC_ToggleItem:SetPoint("TOPLEFT", 10, -54);
		wsCC_ToggleItem:SetHitRectInsets(0, -40, 0, 0);
		wsCC_ToggleItemText:SetText("启用物品冷却计时");
		wsCC_ToggleItem:SetScript("OnClick", function(self)
			if wsCCDB.Item.config then
				wsCCDB.Item.config = false;
			else
				wsCCDB.Item.config = true;
			end
			self:SetChecked(wsCCDB.Item.config);
			if ( self:GetChecked() ) then
				PlaySound("igMainMenuOptionCheckBoxOff");
			else
				PlaySound("igMainMenuOptionCheckBoxOn");
			end
		end);
		wsCC_ToggleItem:SetScript("OnEnter", function(self)
			GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
			GameTooltip:SetText("启用/禁止物品冷却计时.\n\n禁用后将无法显示冷却计时时间,\n闪光,声音提示");
		end);
		wsCC_ToggleItem:SetScript("OnLeave", function(self)
			GameTooltip:Hide();
		end);

		--声音设置
		--sound warn checkbutton
		CreateFrame("CheckButton", "wsCC_SoundOptions", wsCC_GernalBoxFrame, "InterfaceOptionsCheckButtonTemplate");
		wsCC_SoundOptions:SetPoint("TOPLEFT", 10, -76);
		wsCC_SoundOptions:SetHitRectInsets(0, -40, 0, 0);
		wsCC_SoundOptionsText:SetText("开启声音提示效果");
		wsCC_SoundOptions:SetScript("OnClick", function(self)
			if (wsCCDB.Action.sound) then
				wsCCDB.Action.sound = false;
				wsCCDB.Pet.sound = false;
			else
				wsCCDB.Action.sound = true;
				wsCCDB.Pet.sound = true;
			end
			self:SetChecked(wsCCDB.Action.sound)
			if ( self:GetChecked() ) then
				PlaySound("igMainMenuOptionCheckBoxOff");
			else
				PlaySound("igMainMenuOptionCheckBoxOn");
			end
		end);
		wsCC_SoundOptions:SetScript("OnEnter", function(self)
			GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
			GameTooltip:SetText("当技能冷却终了时, 会发出心跳声提示\n你.同时设置宠物和动作条冷却");
		end);
		wsCC_SoundOptions:SetScript("OnLeave", function(self)
			GameTooltip:Hide();
		end);

		--文字提示
		CreateFrame("CheckButton", "wsCC_TextOptions", wsCC_GernalBoxFrame, "InterfaceOptionsCheckButtonTemplate");
		wsCC_TextOptions:SetPoint("TOPLEFT", 10, -98);
		wsCC_TextOptions:SetHitRectInsets(0, -40, 0, 0);
		wsCC_TextOptionsText:SetText("开启文字提示效果");
		wsCC_TextOptions:SetScript("OnClick", function(self)
			if (wsCCDB.Other.text) then
				wsCCDB.Other.text = false;
			else
				wsCCDB.Other.text = true;
			end
			self:SetChecked(wsCCDB.Other.text)
			if ( self:GetChecked() ) then
				PlaySound("igMainMenuOptionCheckBoxOff");
			else
				PlaySound("igMainMenuOptionCheckBoxOn");
			end
		end);
		wsCC_TextOptions:SetScript("OnEnter", function(self)
			GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
			GameTooltip:SetText("当技能冷却终了时, 在屏幕中间\n文字提示.");
		end);
		wsCC_TextOptions:SetScript("OnLeave", function(self)
			GameTooltip:Hide();
		end);
		
		--系统效果
		CreateFrame("CheckButton", "wsCC_BuffSystem", wsCC_GernalBoxFrame, "InterfaceOptionsCheckButtonTemplate");
		wsCC_BuffSystem:SetPoint("TOPLEFT", 10, -120);
		wsCC_BuffSystem:SetHitRectInsets(0, -40, 0, 0);
		wsCC_BuffSystemText:SetText("隐藏系统冷却效果");
		wsCC_BuffSystem:SetScript("OnClick", function(self)
			if (wsCCDB.Buff.hide) then
				wsCCDB.Buff.hide = false;
			else
				wsCCDB.Buff.hide = true;
			end
			self:SetChecked(wsCCDB.Buff.hide)
			if ( self:GetChecked() ) then
				PlaySound("igMainMenuOptionCheckBoxOff");
			else
				PlaySound("igMainMenuOptionCheckBoxOn");
			end
		end);
		wsCC_BuffSystem:SetScript("OnEnter", function(self)
			GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
			GameTooltip:SetText("隐藏目标Buff/Debuff系统转圈效果.");
		end);
		wsCC_BuffSystem:SetScript("OnLeave", function(self)
			GameTooltip:Hide();
		end);
		
	
	
	
	--包含闪光, 屏幕中间显示图标功能
	CreateFrame("Frame", "wsCC_OtherBoxFrame", wsCC_OptionsFrame, "OptionFrameBoxTemplate");
	wsCC_OtherBoxFrame:SetPoint("TOPLEFT", 10, -208);
	wsCC_OtherBoxFrame:SetWidth(366)
	wsCC_OtherBoxFrame:SetHeight(177);
	wsCC_OtherBoxFrame:SetBackdropBorderColor(0.3, 0.3, 0.3);
	wsCC_OtherBoxFrame:SetBackdropColor(0.15, 0.15, 0.15);

	--闪光
		--spell
		CreateFrame("CheckButton", "wsCC_SpellShine", wsCC_OtherBoxFrame, "InterfaceOptionsCheckButtonTemplate");
		wsCC_SpellShine:SetPoint("TOPLEFT", 10, -10);
		wsCC_SpellShine:SetHitRectInsets(0, -40, 0, 0);
		wsCC_SpellShineText:SetText("启用技能闪光");
		wsCC_SpellShine:SetScript("OnClick", function(self)
			if wsCCDB.Action.shine then
				wsCCDB.Action.shine = false;
			else
				wsCCDB.Action.shine = true;
			end
			self:SetChecked(wsCCDB.Action.shine);
			if ( self:GetChecked() ) then
				PlaySound("igMainMenuOptionCheckBoxOff");
			else
				PlaySound("igMainMenuOptionCheckBoxOn");
			end
		end);
		wsCC_SpellShine:SetScript("OnEnter", function(self)
			GameTooltip:SetOwner(self, "ANCHOR_RIGHT")
			GameTooltip:SetText("动作条上显示闪光效果");
		end);
		wsCC_SpellShine:SetScript("OnLeave", function(self)
			GameTooltip:Hide();
		end);


		--pet
		CreateFrame("CheckButton", "wsCC_PetShine", wsCC_OtherBoxFrame, "InterfaceOptionsCheckButtonTemplate");
		wsCC_PetShine:SetPoint("TOPLEFT", 10, -32);
		wsCC_PetShine:SetHitRectInsets(0, -40, 0, 0);
		wsCC_PetShineText:SetText("宠物条启用闪光");
		wsCC_PetShine:SetScript("OnClick", function(self)
			if wsCCDB.Pet.shine then
				wsCCDB.Pet.shine = false;
			else
				wsCCDB.Pet.shine = true;
			end
			self:SetChecked(wsCCDB.Pet.shine);
			if ( self:GetChecked() ) then
				PlaySound("igMainMenuOptionCheckBoxOff");
			else
				PlaySound("igMainMenuOptionCheckBoxOn");
			end
		end);
		wsCC_PetShine:SetScript("OnEnter", function(self)
			GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
			GameTooltip:SetText("宠物动作条上显示闪光效果");
		end);
		wsCC_PetShine:SetScript("OnLeave", function(self)
			GameTooltip:Hide();
		end);
	--screen center show ICON
		--spell
		CreateFrame("CheckButton", "wsCC_SpellCenter", wsCC_OtherBoxFrame, "InterfaceOptionsCheckButtonTemplate");
		wsCC_SpellCenter:SetPoint("TOPLEFT", 10, -54);
		wsCC_SpellCenter:SetHitRectInsets(0, -40, 0, 0);
		wsCC_SpellCenterText:SetText("技能冷却中部提示");
		wsCC_SpellCenter:SetScript("OnClick", function(self)
			if wsCCDB.Action.center then
				wsCCDB.Action.center = false;
			else
				wsCCDB.Action.center = true;
			end
			self:SetChecked(wsCCDB.Action.center);
			if ( self:GetChecked() ) then
				PlaySound("igMainMenuOptionCheckBoxOff");
			else
				PlaySound("igMainMenuOptionCheckBoxOn");
			end
		end);
		wsCC_SpellCenter:SetScript("OnEnter", function(self)
			GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
			GameTooltip:SetText("当技能冷却结束时,在屏幕\n中间显示技能图标");
		end);
		wsCC_SpellCenter:SetScript("OnLeave", function(self)
			GameTooltip:Hide();
		end);
		--pet
		CreateFrame("CheckButton", "wsCC_PetCenter", wsCC_OtherBoxFrame, "InterfaceOptionsCheckButtonTemplate");
		wsCC_PetCenter:SetPoint("TOPLEFT", 10, -76);
		wsCC_PetCenter:SetHitRectInsets(0, -40, 0, 0);
		wsCC_PetCenterText:SetText("宠物技能中部提示");
		wsCC_PetCenter:SetScript("OnClick", function(self)
			if wsCCDB.Pet.center then
				wsCCDB.Pet.center = false;
			else
				wsCCDB.Pet.center = true;
			end
			self:SetChecked(wsCCDB.Pet.center);
			if ( self:GetChecked() ) then
				PlaySound("igMainMenuOptionCheckBoxOff");
			else
				PlaySound("igMainMenuOptionCheckBoxOn");
			end
		end);
		wsCC_PetCenter:SetScript("OnEnter", function(self)
			GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
			GameTooltip:SetText("宠物技能冷却结束时,在屏幕\n中间显示技能图标提示.")
		end);
		wsCC_PetCenter:SetScript("OnLeave", function(self)
			GameTooltip:Hide()
		end);

		--设置shine形状
			--Title
		local wsCC_SetShineTitle = wsCC_OtherBoxFrame:CreateFontString(nil, "ARTWORK", "GameFontNormal");
		wsCC_SetShineTitle:SetJustifyH("TOP");
		wsCC_SetShineTitle:SetJustifyV("LEFT");
		wsCC_SetShineTitle:SetPoint("TOPLEFT", 8, -108);
		wsCC_SetShineTitle:SetText("设置图标闪烁形状: ");
			--set UIDropDown
		CreateFrame("Frame", "wsCC_ShineDropdown", wsCC_OtherBoxFrame, "UIDropDownMenuTemplate");
		wsCC_ShineDropdown:SetPoint("TOPLEFT", -2, -138);
		wsCC_ShineDropdown:SetHitRectInsets(16, 16, 0, 0);
		UIDropDownMenu_SetWidth(120, wsCC_ShineDropdown);
		UIDropDownMenu_EnableDropDown(wsCC_ShineDropdown);

		--设置提示时间 Action.min
		CreateFrame("Slider", "wsCC_TimeMinset", wsCC_OtherBoxFrame, "InterfaceOptionsSliderTemplate");
		wsCC_TimeMinset:SetWidth(100);
		wsCC_TimeMinset:SetHeight(16);
		wsCC_TimeMinset:SetPoint("TOPRIGHT", -40, -25);
		wsCC_TimeMinsetText:SetText("时间下限: ")
		wsCC_TimeMinsetLow:SetText(1);
		wsCC_TimeMinsetHigh:SetText(10);
		wsCC_TimeMinset:SetMinMaxValues(1, 10);
		wsCC_TimeMinset:SetValueStep(0.5);
		wsCC_TimeMinset:SetScript("OnValueChanged", function(self, value)
			wsCC_TimeMinsetText:SetText("时间下限: "..GREEN_FONT_COLOR_CODE..value..FONT_COLOR_CODE_CLOSE.." 秒");
			wsCCDB.Action.min = value;
		end);
		wsCC_TimeMinset:SetScript("OnEnter", function(self)
			GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
			GameTooltip:SetText("设置开始冷却计时下限\n时间.推荐为3秒.\n\n低于此值将不会显示冷却计时");
		end);
		wsCC_TimeMinset:SetScript("OnLeave", function(self)
			GameTooltip:Hide()
		end);

		--设置目标计时位置
		local wsCC_BuffPointTitle = wsCC_OtherBoxFrame:CreateFontString(nil, "ARTWORK", "GameFontNormal");
		wsCC_BuffPointTitle:SetJustifyH("TOP");
		wsCC_BuffPointTitle:SetJustifyV("LEFT");
		wsCC_BuffPointTitle:SetPoint("TOPRIGHT", -40, -55);
		wsCC_BuffPointTitle:SetText("设置Buff位置: ");
		CreateFrame("Frame", "wsCC_BuffPointDropDown", wsCC_OtherBoxFrame, "UIDropDownMenuTemplate");
		wsCC_BuffPointDropDown:SetPoint("TOPRIGHT", -30, -75);
		wsCC_BuffPointDropDown:SetHitRectInsets(16, 16, 0, 0);
		UIDropDownMenu_SetWidth(80, wsCC_BuffPointDropDown)
		

	--foot text
	local wsCC_SubText = wsCC_OptionsFrame:CreateFontString(nil, "ARTWORK", "GameFontNormal");
	wsCC_SubText:SetJustifyH("TOP");
	wsCC_SubText:SetJustifyV("LEFT");
	wsCC_SubText:SetPoint("BOTTOMLEFT",10, 4);
	wsCC_SubText:SetText("版本: "..wsSVNVer.." 作者: 月色狼影");


	--regist BLZ 
	InterfaceOptions_AddCategory(wsCC_OptionsFrame)
end

function wsCC_Options_Init()
	if wsCCDB.Other.num then
		wsCCDB.Other.num = true;
	else
		wsCCDB.Other.num = false;
	end

	if wsCCDB.Action.config then
		wsCCDB.Action.config = true;
	else
		wsCCDB.Action.config = false;
	end

	if wsCCDB.Pet.config then
		wsCCDB.Pet.config = true;
	else
		wsCCDB.Pet.config = false;
	end

	if wsCCDB.Item.config then
		wsCCDB.Item.config = true;
	else
		wsCCDB.Item.config = false;
	end

	if (wsCCDB.Action.sound) then
		wsCCDB.Action.sound = true;
		wsCCDB.Pet.sound = true;
	else
		wsCCDB.Action.sound = false;
		wsCCDB.Pet.sound = false;
	end

	if wsCCDB.Other.text then
		wsCCDB.Other.text = true
	else
		wsCCDB.Other.text = false;
	end

	if wsCCDB.Action.shine then
		wsCCDB.Action.shine = true;
	else
		wsCCDB.Action.shine = false;
	end

	if wsCCDB.Pet.shine then
		wsCCDB.Pet.shine = true;
	else
		wsCCDB.Pet.shine = false
	end

	if wsCCDB.Action.center then
		wsCCDB.Action.center  = true;
	else
		wsCCDB.Action.center = false;
	end

	if wsCCDB.Pet.center then
		wsCCDB.Pet.center = true;
	else
		wsCCDB.Pet.center = false;
	end

	if wsCCDB.Buff.hide then
		wsCCDB.Buff.hide = true;
	else
		wsCCDB.Buff.hide = false;
	end
	
	wsCC_ShineDropdown.initialize = wsCC_ShineDropdown_Initialize
	local stylevalue = wsCCDB.Action.style
	UIDropDownMenu_SetSelectedValue(wsCC_ShineDropdown, stylevalue)
	local wsCC_StyleName = {"技能图标", "系统", "圆形", "爆炸", "心形"}
	for i=1, #wsCC_StyleName do
		wsCC_ShineDropdownText:SetText(wsCC_StyleName[stylevalue])
	end

	wsCC_BuffPointDropDown.initialize = wsCC_BuffPointDropDown_Initialize

	local pointval = wsCCDB.Buff.point;
	UIDropDownMenu_SetSelectedValue(wsCC_BuffPointDropDown, pointval)
	for i, v in pairs(BuffPoint) do
		if (v == pointval) then
			wsCC_BuffPointDropDownText:SetText(i)
		end
	end
end

function wsCC_ShineDropdown_Initialize()
	local info = {}

	info.text = "技能图标";
	info.value = 1;
	info.tooltipTitle = "技能图标";
	info.tooltipText = "技能图标";
	info.func = wsCC_ShineDropdown_OnClick;
	info.owner = this:GetParent(); 
	info.checked = nil;
	UIDropDownMenu_AddButton(info);

	info.text = "系统";
	info.value = 2;
	info.tooltipTitle = "系统";
	info.tooltipText = "闪烁图标为系统";
	info.func = wsCC_ShineDropdown_OnClick;
	info.owner = this:GetParent(); 
	info.checked = nil;
	UIDropDownMenu_AddButton(info);

	info.text = "圆形";
	info.value = 3;
	info.tooltipTitle = "圆形";
	info.tooltipText = "闪烁图标为圆形.";
	info.func = wsCC_ShineDropdown_OnClick;
	info.owner = this:GetParent(); 
	info.checked = nil;
	UIDropDownMenu_AddButton(info);

	info.text = "爆炸";
	info.value = 4;
	info.tooltipTitle = "爆炸";
	info.tooltipText = "闪烁图标为爆炸.";
	info.func = wsCC_ShineDropdown_OnClick;
	info.owner = this:GetParent(); 
	info.checked = nil;
	UIDropDownMenu_AddButton(info);

	info.text = "心型";
	info.value = 5;
	info.tooltipTitle = "心型";
	info.tooltipText = "闪烁图标为心型.";
	info.func = wsCC_ShineDropdown_OnClick;
	info.owner = this:GetParent(); 
	info.checked = nil;
	UIDropDownMenu_AddButton(info);
end



function wsCC_BuffPointDropDown_Initialize()
	local info = {}

	for n, i in pairs(BuffPoint) do
		info.text = n;
		info.checked = nil;
		info.value = i;
		info.func = wsCC_BuffPointDropDown_OnClick;
		info.owner = this:GetParent()
		UIDropDownMenu_AddButton(info)
	end

end

function wsCC_Options_OnShow()
	wsCC_ShowSpellNum:SetChecked(wsCCDB.Other.num);
	wsCC_SpellNumSize:SetValue(wsCCDB.Action.size);
	wsCC_ItemNumSize:SetValue(wsCCDB.Item.size);
	wsCC_BuffNumSize:SetValue(wsCCDB.Buff.size);
	wsCC_SoundOptions:SetChecked(wsCCDB.Action.sound);
	wsCC_ToggleAction:SetChecked(wsCCDB.Action.config);
	wsCC_TogglePet:SetChecked(wsCCDB.Pet.config);
	wsCC_ToggleItem:SetChecked(wsCCDB.Item.config);
	wsCC_TextOptions:SetChecked(wsCCDB.Other.text);
	wsCC_SpellShine:SetChecked(wsCCDB.Action.shine);
	wsCC_PetShine:SetChecked(wsCCDB.Pet.shine);
	wsCC_SpellCenter:SetChecked(wsCCDB.Action.center);
	wsCC_PetCenter:SetChecked(wsCCDB.Pet.center);
	wsCC_BuffSystem:SetChecked(wsCCDB.Buff.hide);
	wsCC_TimeMinset:SetValue(wsCCDB.Action.min);
		
end

function wsCC_ShineDropdown_OnClick()
	UIDropDownMenu_SetSelectedValue(this.owner, this.value)
	wsCCDB.Action.style = this.value;
	wsCCDB.Pet.style = this.value;
end

function wsCC_BuffPointDropDown_OnClick()
	UIDropDownMenu_SetSelectedValue(this.owner, this.value);
	wsCCDB.Buff.point = this.value;

end

wsCC_OptionsFrame:RegisterEvent("VARIABLES_LOADED");
wsCC_OptionsFrame:SetScript("OnEvent", wsCC_Options_Init);
wsCC_OptionsFrame:SetScript("OnShow",  wsCC_Options_OnShow);