UIPanelWindows["wsTooltipConfigFrame"] =		{ area = "left",	pushable = 1 };

local default_Tooltip = { 
				Tooltip_Top = "0" ,
				  Cursor_Tooltip = "1",
				  Top_FPS ="1",
					};

function wsTooltipConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsTooltipConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if (wsGetWSVar("Tooltip")) then
			WS_Tooltip = wsGetWSVar("Tooltip");
		else
			WS_Tooltip = default_Tooltip;
		end

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"UserIn",
		wsGetLocaleVariable("WS_TOOLTIP_TITLE"),
		wsGetLocaleVariable("WS_TOOLTIP_DESCRIPTION"),
		wsGetLocaleVariable("WS_TOOLTIP_TOOLTIP"),
		"Interface\\Icons\\Spell_Holy_Absolution",
		function()
			ShowUIPanel(wsTooltipConfigFrame);
		end
	);
		wsToggleTooltip(WS_Tooltip.Tooltip_Top,WS_Tooltip.Cursor_Tooltip);
		wsToggleFPSTop(WS_Tooltip.Top_FPS);
--		wsTogglePlayerGroupTooltip(WS_Tooltip.Player_Group);
	end
end

function wsTooltipConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_TOOLTIP_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_TOOLTIP_TOP_TOOLTIP"));

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_TOOLTIP_CURSOR_TOOLTIP"));

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	checkButton3:Show();
	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(wsGetLocaleVariable("WS_TOOLTIP_TOP_FPS"));

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	checkButton4:Show();
	local checkButton4Text = getglobal(this:GetName().."CheckButton4Text");
	checkButton4Text:SetText(wsGetLocaleVariable("WS_TOOLTIP_MASK"));

	local checkButton5 = getglobal(this:GetName().."CheckButton5");
	checkButton5:Show();
	local checkButton5Text = getglobal(this:GetName().."CheckButton5Text");
	checkButton5Text:SetText(wsGetLocaleVariable("WS_TOOLTIP_TALENT"));

	local checkButton6 = getglobal(this:GetName().."CheckButton6");
	checkButton6:Show();
	local checkButton6Text = getglobal(this:GetName().."CheckButton6Text");
	checkButton6Text:SetText(wsGetLocaleVariable("WS_TOOLTIP_FACTION"));

	local checkButton7 = getglobal(this:GetName().."CheckButton7");
	checkButton7:Show();
	local checkButton7Text = getglobal(this:GetName().."CheckButton7Text");
	checkButton7Text:SetText(wsGetLocaleVariable("WS_TOOLTIP_TARGETDES"));

	local checkButton8 = getglobal(this:GetName().."CheckButton8");
	checkButton8:Show();
	local checkButton8Text = getglobal(this:GetName().."CheckButton8Text");
	checkButton8Text:SetText(wsGetLocaleVariable("WS_TOOLTIP_BACKDROP"));

	local checkButton9 = getglobal(this:GetName().."CheckButton9");
	checkButton9:Show();
	local checkButton9Text = getglobal(this:GetName().."CheckButton9Text");
	checkButton9Text:SetText(wsGetLocaleVariable("WS_TOOLTIP_CLASS"));

---add
	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (WS_Tooltip.Tooltip_Top == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	if (WS_Tooltip.Cursor_Tooltip == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	if (WS_Tooltip.Top_FPS == "1") then
		checkButton3:SetChecked(1);
	else
		checkButton3:SetChecked(nil);
	end

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	if (wsTipDB.VividMask) then
		checkButton4:SetChecked(1);
	else
		checkButton4:SetChecked(nil);
	end

	local checkButton5 = getglobal(this:GetName().."CheckButton5");
	if (wsTipDB.Talented) then
		checkButton5:SetChecked(1);
	else
		checkButton5:SetChecked(nil);
	end

	local checkButton6 = getglobal(this:GetName().."CheckButton6");
	if (wsTipDB.DisFaction) then
		checkButton6:SetChecked(1);
	else
		checkButton6:SetChecked(nil);
	end

	local checkButton7 = getglobal(this:GetName().."CheckButton7");
	if (wsTipDB.DisTarget) then
		checkButton7:SetChecked(1);
	else
		checkButton7:SetChecked(nil);
	end

	local checkButton8 = getglobal(this:GetName().."CheckButton8");
	if (wsTipDB.Backdrop) then
		checkButton8:SetChecked(1);
	else
		checkButton8:SetChecked(nil);
	end

	local checkButton9 = getglobal(this:GetName().."CheckButton9");
	if (wsTipDB.DisClass) then
		checkButton9:SetChecked(1);
	else
		checkButton9:SetChecked(nil);
	end
end

function wsTooltipConfigFrameCheckButton_OnClick(id)
	local parent = this:GetParent();
	local checkButton = getglobal(parent:GetName().."CheckButton"..id);
	if(id == 1 and this:GetChecked()) then
		local nextCheckButton = getglobal(parent:GetName().."CheckButton"..(id+1));
		if(nextCheckButton:GetChecked()) then
			nextCheckButton:SetChecked(0);
		end
	end
	if(id == 2 and this:GetChecked()) then
		local lastCheckButton = getglobal(parent:GetName().."CheckButton"..(id-1));
		if(lastCheckButton:GetChecked()) then
			lastCheckButton:SetChecked(0);
		end
	end

	if ( this:GetChecked() ) then
		PlaySound("igMainMenuOptionCheckBoxOff");
	else
		PlaySound("igMainMenuOptionCheckBoxOn");
	end
end

function wsTooltipConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	local checkButton5 = getglobal(parent:GetName().."CheckButton5");
	local checkButton6 = getglobal(parent:GetName().."CheckButton6");
	local checkButton7 = getglobal(parent:GetName().."CheckButton7");
	local checkButton8 = getglobal(parent:GetName().."CheckButton8");
	local checkButton9 = getglobal(parent:GetName().."CheckButton9");

	checkButton1:SetChecked(0);
	checkButton2:SetChecked(1);
	checkButton3:SetChecked(1);
	checkButton4:SetChecked(1);
	checkButton5:SetChecked(1);
	checkButton6:SetChecked(1);
	checkButton7:SetChecked(1);
	checkButton8:SetChecked(1);
	checkButton9:SetChecked(1);
end

function wsTooltipConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	local checkButton5 = getglobal(parent:GetName().."CheckButton5");
	local checkButton6 = getglobal(parent:GetName().."CheckButton6");
	local checkButton7 = getglobal(parent:GetName().."CheckButton7");
	local checkButton8 = getglobal(parent:GetName().."CheckButton8");
	local checkButton9 = getglobal(parent:GetName().."CheckButton9");

	if (checkButton1:GetChecked()) then
		WS_Tooltip.Tooltip_Top = "1";
	else
		WS_Tooltip.Tooltip_Top = "0";
	end

	if (checkButton2:GetChecked()) then
		WS_Tooltip.Cursor_Tooltip = "1";
	else
		WS_Tooltip.Cursor_Tooltip = "0";
	end

	if (checkButton3:GetChecked()) then
		WS_Tooltip.Top_FPS = "1";
	else
		WS_Tooltip.Top_FPS = "0";
	end

	if (checkButton4:GetChecked()) then
		wsTipDB.VividMask = true;
	else
		wsTipDB.VividMask = false;
	end

	if (checkButton5:GetChecked()) then
		wsTipDB.Talented = true;
	else
		wsTipDB.Talented = false;
	end

	if (checkButton6:GetChecked()) then
		wsTipDB.DisFaction = true;
	else
		wsTipDB.DisFaction = false;
	end

	if (checkButton7:GetChecked()) then
		wsTipDB.DisTarget = true;
	else
		wsTipDB.DisTarget = false;
	end

	if (checkButton8:GetChecked()) then
		wsTipDB.Backdrop = true;
	else
		wsTipDB.Backdrop = false;
	end

	if (checkButton9:GetChecked()) then
		wsTipDB.DisClass = true;
	else
		wsTipDB.DisClass = false;
	end

	wsToggleTooltip(WS_Tooltip.Tooltip_Top,WS_Tooltip.Cursor_Tooltip);
	wsToggleFPSTop(WS_Tooltip.Top_FPS);

	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("Tooltip", WS_Tooltip);

end