﻿------------------------------------
--标题: wowshell Tooltip
--描述: wow提示增强插件
--作者: 月色狼影
--版本: $Rev: 243 $
--更新日期: $Date: 2008-03-26 16:34:26 +0800 (星期三, 26 三月 2008) $
------------------------------------


local _G = getfenv(0)
local strformat, strfind = string.format, string.find
local tmp, tmp2, tmp3
local _,i
addonRev = 1.2;


--创建gametooltip frame
wsTip = CreateFrame("Frame",nil,GameTooltip)

local inspectName
local inspectList = {};

--颜色设置调用
local ClassColors ={}
--职业颜色tab在_G.RAID_CLASS_COLORS
--[[获取的列表: k 显示值
HUNTER
WARRIOR
PALADIN
MAGE
PRIEST
WARLOCK
DRUID
SHAMAN
ROGUE
]]--
--在使用的过程中使用ClassColors[Class]
for k, v in pairs(_G.RAID_CLASS_COLORS) do
	ClassColors[k] = strformat("%2x%2x%2x", v.r*255, v.g*255, v.b*255)
	--wsAddMessage(k)
end

--设置默认设置...
--功能:
--设置值为 true or false
--设置缩放大小使用 数值0.1~2.0
--立体化 VividMask
--缩放比例 Scale
--显示天赋 Talented -默认关闭
--显示声望 DisFaction
--显示目标 DisTarget
--渐隐: Fade
function wsTip:GetDefault()
	return {
		VividMask = true,
		Scale = 1.0,
		Talented = true,
		DisFaction = true,
		DisTarget = true,
		Fade = true,
		DisPvpRank = true,
		DisClass = true,
		Server = true;
		Backdrop = true;
		version = addonRev;
	}
end

wsTipDB = wsTip:GetDefault()
--因此 引用 保存变量只需要 wsTipDB.xxx  xxx为变量名

--local部分保存在目录下的localzation下
--使用L("xxx")
local L = wsGetLocaleVariable



-------
--***设置等级颜色
--玩家等级 目标等级
--UnitLevel("")
--获取范围使用GetQuestGreenRange()
local levDiff, levRange, r, g, b
--GetDifficultyColor 用法: 获取等级,返回 r g b 3种颜色
function wsTip:GetDifficultyColor(level)
	--获取差异等级
	levDiff = level - UnitLevel("player")
	--获取难度,到绿色的等级.比如4级的任务在 7级时显示为绿色
	levRange = GetQuestGreenRange()
	levRange = GetQuestGreenRange()--8
	if (levDiff >=5 or level == -1) then
		r = 1; g = 0.2; b = 0.2;
	elseif (levDiff >= 3) then
		r = 1; g = 0.4; b = 0;
	elseif (levDiff >=-2) then
		r = 1; g = 1; b = 0;
	elseif (-levDiff <= levRange) then
		r = 0; g = 1; b = 0;
	else
		r = 0.53; g = 0.53; b = 0.53
	end
	return strformat("%2x%2x%2x", r*255,g*255,b*255)
end

--立体化
--2.4??
function wsTip:GetVividMask()
	local mask = _G["GameTooltipMask"]
	if mask then return mask end

	mask = GameTooltip:CreateTexture("GameTooltipMask")
	mask:SetTexture("Interface\\Tooltips\\UI-Tooltip-Background")
	mask:SetPoint("TOPLEFT", GameTooltip, "TOPLEFT", 4, -4)
	mask:SetPoint("BOTTOMRIGHT", GameTooltip, "TOPRIGHT", -4, -30)
	mask:SetBlendMode("ADD")
	--Texture:SetGradientAlpha("orientation", minR, minG, minB, minA, maxR, maxG, maxB, maxA) 
	mask:SetGradientAlpha("VERTICAL", 0,0,0,0,1,1,1,0.76)
	mask:Hide()

	return mask
end

function wsTip:setBackdropColor(unit)
	if (GetGuildInfo(unit) and GetGuildInfo(unit) == GetGuildInfo("player")) then
		GameTooltip:SetBackdropColor(0.0,0.3,0.0);
	else
		if (UnitFactionGroup(unit) and UnitFactionGroup(unit) == UnitFactionGroup("player")) then
			GameTooltip:SetBackdropColor(0.0,0.0,0.5);
		elseif (UnitFactionGroup(unit) and UnitFactionGroup(unit) ~= UnitFactionGroup("player")) then
			GameTooltip:SetBackdropColor(0.5,0.0,0.0);
		else
			GameTooltip:SetBackdropColor(0.09, 0.09,0.18);
		end
	end	
end

--CLASS
local coords
function wsTip:SetClassFlag(classToken)
	if not self.icon then
		self.icon = GameTooltip:CreateTexture(nil, "OVERLAY")
		self.icon:SetWidth(16); self.icon:SetHeight(16);
		self.icon:SetPoint("LEFT", GameTooltipTextLeft1, 1, 1)
		self.icon:SetTexture("Interface\\WorldStateFrame\\Icons-Classes")
	end
	coords = _G.CLASS_BUTTONS[classToken]
	self.icon:SetTexCoord(coords[1],coords[2],coords[3],coords[4])
	self.icon:Show()
end

--天赋着色
function talentColor(point, maxValue, order)
	local r, g, b
	local minp, maxp = 0, maxValue
	point = max(0, min(point, maxValue))
	if ((maxp - minp) > 0) then
		point = (point - minp)/(maxp - minp)
	else
		point = 0
	end
	if (point > 0.5) then
		r = 0.1 + (((1-point)*2) * (1-0.1))
		g = 0.9
	else
		r = 1.0
		g = (0.9) - (0.5-point)* 2 * (0.9)
	end
	r = strformat("%2x", r*255)
	if (#r == 1) then r = "0"..r; end
	g = strformat("%2x", g * 255)
	if (#g == 1) then g = "0"..g; end
	b = "18"
	if order then
		return "|cff"..r..g..b.."%s|r"
	else
		return "|cff"..g..r..b.."%s|r"
	end
end

--天赋名称
function getTalentSpecName(names, nums, colors)
	if nums[1]==0 and nums[2]==0 and nums[3]== 0 then
		return  _G.NONE, _G.NONE
	else
		local first, second, third, name, text, point
		if (nums[1] >= nums[2]) then
			if nums[1] >= nums[3] then
				first = 1
				if nums[2] >= nums[3] then 
					second = 2; third=3;	
				else
					second = 3; third = 2; 
				end
			else
				first = 3; second = 1; third = 2
			end
		else
			if nums[2] >= nums[3] then
				first = 2;
				if nums[1] >= nums[3] then
					second = 1; third = 3;
				else
					second = 3; third = 1;
				end
			else
				first = 3; second = 2; third = 1
			end
		end
		local first_num = nums[first]
		local second_num = nums[second]
		if (first_num * 3/4) <= second_num then
			if (first_num * 3/4) < nums[third] then
				name = colors[first]:format(names[first]).."/"..colors[second]:format(names[second]).."/"..colors[third]:format(names[third])
				text = names[first].."/"..names[second].."/"..names[third]
			else
				name = colors[first]:format(names[first]).."/"..colors[second]:format(names[second])
				text = names[first].."/"..names[second]
			end
		else
			name = colors[first]:format(names[first])
			text = names[first]
		end
		point = (" |cc8c8c8c8(%s|cc8c8c8c8/%s|cc8c8c8c8/%s|cc8c8c8c8)"):format(colors[1]:format(nums[1]), colors[2]:format(nums[2]), colors[3]:format(nums[3]))
		return name..point, text..(" (%s/%s/%s)"):format(nums[1], nums[2], nums[3])
	end
end

--事件触发
function wsTip:OnEvent()
	if (event == "PLAYER_LOGIN") then
		self:Init();
		if not wsTipDB.Version or tonumber(wsTipDB.Version) < tonumber(addonRev) then
			wsTipDB = wsTip:GetDefault();
			wsTipDB.Version = addonRev;
		end
	elseif (event == "PLAYER_ENTERING_WORLD") then
		inspectList = {}
		GameTooltip:SetScale(wsTipDB.Scale)
	elseif (event == "UPDATE_FACTION") then
		self:UpdatePlayerFaction()
	elseif (event == "INSPECT_TALENT_READY") then
		if inspectName then
			local name = inspectName
			inspectName = nil
			--配点名称及点数
			local name1,_,point1 = GetTalentTabInfo(1,true)
			local name2,_,point2 = GetTalentTabInfo(2,true)
			local name3,_,point3 = GetTalentTabInfo(3,true)
			local color1, color2, color3 = talentColor(point1, 61),talentColor(point2,61),talentColor(point3,61)
			local talent_name, talent_text = getTalentSpecName({name1,name2,name3}, {point1,point2,point3},{color1, color2, color3} )
			if not inspectList[name] or not inspectList[name].talent then
				inspectList[name].talent = talent_name
				inspectList[name].text = talent_text
				---wsAddMessage(talent_name)
			end
				--判断是否有目标
			if wsTipDB.Talented and UnitExists("mouseover") and UnitName("mouseover") == name then
				GameTooltip:AddLine(talent_name)
				GameTooltip:Show()--显示天赋
			end
		end
	end
end
wsTip:RegisterEvent("PLAYER_LOGIN")
wsTip:RegisterEvent("UPDATE_MOUSEOVER_UNIT")
wsTip:RegisterEvent("INSPECT_TALENT_READY")--天赋事件注册
wsTip:SetScript("OnEvent", wsTip.OnEvent)


--初始
function wsTip:Init()

	self:RegisterEvent("UPDATE_FACTION")
	self:RegisterEvent("PLAYER_ENTERING_WORLD")
	self:RegisterEvent("INSPECT_TALENT_READY")
	
	self:SetScript("OnUpdate", self.OnUpdate) --显示位置

	GameTooltip:SetBackdrop({
		bgFile = "Interface\\Tooltips\\UI-Tooltip-Background",
		edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border",
		tile = true, tileSize = 16, edgeSize = 16,
		insets = {left = 4, right= 4, top=4, bottom=4}
		});
	GameTooltip:SetBackdropBorderColor(0.5, 0.5, 0.5)
	GameTooltip:SetBackdropColor(0.09, 0.09,0.19)

	--立体化显示
	if (wsTipDB.VividMask) then
		wsTip:GetVividMask():Show()
	end

	--script
	GameTooltip:SetScript("OnTooltipSetUnit", wsTip.OnTooltipSetUnit)
	GameTooltip:SetScript("OnTooltipCleared", function()
		GameTooltip_ClearMoney()
		wsTip:OnGameTooltipHide()
	end)

	--hook
	GameTooltip_UnitColor = function(unit)
		return wsTip:UnitColor(unit)
	end
end

----\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
--声望
--
wsTip.factions={}

function wsTip:UpdatePlayerFaction()
--GetNumFactions()获取当前声望数量
	for i =1, GetNumFactions() do
		--获取每个声望的详细信息
		local name,_,standingId,_,_,_,_,_,isHeader,isCollapsed,_ = GetFactionInfo(i)
		if (not isHeader) then
			self.factions[name] = standingId
		end
	end
end

local reaction
--UnitSex("player")  返回值为数字 3为女 2为男
local gender = UnitSex("player")

--进行声望格式化
local label, str
function wsTip:GetUnitFaction(unit, reaction)
--获取声望具体值
--从憎恨~崇拜  8个等级  4为中立
--1 憎恨 2 敌对 3 冷淡 4 中立 5 友好 6 尊敬 7 崇敬 8.崇拜
	reaction = reaction or UnitReaction(unit, "player")
	--若没有 返回空字符
	if (not reaction) then return "" end

	if (reaction == 7) then
	--GameTooltip:NumLines() 获取 tooltip  line数
		for i = GameTooltip:NumLines(), 3, -1 do
			label = _G["GameTooltipTextLeft"..i]:GetText()
			--获取string
			if label and label ~= PVP and self.factions[label] then
				reaction = self.factions[label]
				break
			end
		end
	end

	str = GetText("FACTION_STANDING_LABEL"..reaction, gender)
	if reaction == 4 then str = strformat("|cff33cc33%s|r", str) --颜色错误
	elseif reaction == 5 then str = strformat("|cff33cc33%s|r", str)
	elseif reaction == 6 then str = strformat("|cff33cccc%s|r", str)
	elseif reaction == 7 then str = strformat("|cffFF6633%s|r", str)
	elseif reaction == 8 then str = strformat("|cffDD33DD%s|r", str)
	end

	return str
end

function wsTip:OnUpdate(elapsed)
	if UnitExists("mouseover") then
		wsTip:RefreshMouseOverTarget(elapsed)
	elseif wsTip.unit and wsTipDB.Fade then
		GameTooltip:Hide()
	end
end


--tip 格式化
local unit
local bplayer, bdead, tapped
local tip, text, levelline, tmp, tmp2
local unitrace, unitCreatureType
local guild

--预先格式化
local targetlinenum
local found, truenum

--Note: 在NPC种类上分 NPC和玩家两类.
--NPC细分为 普通 精英 稀有 稀有精英 以及 未知 等5个种类

--鼠标指定的目标
--3种情况 目标为你 目标:xxx  自身
--参数 wsTipDB.DisTarget
local mouseTarget
function wsTip:RefreshMouseOverTarget(elapsed)
	--设置刷新时间
	self.timer = (self.timer or 0.5) + elapsed
	if (self.timer < 0.5) then return end
	self.timer = 0

	if not wsTipDB.DisTarget or not targetlinenum then return end

	text = _G["GameTooltipTextLeft"..targetlinenum]
	if (not text) then return end

	tip, tem, tem2 = nil, nil, nil
	--获取是否存在目标
	if (not UnitExists(wsTip.unittarget)) then
		mouseTarget = nil
		text:SetText()
		GameTooltip:Show()
	else
		name = UnitName(wsTip.unittarget)--获取目标名字
		if (name ~= mouseTarget) then
			mouseTarget = name or UNKNOWNOBJECT
			tip = strformat("|cffFFFF00%s [|r", L("WS_TOOLTIP_TARGET"))--显示[ 当前目标
			
			--**目标指向你
			if UnitIsUnit(wsTip.unittarget, "player") then
				tip = strformat("%s |c00ff0000%s|r", tip, L("WS_TOOLTIP_TARGET_YOU"))
			--**指向目标自己本身
			elseif UnitIsUnit(wsTip.unittarget, wsTip.unit) then
				tip = strformat("%s |cffFFFFFF%s|r", tip, L("WS_TOOLTIP_TARGET_SELF"))
			--**目标
			elseif UnitIsPlayer(wsTip.unittarget) then
				tmp, tmp2 = UnitClass(wsTip.unittarget)--获取职业信息
				--是否为敌对目标
				if UnitIsEnemy(wsTip.unittarget, "player") then
				--如果为敌对 则显示红色
					tip = strformat("%s |cffFF0000** %s **|r |cff%s(%s)|r",tip, mouseTarget, (ClassColors[(tmp2 or "")]), tmp)--tip 鼠标目标 颜色代码 职业代号
				else
				--如果为友方 则显示白色
					tip = strformat("%s |cffFFFFFF** %s **|r |cff%s(%s)|r",tip, mouseTarget, (ClassColors[(tmp2 or "")]), tmp)
				end
			else
				tip = strformat("%s |cffFFFF00** %s **|r",tip, mouseTarget)
			end
		tip = strformat("%s |cffFFFF00]|r", tip)
		text:SetText(tip)
		GameTooltip:Show()
		end
	end
end

function wsTip:OnTooltipSetUnit()
	wsTip.unit = wsTip:OnMouseOverUnit(GameTooltip:GetUnit())
	wsTip.unittarget = wsTip.unit .. "target";
	GameTooltipStatusBar.unit = wsTip.unit;
end

function wsTip:OnGameTooltipHide()
	targetlinenum = nil;
	truenum = nil;
	mouseTarget = nil;
	wsTip.Timer = nil;
	wsTip.unit = nil;
	wsTip.unittarget = nil;
	if wsTip.icon then wsTip.icon:Hide() end
end

--着色
function wsTip:UnitColor(unit, bdead, tapped, reaction)
	--dead?
	bdead = bdead or UnitHealth(unit) <= 0 and (not bplayer or UnitIsDeadOrGhost(unit))
	--tapped
	tapped = tapped or UnitIsTapped(unit) and (not UnitIsTappedByPlayer(unit))
	reaction = reaction or UnitReaction(unit, "player")

	--第一排
	--如果死亡显示灰色
	if tapped or bdead then
		r = 0.55; g = 0.55; b = 0.55
	elseif (UnitIsPlayer(unit) or UnitPlayerControlled(unit) ) then
		if (UnitCanAttack(unit, "player")) then
			if (not UnitCanAttack("player", unit)) then--不可攻击显示
				r=1.0; g=0.4; b=0.9
			else
				--敌对为红色
				r=1.0; g=0.0; b =0.0
			end
		elseif (UnitCanAttack("player", unit)) then--玩家可攻击 黄色
			r= 1.0; g=1.0; b=0
		elseif (UnitIsPVP(unit)) then--PVP状态 绿色
			r = 0.0; g = 1.0; b = 0.0
		else
			--其他都为粉色
			r = 0.8; g = 0.7; b = 0.9
		end
	elseif reaction then--NPC显示
		if reaction < 4 then
			r,g,b =1,0.3,0.22
		elseif reaction > 4 then
			r,g,b = 0,1,0
		else --中立
			r,g,b = 1,1,0
		end
	else --normal白色
		r, g, b =1, 1, 1
	end

	return r,g,b
end

--****************************
function wsTip:OnMouseOverUnit(name, unit)
	--获取鼠标指定人物的类型
	if unit == "Npc" then unit = "mouserover" end

	bplayer = UnitIsPlayer(unit)
	name = name or UnitName(unit)

	--死尸
	bdead =  UnitHealth(unit) < 0 and (not bplayer or UnitIsDeadOrGhost(unit))--UnitHealth(unit) < 0
	tapped = UnitIsTapped(unit) and (not UnitIsTappedByPlayer(unit))

	--faction
	reaction = UnitReaction(unit,"player");

	if wsTipDB.Backdrop then
		wsTip:setBackdropColor(unit)
	end

---------------------------[[******************]]----------------------
	tip, text, levelline, found, tmp, tmp2, tmp3 = nil
	--进行改造
	--首先获取tooltip 行数
	truenum = GameTooltip:NumLines()
	--从2开始
	for i = 2, truenum do
		text = _G[GameTooltip:GetName().."TextLeft"..i]--将从2~xx的table导入到text下
		tip = text:GetText()--获取文字信息
		--wsAddMessage(tip);
		if tip then
			--等级
			if (not levelline) and strfind(tip, LEVEL) then
				levelline = i
			--pvp DEL!
			elseif (tip == PVP) then
				text:SetText()
				found = true
			--elseif (tip == TAMEABLE) then
				--text:SetText(strformat("|cff00FF00%s|r"), tip)
			elseif (tip == NOT_TAMEABLE) then
				text:SetText(strformat("|cffFF6035%s|r"), tip)
			end
		end
	end

		--插入目标行
	if wsTipDB.DisTarget then
		targetlinenum = truenum

		if not found then
			GameTooltip:AddLine("wowshell tooltip")
			targetlinenum = targetlinenum + 1
		end

		text = _G["GameTooltipTextLeft"..targetlinenum]
		if text then
			text:SetText()
		else
			targetlinenum = nil
		end
	end
	
	if wsTipDB.Talented then
		name = UnitName(unit)
		if not inspectList[name] then
			inspectList[name] = {};
		end
		if not inspectList[name].report then
			if UnitCanAttack("player", unit) then
				inspectList[name].report = 1
			else
				inspectList[name].report = 0
			end
		end
		if UnitIsVisible(unit) and UnitIsPlayer(unit) and UnitIsConnected(unit) then
			if inspectList[name].talent then
				GameTooltip:AddLine(inspectList[name].talent)

			elseif not inspectName then
				inspectName = name
				if not inspectList[name].class then
					inspectList[name].class,inspectList[name].eClass = UnitClass(unit)
				end
				if not inspectList[name].race then
					inspectList[name].race = UnitRace(unit)
				end
				if not inspectList[name].raceColor then
					if UnitCanAttack("player", unit) then
						inspectList[name].raceColor = "|cffc81e00"
					else
						inspectList[name].raceColor = "|cff1ec800"
					end
				end
				lastInspectTime = time()
				NotifyInspect(unit)
			elseif time() - lastInspectTime > 2 then
				inspectName = nil
			end
		end
	end
--等级行改写
	if levelline then
		--等级,如果目标死亡则显示尸体
		tmp = UnitLevel(unit)
		tmp2 = ""
		if bdead then
			if tmp > 0 then
				tmp2 = _G.LEVEL..(strformat(" |cff888888%d %s|r", tmp, CORPSE))
			else--?? 尸体
				tmp2 = _G.LEVEL..(strformat(" |cff888888?? %s|r", CORPSE))
			end
		elseif (tmp > 0) then
			--等级颜色
			if UnitCanAttack("player", unit) or UnitCanAttack(unit,"player") then
			--颜色有问题
				tmp2 = _G.LEVEL..(strformat(" |cff%s%d|r", wsTip:GetDifficultyColor(tmp), tmp))
				--wsAddMessage(wsTip:GetDifficultyColor(tmp))
				--tmp2 = _G.LEVEL..tmp
			else
			--普通颜色
				tmp2 = _G.LEVEL..strformat(" |cff3377CC%d|r",tmp)
			end
		else
			tmp2 = _G.LEVEL..(strformat(" |cffFF0000 ??|r"))
		end

		--种族 职业/ 人物类型/ 宠物种类
		unitrace = UnitRace(unit)
		unitCreatureType = UnitCreatureType(unit)

		if unitrace and bplayer then
			if UnitFactionGroup(unit) == UnitFactionGroup("player") then
				tmp = "00FF33"
			else
				tmp = "FF3300"
			end

			tmp2 = strformat("%s |cff%s%s|r", tmp2, tmp, unitrace)
			--职业
			_, tmp = UnitClass(unit)
			if wsTipDB.DisClass then
				wsTip:SetClassFlag(tmp)
			end
				--职业着色
			tmp = ClassColors[(tmp or "")]
			tmp2 = strformat("%s |cff%s%s|r", tmp2, tmp, _)
		elseif UnitPlayerControlled(unit) then
			tmp2 = strformat("%s %s", tmp2,(UnitCreatureFamily(unit) or unitCreatureType or ""))
		elseif unitCreatureType then
			if wsTipDB.DisFaction and reaction and reaction > 4 then
				tmp2 = strformat("%s |cffFFFFFF%s|r (%s)", tmp2, unitCreatureType, wsTip:GetUnitFaction(unit, reaction))
			elseif unitCreatureType == L("WS_TOOLTIP_SPEC") then--未指定
				tmp2 = strformat("%s %s",tmp2, _G.UNKNOWN)
			else
				 tmp2 = strformat("%s %s", tmp2, unitCreatureType)
			end
		else
			tmp2 = strformat("%s %s",tmp2, _G.UNKNOWNBEING)
		end
		tip = tmp2

		--信息
		tmp = nil
		tmp2 = ""
		
		if bplayer then
			tmp2 = strformat(" (%s)", _G.PLAYER)
		elseif not UnitPlayerControlled(unit) then
			tmp = UnitClassification(unit)
			if tmp and tmp ~= "normal" and UnitHealth(unit) > 0 then
				if tmp == "elite" then
					tmp2 = strformat("|cffFFFF33(%s)|r", _G.ELITE)
				elseif tmp == "worldboss" then
					tmp2 = strformat("|cffFF0000(%s)|r", _G.BOSS)
				elseif tmp == "rare" then
					tmp2 = format("|cffFF66FF(%s)|r", L("WS_TOOLTIP_Rare"))
				elseif tmp == "rareelite" then
					tmp2 = format("|cffFFAAFF(%s %s)|r", L("WS_TOOLTIP_Rare"), ELITE)
				else
					tmp2 = strformat("(%s)", tmp)
				end
			end
		end
		_G["GameTooltipTextLeft"..levelline]:SetText( strformat("%s%s", tip, tmp2))
	end

	--军衔显示 使用UnitPVPName(unit) 获取pvprank PlayerName
	if bplayer then
		if wsTipDB.DisClass then
			tip = "    ";
		else
			tip = "";
		end
		
		if not wsTipDB.DisPvpRank then
			GameTooltipTextLeft1:SetText(strformat("%s%s",tip, name))
		else
			GameTooltipTextLeft1:SetText(strformat("%s%s", tip, (UnitPVPName(unit) or name)))
		end
	end

--GUILD
	tip = nil
	guild = GetGuildInfo(unit)
	if bplayer then
		if guild then
			tip = ""..guild..""
		end
		if tip then
			if guild then
				GameTooltipTextLeft2:SetText(tip)
			elseif levelline == 2 then
				tmp3 = GameTooltip:NumLines()
				for i = tmp3, 2, -1 do
					_G["GameTooltipTextLeft"..i+1]:SetText(_G["GameTooltipTextLeft"..i]:GetText())
				end
				GameTooltipTextLeft2:SetText(tip)
				if targetlinenum then
					targetlinenum = targetlinenum + 1
				end
			end
		end
	end
---color
 --给第一行Unit字体上色
	r,g,b = wsTip:UnitColor(unit,bdead,tapped, reaction)
	--wsAddMessage(r..g..b)
	GameTooltipTextLeft1:SetTextColor(r,g,b)
	
	--第二行
	if tip or (levelline or levelline > 2) then
		if bdead or tapped then
			GameTooltipTextLeft2:SetTextColor(0.55,0.55,0.55)
		else
			GameTooltipTextLeft2:SetTextColor(r*0.90,g*0.90,b*0.90)
		end
	end


	GameTooltip:Show()
	return unit
end

